String.prototype.hashCode = function (seed = 0) {
  let h1 = 0xdeadbeef ^ seed, h2 = 0x41c6ce57 ^ seed

  for (let i = 0, ch; i < this.length; i++) {
    ch = this.charCodeAt(i)
    h1 = Math.imul(h1 ^ ch, 2654435761)
    h2 = Math.imul(h2 ^ ch, 1597334677)
  }

  h1 = Math.imul(h1 ^ (h1 >>> 16), 2246822507)
  h1 ^= Math.imul(h2 ^ (h2 >>> 13), 3266489909)
  h2 = Math.imul(h2 ^ (h2 >>> 16), 2246822507)
  h2 ^= Math.imul(h1 ^ (h1 >>> 13), 3266489909)

  return 4294967296 * (2097151 & h2) + (h1 >>> 0)
}

const print = data => {
  console.log(data)
}

const printErr = data => {
  console.log(data)
}

const LZMA = {
  run: function (data, decompress) {
    let inputIndex = 0
    let returnValue = []
    let Module = {
      arguments: ['-q'].concat(decompress ? ['-d'] : []),
      stdin: function () { return inputIndex < data.length ? data[inputIndex++] : null },
      stdout: function (x) { if (x !== null) returnValue.push(x) }
    }

    // eslint-disable-next-line camelcase, no-underscore-dangle
    function b(a) { throw a } var aa = void 0, da = null, oa = [], wa = typeof process === "object", xa = typeof window === "object", Aa = typeof importScripts === "function", Ba = !xa && !wa && !Aa; if (wa) { print = (function (a) { process.stdout.write(a + "\n") }); printErr = (function (a) { process.stderr.write(a + "\n") }); var Oa = require("fs"); read = (function (a) { var c = Oa.readFileSync(a).toString(); !c && a[0] != "/" && (a = __dirname.split("/").slice(0, -1).join("/") + "/src/" + a, c = Oa.readFileSync(a).toString()); return c }); load = (function (a) { hb(read(a)) }); oa = process.argv.slice(2) } else { Ba ? (this.read || (this.read = (function (a) { snarf(a) })), typeof scriptArgs != "undefined" ? oa = scriptArgs : typeof arguments != "undefined" && (oa = arguments)) : xa ? (this.print = printErr = (function (a) { console.log(a) }), this.read = (function (a) { var c = new XMLHttpRequest; c.open("GET", a, !1); c.send(da); return c.responseText }), this.arguments && (oa = arguments)) : Aa ? this.load = importScripts : b("Unknown runtime environment. Where are we?") } function hb(a) { eval.call(da, a) } typeof load == "undefined" && typeof read != "undefined" && (this.load = (function (a) { hb(read(a)) })); typeof printErr === "undefined" && (this.printErr = (function () { })); typeof print === "undefined" && (this.print = printErr); try { this.Module = Module } catch (ib) { this.Module = Module = {} } if (!Module.arguments) { Module.arguments = oa } if (Module.print) { print = Module.print } function jb(a) { if (lb == 1) { return 1 } var c = { "%i1": 1, "%i8": 1, "%i16": 2, "%i32": 4, "%i64": 8, "%float": 4, "%double": 8 }["%" + a]; c || (a[a.length - 1] == "*" ? c = lb : a[0] == "i" && (a = parseInt(a.substr(1)), wb(a % 8 == 0), c = a / 8)); return c } function zb(a) { var c = k; k += a; k = k + 3 >> 2 << 2; return c } function Ab(a) { var c = Bb; Bb += a; Bb = Bb + 3 >> 2 << 2; if (Bb >= Nb) { for (; Nb <= Bb;) { Nb = 2 * Nb + 4095 >> 12 << 12 } var a = l, d = new ArrayBuffer(Nb); l = new Int8Array(d); Ob = new Int16Array(d); m = new Int32Array(d); o = new Uint8Array(d); Qb = new Uint16Array(d); p = new Uint32Array(d); Rb = new Float32Array(d); Sb = new Float64Array(d); l.set(a) } return c } var lb = 4, Tb = {}, Ub, x, y, Yb; function Zb(a) { print(a + ":\n" + Error().stack); b("Assertion: " + a) } function wb(a, c) { a || Zb("Assertion failed: " + c) } var $b = this; Module.ccall = (function (a, c, d, e) { try { var f = eval("_" + a) } catch (g) { try { f = $b.Module["_" + a] } catch (h) { } } wb(f, "Cannot call unknown function " + a + " (perhaps LLVM optimizations or closure removed it?)"); var i = 0, a = e ? e.map((function (a) { if (d[i++] == "string") { var c = k; zb(a.length + 1); ac(a, c); a = c } return a })) : []; return (function (a, c) { return c == "string" ? cc(a) : a })(f.apply(da, a), c) }); function dc(a, c, d) { d = d || "i8"; d[d.length - 1] === "*" && (d = "i32"); switch (d) { case "i1": l[a] = c; break; case "i8": l[a] = c; break; case "i16": Ob[a >> 1] = c; break; case "i32": m[a >> 2] = c; break; case "i64": m[a >> 2] = c; break; case "float": Rb[a >> 2] = c; break; case "double": ic[0] = c; m[a >> 2] = jc[0]; m[a + 4 >> 2] = jc[1]; break; default: Zb("invalid type for setValue: " + d) } } Module.setValue = dc; Module.getValue = (function (a, c) { c = c || "i8"; c[c.length - 1] === "*" && (c = "i32"); switch (c) { case "i1": return l[a]; case "i8": return l[a]; case "i16": return Ob[a >> 1]; case "i32": return m[a >> 2]; case "i64": return m[a >> 2]; case "float": return Rb[a >> 2]; case "double": return jc[0] = m[a >> 2], jc[1] = m[a + 4 >> 2], ic[0]; default: Zb("invalid type for setValue: " + c) }return da }); var kc = 1, B = 2; Module.ALLOC_NORMAL = 0; Module.ALLOC_STACK = kc; Module.ALLOC_STATIC = B; function E(a, c, d) { var e, f; typeof a === "number" ? (e = !0, f = a) : (e = !1, f = a.length); var g = typeof c === "string" ? c : da, d = [lc, zb, Ab][d === aa ? B : d](Math.max(f, g ? 1 : c.length)); if (e) { return mc(d, 0, f), d } e = 0; for (var h; e < f;) { var i = a[e]; typeof i === "function" && (i = Tb.fb(i)); h = g || c[e]; h === 0 ? e++ : (h == "i64" && (h = "i32"), dc(d + e, i, h), e += jb(h)) } return d } Module.allocate = E; function cc(a, c) { for (var d = typeof c == "undefined", e = "", f = 0, g, h = String.fromCharCode(0); ;) { g = String.fromCharCode(o[a + f]); if (d && g == h) { break } e += g; f += 1; if (!d && f == c) { break } } return e } Module.Pointer_stringify = cc; Module.Array_stringify = (function (a) { for (var c = "", d = 0; d < a.length; d++) { c += String.fromCharCode(a[d]) } return c }); var nc, oc = 4096, l, o, Ob, Qb, m, p, Rb, Sb, k, pc, Bb, qc = Module.TOTAL_STACK || 5242880, Nb = Module.TOTAL_MEMORY || 10485760; wb(!!Int32Array && !!Float64Array && !!(new Int32Array(1)).subarray && !!(new Int32Array(1)).set, "Cannot fallback to non-typed array case: Code is too specialized"); var rc = new ArrayBuffer(Nb); l = new Int8Array(rc); Ob = new Int16Array(rc); m = new Int32Array(rc); o = new Uint8Array(rc); Qb = new Uint16Array(rc); p = new Uint32Array(rc); Rb = new Float32Array(rc); Sb = new Float64Array(rc); m[0] = 255; wb(o[0] === 255 && o[3] === 0, "Typed arrays 2 must be run on a little-endian system"); var tc = sc("(null)"); Bb = tc.length; for (var uc = 0; uc < tc.length; uc++) { l[uc] = tc[uc] } Module.HEAP = aa; Module.HEAP8 = l; Module.HEAP16 = Ob; Module.HEAP32 = m; Module.HEAPU8 = o; Module.HEAPU16 = Qb; Module.HEAPU32 = p; Module.HEAPF32 = Rb; Module.HEAPF64 = Sb; pc = (k = Math.ceil(Bb / 4) * 4) + qc; var vc = Math.ceil(pc / 8) * 8; l.subarray(vc); var jc = m.subarray(vc >> 2); Rb.subarray(vc >> 2); var ic = Sb.subarray(vc >> 3); pc = vc + 8; Bb = pc + 4095 >> 12 << 12; function xc(a) { for (; a.length > 0;) { var c = a.shift(), d = c.l; typeof d === "number" && (d = nc[d]); d(c.$a === aa ? da : c.$a) } } var yc = [], zc = []; function Ac(a, c) { return Array.prototype.slice.call(l.subarray(a, a + c)) } Module.Array_copy = Ac; Module.TypedArray_copy = (function (a, c) { for (var d = new Uint8Array(c), e = 0; e < c; ++e) { d[e] = l[a + e] } return d.buffer }); function Bc(a) { for (var c = 0; l[a + c];) { c++ } return c } Module.String_len = Bc; function Cc(a, c) { var d = Bc(a); c && d++; var e = Ac(a, d); c && (e[d - 1] = 0); return e } Module.String_copy = Cc; function sc(a, c) { for (var d = [], e = 0; e < a.length;) { var f = a.charCodeAt(e); f > 255 && (f &= 255); d.push(f); e += 1 } c || d.push(0); return d } Module.intArrayFromString = sc; Module.intArrayToString = (function (a) { for (var c = [], d = 0; d < a.length; d++) { var e = a[d]; e > 255 && (e &= 255); c.push(String.fromCharCode(e)) } return c.join("") }); function ac(a, c, d) { for (var e = 0; e < a.length;) { var f = a.charCodeAt(e); f > 255 && (f &= 255); l[c + e] = f; e += 1 } d || (l[c + e] = 0) } Module.writeStringToMemory = ac; var G = []; function Dc(a, c) { return a >= 0 ? a : c <= 32 ? 2 * Math.abs(1 << c - 1) + a : Math.pow(2, c) + a } function Ec(a, c) { if (a <= 0) { return a } var d = c <= 32 ? Math.abs(1 << c - 1) : Math.pow(2, c - 1); if (a >= d && (c <= 32 || a > d)) { a = -2 * d + a } return a } function Fc(a, c, d) { var e = (d | 0) < 0 ? -1 : 0, f = (d >>> 0) + (e | 0) * 4294967296 + (a >>> 0) + (c | 0) * 4294967296 >>> 0, a = Math.min(Math.floor(((d >>> 0) + (e | 0) * 4294967296 + (a >>> 0) + (c | 0) * 4294967296) / 4294967296), 4294967295); return [f, a] } function Gc(a, c, d) { var e = (d | 0) < 0 ? -1 : 0, f = (d >>> 0) + (e | 0) * 4294967296 + (a >>> 0) + (c | 0) * 4294967296 >>> 0, a = Math.min(Math.floor(((d >>> 0) + (e | 0) * 4294967296 + (a >>> 0) + (c | 0) * 4294967296) / 4294967296), 4294967295); return [f, a] } function Hc(a, c, d) { var e = (d | 0) > 0; a: do { if (e) { for (var f = 0, g = m[a >> 2]; ;) { if (g = m[Ic + ((o[c + f | 0] & 255 ^ g & 255) << 2) >> 2] ^ g >>> 8, m[a >> 2] = g, f = f + 1 | 0, (f | 0) == (d | 0)) { break a } } } } while (0) } function Jc(a, c, d) { l[a + 12 | 0] = c & 255; l[a + 13 | 0] = (c >>> 8 | d << 24) & 255; l[a + 14 | 0] = (c >>> 16 | d << 16) & 255; l[a + 15 | 0] = (c >>> 24 | d << 8) & 255; l[a + 16 | 0] = d & 255; l[a + 17 | 0] = (d >>> 8 | 0) & 255; l[a + 18 | 0] = (d >>> 16 | 0) & 255; l[a + 19 | 0] = (d >>> 24 | 0) & 255 } function Kc(a) { var c = l[a + 11 | 0], d = l[a + 10 | 0] | c << 8 | 0, e = l[a + 9 | 0] | d << 8 | 0, f = l[a + 8 | 0] | e << 8 | 0, g = l[a + 7 | 0] | f << 8 | 0, h = l[a + 6 | 0] | g << 8 | 0, i = l[a + 5 | 0] | h << 8 | 0; return [l[a + 4 | 0] | i << 8 | 0, 0 | ((((((0 | c >>> 24) << 8 | d >>> 24) << 8 | e >>> 24) << 8 | f >>> 24) << 8 | g >>> 24) << 8 | h >>> 24) << 8 | i >>> 24] } Kc.X = 1; function Lc(a) { var c = l[a + 19 | 0], d = l[a + 18 | 0] | c << 8 | 0, e = l[a + 17 | 0] | d << 8 | 0, f = l[a + 16 | 0] | e << 8 | 0, g = l[a + 15 | 0] | f << 8 | 0, h = l[a + 14 | 0] | g << 8 | 0, i = l[a + 13 | 0] | h << 8 | 0; return [l[a + 12 | 0] | i << 8 | 0, 0 | ((((((0 | c >>> 24) << 8 | d >>> 24) << 8 | e >>> 24) << 8 | f >>> 24) << 8 | g >>> 24) << 8 | h >>> 24) << 8 | i >>> 24] } Lc.X = 1; function Mc(a, c, d) { m[Nc >> 2] = 0; var e = d; a: for (; ;) { var f = c + (d - e) | 0; if ((e | 0) <= 0) { var g = 0; break } for (; ;) { m[Nc >> 2] = 0; var h = Oc(a, f, e); if ((h | 0) > 0) { break } if ((h | 0) == 0) { g = e; break a } if ((m[Nc >> 2] | 0) != 4 && (m[Nc >> 2] | 0) != 11) { g = e; break a } } e = e - h | 0 } return d - g | 0 } function Pc(a, c, d) { m[Nc >> 2] = 0; var e = d; a: for (; ;) { var f = c + (d - e) | 0; if ((e | 0) <= 0) { var g = 0; break } for (; ;) { m[Nc >> 2] = 0; var h = Qc(a, f, e); if ((h | 0) > 0) { break } if ((m[Nc >> 2] | 0) != 0 && (m[Nc >> 2] | 0) != 4 && (m[Nc >> 2] | 0) != 11) { g = e; break a } } e = e - h | 0 } return d - g | 0 } function Rc(a) { var c, d; d = (a + 20 | 0) >> 2; c = (a + 24 | 0) >> 2; var e = m[c], f = m[d] - e | 0; if ((f | 0) > 0) { var g = a + 16 | 0; Hc(a + 28 | 0, m[g >> 2] + e | 0, f); e = m[a + 32 >> 2]; (e | 0) > -1 && (Pc(e, m[g >> 2] + m[c] | 0, f) | 0) != (f | 0) && Sc(-1); f = m[d]; if ((f | 0) < (m[a + 12 >> 2] | 0)) { d = f } else { var g = (f | 0) < 0 ? -1 : 0, a = (a | 0) >> 2, h = m[a], i = m[a + 1], e = (h >>> 0) + (i | 0) * 4294967296 + (f >>> 0) + (g | 0) * 4294967296 >>> 0, f = Math.min(Math.floor(((h >>> 0) + (i | 0) * 4294967296 + (f >>> 0) + (g | 0) * 4294967296) / 4294967296), 4294967295); m[a] = e; m[a + 1] = f; d = m[d] = 0 } m[c] = d } } function Tc(a) { var c, d = k; k += 20; var e = a + 36 | 0, f = (m[e >> 2] | 0) > 0 ? 20 : 12; c = (a + 40 | 0) >> 2; for (var g = m[c], h = g | 0, g = Fc(m[h >> 2], m[h + 4 >> 2], m[g + 12 >> 2]), h = g[0], i = g[1], j = (f | 0) < 0 ? -1 : 0, g = (h >>> 0) + (i | 0) * 4294967296 + (f >>> 0) + (j | 0) * 4294967296 >>> 0, h = Math.min(Math.floor(((h >>> 0) + (i | 0) * 4294967296 + (f >>> 0) + (j | 0) * 4294967296) / 4294967296), 4294967295), j = i = 0; ;) { if ((i | 0) >= (f | 0)) { break } if ((j & 1) << 24 >> 24 != 0) { break } if (Uc(m[c])) { mc(d + i | 0, 0, f - i | 0), i = f, j = 1 } else { var n = Vc(m[c]); l[d + i | 0] = n } i = i + 1 | 0 } (m[e >> 2] | 0) == 0 && Jc(d, g, h); (m[m[c] + 20 >> 2] | 0) == 0 ? c = j : (Wc(G.L | 0), c = 1); e = (o[d | 0] & 255 | (o[d + 1 | 0] & 255 | (o[d + 2 | 0] & 255 | (o[d + 3 | 0] & 255) << 8) << 8) << 8 | 0) == (m[a + 28 >> 2] ^ -1 | 0); i = Kc(d); f = i[0]; i = i[1]; j = a | 0; a = Gc(m[j >> 2], m[j + 4 >> 2], m[a + 20 >> 2]); j = Lc(d); a = (j[0] == g && j[1] == h) & (f == a[0] && i == a[1]) & e & (c & 1) << 24 >> 24 == 0; k = d; return a } Tc.X = 1; function Uc(a) { var c; if ((m[a + 12 >> 2] | 0) < (m[a + 16 >> 2] | 0)) { c = 0 } else { var d = a + 32 | 0; if ((l[d] & 1) << 24 >> 24 == 0) { c = Mc(m[a + 28 >> 2], m[a + 8 >> 2], 16384); var e = a + 16 | 0; m[e >> 2] = c; (c | 0) != 16384 && (m[Nc >> 2] | 0) != 0 && Sc(-1); c = p[e >> 2]; l[d] = (c | 0) < 16384 & 1; var d = a + 12 | 0, e = m[d >> 2], f = (e | 0) < 0 ? -1 : 0, a = (a | 0) >> 2, g = m[a], h = m[a + 1], i = (g >>> 0) + (h | 0) * 4294967296 + (e >>> 0) + (f | 0) * 4294967296 >>> 0, e = Math.min(Math.floor(((g >>> 0) + (h | 0) * 4294967296 + (e >>> 0) + (f | 0) * 4294967296) / 4294967296), 4294967295); m[a] = i; m[a + 1] = e; d = m[d >> 2] = 0 } else { d = m[a + 12 >> 2], c = m[a + 16 >> 2] } c = (d | 0) < (c | 0) ^ 1 } return c } function Vc(a) { if (Uc(a)) { a = 85 } else { var c = a + 12 | 0, d = m[c >> 2]; m[c >> 2] = d + 1 | 0; a = l[m[a + 8 >> 2] + d | 0] } return a } function Xc(a) { var c, d = k; k += 29280; for (var e, f = d + 192, g = d + 240, h = d + 288, i = d + 336, j = d + 384, n = d + 576, u = d + 1600, s = d + 2060, r = d + 2124, q = d + 3412, z = d + 4700, v = d + 29276, w = d + 192 | 0, A = d | 0; ;) { H(A); var t = A + 4 | 0; if ((t | 0) == (w | 0)) { break } A = t } H(f | 0); H(f + 4 | 0); H(f + 8 | 0); H(f + 12 | 0); H(f + 16 | 0); H(f + 20 | 0); H(f + 24 | 0); H(f + 28 | 0); H(f + 32 | 0); H(f + 36 | 0); H(f + 40 | 0); H(f + 44 | 0); H(g | 0); H(g + 4 | 0); H(g + 8 | 0); H(g + 12 | 0); H(g + 16 | 0); H(g + 20 | 0); H(g + 24 | 0); H(g + 28 | 0); H(g + 32 | 0); H(g + 36 | 0); H(g + 40 | 0); H(g + 44 | 0); H(h | 0); H(h + 4 | 0); H(h + 8 | 0); H(h + 12 | 0); H(h + 16 | 0); H(h + 20 | 0); H(h + 24 | 0); H(h + 28 | 0); H(h + 32 | 0); H(h + 36 | 0); H(h + 40 | 0); H(h + 44 | 0); H(i | 0); H(i + 4 | 0); H(i + 8 | 0); H(i + 12 | 0); H(i + 16 | 0); H(i + 20 | 0); H(i + 24 | 0); H(i + 28 | 0); H(i + 32 | 0); H(i + 36 | 0); H(i + 40 | 0); H(i + 44 | 0); for (var C = j + 192 | 0, L = j | 0; ;) { H(L); var I = L + 4 | 0; if ((I | 0) == (C | 0)) { break } L = I } for (var P = n + 1024 | 0, N = n | 0; ;) { H(N); var F = N + 4 | 0; if ((F | 0) == (P | 0)) { break } N = F } for (var D = u + 460 | 0, J = u | 0; ;) { H(J); var O = J + 4 | 0; if ((O | 0) == (D | 0)) { break } J = O } var M = s | 0; H(M); H(s + 4 | 0); H(s + 8 | 0); H(s + 12 | 0); H(s + 16 | 0); H(s + 20 | 0); H(s + 24 | 0); H(s + 28 | 0); H(s + 32 | 0); H(s + 36 | 0); H(s + 40 | 0); H(s + 44 | 0); H(s + 48 | 0); H(s + 52 | 0); H(s + 56 | 0); H(s + 60 | 0); Yc(r); Yc(q); for (var Q = z + 24576 | 0, Y = z | 0; ;) { H(Y); var ga = Y + 4 | 0; if ((ga | 0) == (Q | 0)) { break } Y = ga } l[v | 0] = 0; c = (a + 40 | 0) >> 2; Zc(m[c]); var $ = a + 8 | 0, R = a + 20 | 0, Pa = a | 0, ea = v | 0, U = 0, pa = 0, ya = 0, ba = 0; a: for (; ;) { b: for (; ;) { if (Uc(m[c])) { Rc(a); var Ca = 2; break a } var qa = Pa | 0, kb = Pa + 4 | 0, Ya = Gc(m[qa >> 2], m[kb >> 2], m[R >> 2])[0] & 3, Cb = o[ea], ra = Cb & 255; if ((dd(m[c], (ra << 4) + (Ya << 2) + d | 0) | 0) == 0) { var Da, Vb = m[a + 20 >> 2]; Da = l[m[a + 16 >> 2] + (((Vb | 0) > 0 ? Vb : m[a + 12 >> 2]) - 1) | 0]; var fa = m[c]; if ((Cb & 255) < 7) { var sa = ed(fa, z + ((Da & 255) >> 5) * 3072 | 0, 8) & 255; fd(a, sa) } else { for (var ha = m[a + 20 >> 2] - U - 1 | 0, Ja = fa, Za = z + ((Da & 255) >> 5) * 3072 | 0, $a = l[m[a + 16 >> 2] + ((ha | 0) < 0 ? m[a + 12 >> 2] + ha | 0 : ha) | 0] & 255, Db = aa, ia = 7, mb = 1; ;) { if ((ia | 0) <= -1) { var Ea = mb, Db = 7; break } var nb = $a >>> (ia >>> 0) & 1, ob = dd(Ja, ((nb << 8) + mb + 256 << 2) + Za | 0), Qa = ob | mb << 1; if ((nb | 0) != (ob | 0)) { Db = 4; break } ia = ia - 1 | 0; mb = Qa } c: do { if (Db == 4) { if ((ia | 0) > 0) { for (var Ka = Qa, Ra = ia; ;) { var pb = Ra - 1 | 0, ab = Ka << 1, qb = dd(Ja, (Ka << 2) + Za | 0) | ab; if ((pb | 0) <= 0) { Ea = qb; break c } Ka = qb; Ra = pb } } else { Ea = Qa } } } while (0); fd(a, Ea & 255) } gd(v) } else { var La = dd(m[c], (ra << 2) + f | 0), Sa = p[c]; if ((La | 0) == 1) { var Kb = (dd(Sa, (ra << 2) + g | 0) | 0) == 1, Eb = m[c]; do { if (!Kb) { if ((dd(Eb, (ra << 4) + (Ya << 2) + j | 0) | 0) != 0) { var Fb = U, Gb = pa, Ta = ya, W = ba; break } hd(v); var ma = U, ja = pa, ta = ya, ua = ba, bb = 1; e = 37; break b } if ((dd(Eb, (ra << 2) + h | 0) | 0) == 0) { Fb = pa, Gb = U, Ta = ya, W = ba } else { var Ma = (dd(m[c], (ra << 2) + i | 0) | 0) == 0, cb = Ma ? ba : ya, Fb = Ma ? ya : ba, Gb = U, Ta = pa, W = cb } } while (0); id(v); var Lb = jd(q, m[c], Ya), ma = Fb, ja = Gb, ta = Ta, ua = W, bb = Lb + 2 | 0; e = 37; break } var S = jd(r, Sa, Ya), na = S + 2 | 0, Ua = ed(m[c], (kd(na) << 8) + n | 0, 6); if ((Ua | 0) < 4) { var ka = Ua; e = 33; break } var va = Ua >> 1, la = va - 1 | 0, Va = (Ua & 1 | 2) << la, Hb = m[c]; if ((Ua | 0) < 14) { ka = ld(Hb, (Va - Ua << 2) + u | 0, la) + Va | 0; e = 33; break } var db = Hb, eb = va - 5 | 0, Fa = aa, Ga = aa, Ha = (eb | 0) > 0; c: do { if (Ha) { for (var Ga = (db + 24 | 0) >> 2, Fa = (db + 20 | 0) >> 2, rb = 0, fb = eb, Na = m[Ga]; ;) { var ca = rb << 1; if (Na >>> 0 < 16777216) { m[Ga] = Na << 7; var Ib = m[Fa] << 8, za = Vc(db) & 255 | Ib; m[Fa] = za; var sb = p[Ga]; if (za >>> 0 < sb >>> 0) { var Wa = ca, tb = sb } else { m[Fa] = za - sb | 0, Wa = ca | 1, tb = sb } } else { var gb = Na >>> 1; m[Ga] = gb; var ub = p[Fa]; ub >>> 0 < gb >>> 0 ? Wa = ca : (m[Fa] = ub - gb | 0, Wa = ca | 1); tb = gb } var Jb = fb - 1 | 0; if ((Jb | 0) <= 0) { var vb = Wa; break c } rb = Wa; fb = Jb; Na = tb } } else { vb = 0 } } while (0); var bc = vb << 4, Mb = ld(m[c], M, 4), Ia = bc + Va + Mb | 0; if ((Ia | 0) != -1) { ka = Ia; e = 33; break } md(m[c]); Rc(a); if ((S | 0) == 0) { Ca = Tc(a) ? 0 : 3; break a } if ((na | 0) != 3) { Ca = 4; break a } Zc(m[c]) } } do { if (e == 33) { nd(v); if (ka >>> 0 < p[$ >> 2] >>> 0) { if (ka >>> 0 < p[R >> 2] >>> 0) { ma = ka; ja = U; ta = pa; ua = ya; bb = na; break } qa = Pa | 0; kb = Pa + 4 | 0; if (!(m[qa >> 2] == 0 && m[kb >> 2] == 0)) { ma = ka; ja = U; ta = pa; ua = ya; bb = na; break } } Rc(a); Ca = 1; break a } } while (0); od(a, ma, bb); U = ma; pa = ja; ya = ta; ba = ua } k = d; return Ca } Xc.X = 1; function Zc(a) { var c; c = (a + 20 | 0) >> 2; m[c] = 0; m[a + 24 >> 2] = -1; var d = Vc(a) & 255; m[c] = d; d = Vc(a) & 255 | d << 8; m[c] = d; d = Vc(a) & 255 | d << 8; m[c] = d; d = Vc(a) & 255 | d << 8; m[c] = d; d <<= 8; a = Vc(a); m[c] = a & 255 | d } function kd(a) { a = a - 2 | 0; return (a | 0) > 3 ? 3 : a } function gd(a) { a |= 0; l[a] = l[G.J + (o[a] & 255) | 0] } function hd(a) { a |= 0; l[a] = l[G.H + (o[a] & 255) | 0] } function id(a) { a |= 0; l[a] = l[G.I + (o[a] & 255) | 0] } function nd(a) { a |= 0; l[a] = l[G.K + (o[a] & 255) | 0] } function H(a) { m[a >> 2] = 1024 } function dd(a, c) { var d, e; md(a); e = (a + 24 | 0) >> 2; var f = p[e]; d = (c | 0) >> 2; var g = (f >>> 11) * m[d] | 0, h = a + 20 | 0, i = p[h >> 2]; i >>> 0 < g >>> 0 ? (m[e] = g, f = p[d], e = 0, f = ((2048 - f | 0) >>> 5) + f | 0) : (m[e] = f - g | 0, m[h >> 2] = i - g | 0, f = p[d], e = 1, f = f - (f >>> 5) | 0); m[d] = f; return e } function fd(a, c) { var d; d = (a + 20 | 0) >> 2; l[m[a + 16 >> 2] + m[d] | 0] = c; var e = m[d] + 1 | 0; m[d] = e; (e | 0) < (m[a + 12 >> 2] | 0) || Rc(a) } function jd(a, c, d) { return (dd(c, a | 0) | 0) == 0 ? ed(c, (d << 5) + a + 8 | 0, 3) : (dd(c, a + 4 | 0) | 0) == 0 ? ed(c, (d << 5) + a + 136 | 0, 3) + 8 | 0 : ed(c, a + 264 | 0, 8) + 16 | 0 } function ed(a, c, d) { var e = (d | 0) > 0; a: do { if (e) { for (var f = 1, g = d; ;) { var h = f << 1, f = dd(a, (f << 2) + c | 0) | h, g = g - 1 | 0; if ((g | 0) <= 0) { var i = f; break a } } } else { i = 1 } } while (0); return i - (1 << d) | 0 } function ld(a, c, d) { var e = (d | 0) > 0; a: do { if (e) { for (var f = 1, g = 0, h = 0; ;) { var i = dd(a, (f << 2) + c | 0); f <<= 1; (i | 0) != 0 && (g |= 1 << h, f |= 1); h = h + 1 | 0; if ((h | 0) == (d | 0)) { var j = g; break a } } } else { j = 0 } } while (0); return j } function md(a) { var c = a + 24 | 0, d = p[c >> 2]; d >>> 0 < 16777216 && (m[c >> 2] = d << 8, c = a + 20 | 0, d = m[c >> 2] << 8, a = Vc(a) & 255 | d, m[c >> 2] = a) } function od(a, c, d) { var e, f; e = (a + 20 | 0) >> 2; var g = m[e], h = g - c - 1 | 0, c = (a + 12 | 0) >> 2; f = m[c]; h = h + ((h | 0) < 0 ? f : 0) | 0; (f - ((g | 0) > (h | 0) ? g : h) | 0) > (d | 0) ? (f = g - h | 0, (((f | 0) > -1 ? f : -f | 0) | 0) < (d | 0) ? f = 3 : (f = m[a + 16 >> 2], pd(f + g | 0, f + h | 0, d), m[e] = m[e] + d | 0, f = 10)) : f = 3; a: do { if (f == 3 && (d | 0) > 0) { for (var i = a + 16 | 0, j = d, n = h, u = g; ;) { var s = m[i >> 2]; l[s + u | 0] = l[s + n | 0]; u = m[e] + 1 | 0; m[e] = u; s = m[c]; (u | 0) < (s | 0) ? u = s : (Rc(a), u = m[c]); n = n + 1 | 0; j = j - 1 | 0; if ((j | 0) <= 0) { break a } n = (n | 0) < (u | 0) ? n : 0; u = m[e] } } } while (0) } od.X = 1; function Yc(a) { H(a | 0); H(a + 4 | 0); H(a + 8 | 0); H(a + 12 | 0); H(a + 16 | 0); H(a + 20 | 0); H(a + 24 | 0); H(a + 28 | 0); H(a + 32 | 0); H(a + 36 | 0); H(a + 40 | 0); H(a + 44 | 0); H(a + 48 | 0); H(a + 52 | 0); H(a + 56 | 0); H(a + 60 | 0); H(a + 64 | 0); H(a + 68 | 0); H(a + 72 | 0); H(a + 76 | 0); H(a + 80 | 0); H(a + 84 | 0); H(a + 88 | 0); H(a + 92 | 0); H(a + 96 | 0); H(a + 100 | 0); H(a + 104 | 0); H(a + 108 | 0); H(a + 112 | 0); H(a + 116 | 0); H(a + 120 | 0); H(a + 124 | 0); H(a + 128 | 0); H(a + 132 | 0); H(a + 136 | 0); H(a + 140 | 0); H(a + 144 | 0); H(a + 148 | 0); H(a + 152 | 0); H(a + 156 | 0); H(a + 160 | 0); H(a + 164 | 0); H(a + 168 | 0); H(a + 172 | 0); H(a + 176 | 0); H(a + 180 | 0); H(a + 184 | 0); H(a + 188 | 0); H(a + 192 | 0); H(a + 196 | 0); H(a + 200 | 0); H(a + 204 | 0); H(a + 208 | 0); H(a + 212 | 0); H(a + 216 | 0); H(a + 220 | 0); H(a + 224 | 0); H(a + 228 | 0); H(a + 232 | 0); H(a + 236 | 0); H(a + 240 | 0); H(a + 244 | 0); H(a + 248 | 0); H(a + 252 | 0); H(a + 256 | 0); H(a + 260 | 0); for (var c = a + 1288 | 0, a = a + 264 | 0; ;) { if (H(a), a = a + 4 | 0, (a | 0) == (c | 0)) { break } } } Yc.X = 1; function qd(a, c, d, e) { var f, g = a >> 2, h = a | 0; m[h >> 2] = 0; m[h + 4 >> 2] = 0; var h = a + 12 | 0, i = rd(5505024); m[h >> 2] = i; m[g + 7] = 0; m[g + 8] = 0; i = a + 36 | 0; m[i >> 2] = 0; m[g + 11] = d; m[g + 12] = (d | 0) < 273 ? d / 2 + 16 | 0 : 256; m[g + 13] = e; e = a + 56 | 0; l[e] = 0; var j = (c << 1) + 4370 | 0; f = (c | 0) < 65536 ? 65536 : c; d = (a + 24 | 0) >> 2; m[d] = f; var n = lc(f); f = (a + 8 | 0) >> 2; m[f] = n; (n | 0) == 0 && Sc(-1); sd(a) && (l[e] & 1) << 24 >> 24 == 0 && (m[d] | 0) < (j | 0) && (m[d] = j, j = (m[f] | 0) == 0 ? lc(j) : td(m[f], j), m[f] = j, (j | 0) == 0 && Sc(-1), sd(a)); (l[e] & 1) << 24 >> 24 == 0 ? (m[g + 5] = c, a = m[d] - 273 | 0) : (a = m[i >> 2], (a | 0) < (c | 0) && (c = (a | 0) < 4096 ? 4096 : a), m[g + 5] = c, a = m[d]); m[g + 10] = a; c = rd((c << 1) * 4); m[g + 4] = c; for (g = 0; ;) { if (m[((g << 2) + m[h >> 2] | 0) >> 2] = -1, g = g + 1 | 0, (g | 0) == 1376256) { break } } } qd.X = 1; function sd(a) { var c, d = a + 56 | 0, e = (l[d] & 1) << 24 >> 24 == 0; c = (a + 36 | 0) >> 2; if (e) { var f = m[c], e = m[a + 24 >> 2]; if ((f | 0) < (e | 0)) { e = e - f | 0; f = Mc(m[a + 52 >> 2], m[a + 8 >> 2] + f | 0, e); m[c] = m[c] + f | 0; if ((f | 0) != (e | 0) && (m[Nc >> 2] | 0) != 0) { var g = lc(4); m[g >> 2] = G.ea | 0; ud(g, vd, 0); b("Reached an unreachable!") } l[d] = (f | 0) < (e | 0) & 1 } } return (m[a + 28 >> 2] | 0) < (m[c] | 0) } function wd(a) { var c, d, e, f; e = (a + 32 | 0) >> 2; var g = m[e] + 1 | 0; m[e] = g; f = (a + 20 | 0) >> 2; (g | 0) < (m[f] | 0) || (m[e] = 0); e = (a + 28 | 0) >> 2; g = m[e] + 1 | 0; m[e] = g; var h = (g | 0) < (m[a + 40 >> 2] | 0); do { if (!h && (d = (a + 36 | 0) >> 2, (g | 0) > (m[d] | 0) && xd(G.O | 0), (l[a + 56 | 0] & 1) << 24 >> 24 == 0)) { var i = m[e] - m[f] - 4097 | 0; c = m[a + 8 >> 2]; yd(c, c + i | 0, m[d] - i | 0); var j = i, n = (i | 0) < 0 ? -1 : 0; c = (a | 0) >> 2; var u = m[c], s = m[c + 1], r = (u >>> 0) + (s | 0) * 4294967296 + (j >>> 0) + (n | 0) * 4294967296 >>> 0, j = Math.min(Math.floor(((u >>> 0) + (s | 0) * 4294967296 + (j >>> 0) + (n | 0) * 4294967296) / 4294967296), 4294967295); m[c] = r; m[c + 1] = j; m[e] = m[e] - i | 0; m[d] = m[d] - i | 0; d = a + 12 | 0; for (c = 0; ;) { if (r = (c << 2) + m[d >> 2] | 0, j = m[r >> 2], (j | 0) > -1 && (m[r >> 2] = j - i | 0), c = c + 1 | 0, (c | 0) == 1376256) { break } } d = m[f]; c = (d << 1 | 0) > 0; a: do { if (c) { r = a + 16 | 0; j = 0; for (n = d; ;) { if (u = (j << 2) + m[r >> 2] | 0, s = m[u >> 2], (s | 0) > -1 && (m[u >> 2] = s - i | 0, n = m[f]), j = j + 1 | 0, (j | 0) >= (n << 1 | 0)) { break a } } } } while (0); sd(a) } } while (0) } wd.X = 1; function zd(a, c) { var d, e, f, g, h, i = c >> 2, j; j = m[a + 44 >> 2]; h = (a + 28 | 0) >> 2; var n = p[h]; g = m[a + 36 >> 2] - n | 0; if ((j | 0) > (g | 0)) { if ((g | 0) < 4) { var u = 0; j = 38 } else { var s = g; j = 3 } } else { s = j, j = 3 } do { if (j == 3) { u = a + 20 | 0; g = m[u >> 2]; var r = n + 1 | 0, q = (n | 0) < (g | 0) ? 0 : r - g | 0; g = (a + 8 | 0) >> 2; var z = p[g], v = z + n | 0, w = o[v], A = o[z + r | 0] & 255, r = A | (w & 255) << 8 | 1310720, w = m[Ic + ((w & 255) << 2) >> 2] ^ A ^ (o[n + (z + 2) | 0] & 255) << 8, A = w & 262143 | 1048576, t = (w ^ m[Ic + ((l[n + (z + 3) | 0] & 255) << 2) >> 2] << 5) & 1048575, w = (c | 0) != 0; f = (a + 12 | 0) >> 2; if (w) { j = m[m[f] + (r << 2) >> 2]; if ((j | 0) < (q | 0)) { m[i + 2] = 2147483647; var C = 1 } else { m[i + 2] = n - 1 - j | 0, C = 2 } j = m[m[f] + (A << 2) >> 2]; if ((j | 0) < (q | 0)) { j = 10 } else { if (l[m[g] + j | 0] << 24 >> 24 != l[v] << 24 >> 24) { j = 10 } else { m[i + 3] = m[h] + (j ^ -1) | 0; var L = 3; j = 11 } } j == 10 && (m[i + 3] = 2147483647, L = C); m[i + 4] = 2147483647; C = L; v = m[h] } else { C = 1, v = n } m[((r << 2) + m[f] | 0) >> 2] = v; m[((A << 2) + m[f] | 0) >> 2] = m[h]; var r = (t << 2) + m[f] | 0, I = m[r >> 2]; m[r >> 2] = m[h]; r = a + 16 | 0; e = m[r >> 2]; var v = a + 32 | 0, P = m[v >> 2] << 1, A = m[a + 48 >> 2], N = t = f = 0, F = ((P | 1) << 2) + e | 0; e = (P << 2) + e | 0; e >>= 2; var D = I; a: for (; ;) { var J = A, I = f, O = C, M = N, P = F; d = P >> 2; var Q = D; b: for (; ;) { var Y = (Q | 0) < (q | 0); do { if (!Y) { var ga = J - 1 | 0; if ((ga | 0) >= 0) { for (J = m[g]; ;) { var $ = (M | 0) < (s | 0); if (!$) { break } if (l[J + M + Q | 0] << 24 >> 24 != l[z + M + n | 0] << 24 >> 24) { break } M = M + 1 | 0 } var Y = m[h] - Q | 0, R = w & (O | 0) < (M | 0); c: do { if (R) { for (var Pa = Y - 1 | 0, ea = O; ;) { if (ea = ea + 1 | 0, m[(ea << 2 >> 2) + i] = Pa, (ea | 0) == (M | 0)) { var U = M; break c } } } else { U = O } } while (0); O = p[r >> 2]; R = m[v >> 2]; R = R - Y + ((R | 0) < (Y | 0) ? m[u >> 2] : 0) << 1; Y = (R << 2) + O | 0; if (!$) { m[e] = m[Y >> 2]; m[d] = m[O + ((R | 1) << 2) >> 2]; var pa = U; break a } if ((o[J + M + Q | 0] & 255) < (o[z + M + n | 0] & 255)) { m[e] = Q; e = ((R | 1) << 2) + O | 0; d = m[e >> 2]; if ((I | 0) >= (M | 0)) { A = ga; f = I; C = U; N = t = M; F = P; e >>= 2; D = d; continue a } A = ga; f = I; C = U; t = M; N = I; F = P; e >>= 2; D = d; continue a } m[d] = Q; Q = m[Y >> 2]; if ((t | 0) >= (M | 0)) { J = ga; I = M; O = U; P = Y; d = P >> 2; continue b } J = ga; I = M; O = U; M = t; P = Y; d = P >> 2; continue b } } } while (0); m[d] = -1; m[e] = -1; pa = O; break a } } w && (u = c + 12 | 0, g = m[u >> 2], q = m[i + 4], u = (g | 0) > (q | 0) ? m[u >> 2] = q : g, g = c + 8 | 0, (m[g >> 2] | 0) > (u | 0) && (m[g >> 2] = u)); u = pa } } while (0); return u } zd.X = 1; function Ad(a, c, d, e) { var f = d - 2 | 0, g = a | 0; (f | 0) < 8 ? (Bd(c, g, 0), Cd(c, (e << 5) + a + 8 | 0, f, 3)) : (Bd(c, g, 1), g = a + 4 | 0, (f | 0) < 16 ? (Bd(c, g, 0), Cd(c, (e << 5) + a + 136 | 0, d - 10 | 0, 3)) : (Bd(c, g, 1), Cd(c, a + 264 | 0, d - 18 | 0, 8))); c = (e << 2) + a + 5644 | 0; d = m[c >> 2] - 1 | 0; m[c >> 2] = d; (d | 0) < 1 && Dd(a, e) } function Bd(a, c, d) { var e; e = (a + 24 | 0) >> 2; var f = p[e], c = (c | 0) >> 2, g = (f >>> 11) * m[c] | 0; if ((d | 0) == 0) { m[e] = g, f = p[c], f = ((2048 - f | 0) >>> 5) + f | 0 } else { var d = (a | 0) >> 2, h = m[d], i = m[d + 1], j = (h >>> 0) + (i | 0) * 4294967296 + (g >>> 0) + 0 >>> 0, h = Math.min(Math.floor(((h >>> 0) + (i | 0) * 4294967296 + (g >>> 0) + 0) / 4294967296), 4294967295); m[d] = j; m[d + 1] = h; m[e] = f - g | 0; f = p[c]; f = f - (f >>> 5) | 0 } m[c] = f; c = p[e]; c >>> 0 < 16777216 && (m[e] = c << 8, Ed(a)) } function Cd(a, c, d, e) { var f = (e | 0) > 0; a: do { if (f) { for (var g = 1 << e - 1, h = 1, i = e; ;) { var j = g & d; Bd(a, (h << 2) + c | 0, j); h = (j | 0) != 0 & 1 | h << 1; i = i - 1 | 0; if ((i | 0) <= 0) { break a } g >>= 1 } } } while (0) } function Dd(a, c) { var d, e = a >> 2, f = a | 0, g = Fd(m[f >> 2]); d = (a + 5640 | 0) >> 2; for (var h = (c << 5) + a + 8 | 0, i = 0; ;) { if ((i | 0) >= 8) { break } if ((i | 0) >= (m[d] | 0)) { break } m[((i << 2) + 1288 >> 2) + e + (c * 272 | 0)] = Od(h, i, 3) + g | 0; i = i + 1 | 0 } f = Pd(m[f >> 2]); h = (c << 5) + a + 136 | 0; for (g = a + 4 | 0; ;) { var j = m[d], n = (i | 0) < (j | 0); if (!((i | 0) < 16 & n)) { break } m[((i << 2) + 1288 >> 2) + e + (c * 272 | 0)] = Fd(m[g >> 2]) + f + Od(h, i - 8 | 0, 3) | 0; i = i + 1 | 0 } a: do { if (n) { for (var h = a + 264 | 0, u = i; ;) { var s = Pd(m[g >> 2]) + f + Od(h, u - 16 | 0, 8) | 0; m[((u << 2) + 1288 >> 2) + e] = s; m[((u << 2) + 2376 >> 2) + e] = s; m[((u << 2) + 3464 >> 2) + e] = s; m[((u << 2) + 4552 >> 2) + e] = s; u = u + 1 | 0; s = m[d]; if ((u | 0) >= (s | 0)) { var r = s; break a } } } else { r = j } } while (0); m[((c << 2) + 5644 >> 2) + e] = r } Dd.X = 1; function Qd(a) { var c = a >> 2, a = a + 2068 | 0; m[c + 43305] = Rd(a, 0, 4); m[c + 43306] = Rd(a, 1, 4); m[c + 43307] = Rd(a, 2, 4); m[c + 43308] = Rd(a, 3, 4); m[c + 43309] = Rd(a, 4, 4); m[c + 43310] = Rd(a, 5, 4); m[c + 43311] = Rd(a, 6, 4); m[c + 43312] = Rd(a, 7, 4); m[c + 43313] = Rd(a, 8, 4); m[c + 43314] = Rd(a, 9, 4); m[c + 43315] = Rd(a, 10, 4); m[c + 43316] = Rd(a, 11, 4); m[c + 43317] = Rd(a, 12, 4); m[c + 43318] = Rd(a, 13, 4); m[c + 43319] = Rd(a, 14, 4); m[c + 43320] = Rd(a, 15, 4); m[c + 43321] = 16 } Qd.X = 1; function Rd(a, c, d) { var e = (d | 0) > 0; a: do { if (e) { for (var f = 0, g = 1, h = c, i = d; ;) { var j = h & 1; h >>= 1; f = Sd((g << 2) + a | 0, j) + f | 0; i = i - 1 | 0; if ((i | 0) <= 0) { var n = f; break a } g = j | g << 1 } } else { n = 0 } } while (0); return n } function Td(a) { for (var c = a >> 2, d = 4; ;) { var e = l[K + d | 0] & 255, f = (e >>> 1) - 1 | 0, g = (e & 1 | 2) << f, e = Rd((g - e << 2) + a + 1608 | 0, d - g | 0, f); m[((d << 2) + 171172 >> 2) + c] = e; m[((d << 2) + 171684 >> 2) + c] = e; m[((d << 2) + 172196 >> 2) + c] = e; m[((d << 2) + 172708 >> 2) + c] = e; d = d + 1 | 0; if ((d | 0) == 128) { break } } d = a + 38072 | 0; for (e = 0; ;) { f = (e << 8) + a + 584 | 0; for (g = 0; ;) { var h = (g | 0) < (m[d >> 2] | 0); if (!((g | 0) < 14 & h)) { break } m[((g << 2) + 170244 >> 2) + c + (e * 58 | 0)] = Od(f, g, 6); g = g + 1 | 0 } a: do { if (h) { for (var i = g; ;) { if (m[((i << 2) + 170244 >> 2) + c + (e * 58 | 0)] = Od(f, i, 6) + ((i << 5) - 320 & -64) | 0, i = i + 1 | 0, (i | 0) >= (m[d >> 2] | 0)) { break a } } } } while (0); m[((e << 9) + 171172 >> 2) + c] = m[c + (e * 58 | 0) + 42561]; m[((e << 9) + 171176 >> 2) + c] = m[c + (e * 58 | 0) + 42562]; m[((e << 9) + 171180 >> 2) + c] = m[c + (e * 58 | 0) + 42563]; m[((e << 9) + 171184 >> 2) + c] = m[c + (e * 58 | 0) + 42564]; for (f = 4; ;) { if (g = (e << 9) + (f << 2) + a + 171172 | 0, m[g >> 2] = m[g >> 2] + m[(((l[K + f | 0] & 255) << 2) + 170244 >> 2) + c + (e * 58 | 0)] | 0, f = f + 1 | 0, (f | 0) == 128) { break } } e = e + 1 | 0; if ((e | 0) == 4) { break } } } Td.X = 1; function Od(a, c, d) { c |= 1 << d; d = (c | 0) > 1; a: do { if (d) { for (var e = c, f = 0; ;) { var g = e >> 1, f = Sd((g << 2) + a | 0, e & 1) + f | 0; if ((g | 0) <= 1) { var h = f; break a } e = g } } else { h = 0 } } while (0); return h } function Ud(a) { var c; c = (a + 20 | 0) >> 2; var d = m[c]; if ((d | 0) > 0) { var e = m[a + 32 >> 2]; if ((e | 0) > -1) { if (d = Pc(e, m[a + 16 >> 2], d), e = m[c], (d | 0) == (e | 0)) { var f = e } else { d = lc(4), m[d >> 2] = G.W | 0, ud(d, vd, 0), b("Reached an unreachable!") } } else { f = d } var d = f, f = (f | 0) < 0 ? -1 : 0, a = (a + 8 | 0) >> 2, g = m[a], h = m[a + 1], e = (g >>> 0) + (h | 0) * 4294967296 + (d >>> 0) + (f | 0) * 4294967296 >>> 0, f = Math.min(Math.floor(((g >>> 0) + (h | 0) * 4294967296 + (d >>> 0) + (f | 0) * 4294967296) / 4294967296), 4294967295); m[a] = e; m[a + 1] = f; m[c] = 0 } } function Vd(a, c, d) { var e = (d | 0) < 0 ? -1 : 0, f = (d >>> 0) + (e | 0) * 4294967296 + (a >>> 0) + (c | 0) * 4294967296 >>> 0, a = Math.min(Math.floor(((d >>> 0) + (e | 0) * 4294967296 + (a >>> 0) + (c | 0) * 4294967296) / 4294967296), 4294967295); return [f, a] } function Wd(a, c, d, e) { var f = a + 12 | 0; (m[f >> 2] | 0) > (e | 0) && (m[a + 4 >> 2] = c, m[a + 8 >> 2] = d, m[f >> 2] = e) } function Xd(a, c, d) { return m[((c - 2 << 2) + a + 1288 >> 2) + (d * 272 | 0)] } function Yd(a, c) { var d = (c << 5) + a + 39176 | 0, e = (c | 0) > 0; a: do { if (e) { for (var f = c; ;) { var g = m[a + (f << 5) + 39180 >> 2]; m[((g << 5) + a + 39184 | 0) >> 2] = f - g | 0; var f = m[d >> 2], h = (g << 5) + a + 39176 | 0; m[d >> 2] = m[h >> 2]; m[h >> 2] = f; if ((g | 0) <= 0) { break a } f = g } } } while (0) } function Zd(a, c) { var d = c >> 2, e = (a | 0) > 3; do { if (e) { var f = c + 8 | 0; m[d + 3] = m[f >> 2]; var g = c + 4 | 0; m[f >> 2] = m[g >> 2]; m[g >> 2] = m[d]; m[d] = a - 4 | 0 } else { if ((a | 0) > 0) { f = m[(a << 2 >> 2) + d]; for (g = a; ;) { var h = g - 1 | 0; m[(g << 2 >> 2) + d] = m[(h << 2 >> 2) + d]; if ((h | 0) <= 0) { break } g = h } m[d] = f } } } while (0) } function $d(a, c, d) { var e, f, g, h, i, j = a >> 2, n = k; k += 16; i = n >> 2; h = (a | 0) >> 2; var u = m[h]; if ((u | 0) > 0) { m[h] = 0; var s = u } else { s = ae(a) } g = (a + 2132 | 0) >> 2; var r = p[g]; f = r >> 2; var q = p[c >> 2], z = p[f + 2], v = p[f + 7], w = p[f + 9], A = be(z, v, w, 0, q + 1 | 0, 273); m[i] = A; var t = c + 4 | 0, C = be(z, v, w, 0, m[t >> 2] + 1 | 0, 273); m[i + 1] = C; var L = (C | 0) > (A | 0) & 1, I = c + 8 | 0, P = be(z, v, w, 0, m[I >> 2] + 1 | 0, 273); m[i + 2] = P; var N = (P | 0) > (m[(L << 2 >> 2) + i] | 0) ? 2 : L, F = c + 12 | 0, D = be(z, v, w, 0, m[F >> 2] + 1 | 0, 273); m[i + 3] = D; var J = (D | 0) > (m[(N << 2 >> 2) + i] | 0) ? 3 : N, O = p[(J << 2 >> 2) + i], M = m[f + 11], Q = (O | 0) < (M | 0); a: do { if (Q) { if ((s | 0) < (M | 0)) { var Y = r | 0, ga = Vd(m[Y >> 2], m[Y + 4 >> 2], v)[0], $ = l[z + v + -1 | 0], R = l[z + v + 0 | 0], Pa = l[z + v + (q ^ -1) | 0], ea = d | 0; l[a + 39172 | 0] = l[ea]; m[j + 9797] = m[c >> 2]; m[j + 9798] = m[t >> 2]; m[j + 9799] = m[I >> 2]; m[j + 9800] = m[F >> 2]; var U = ga & 3, pa = a + 39204 | 0, ya = a + 39208 | 0; m[ya >> 2] = -1; m[j + 9803] = 0; var ba = Fd(m[(((l[ea] & 255) << 4) + (U << 2) + 8 >> 2) + j]), Ca = a + 39216 | 0; m[Ca >> 2] = ba; var qa = a + 13496 | 0; m[Ca >> 2] = ((l[ea] & 255) < 7 ? Od(qa + (($ & 255) >>> 5) * 3072 | 0, R & 255, 8) : ce(qa + (($ & 255) >>> 5) * 3072 | 0, R & 255, Pa & 255)) + ba | 0; var kb = o[ea], Ya = kb & 255, Cb = Pd(m[((Ya << 4) + (U << 2) + 8 >> 2) + j]), ra = Pd(m[((Ya << 2) + 200 >> 2) + j]) + Cb | 0; Pa << 24 >> 24 == R << 24 >> 24 && Wd(pa, 0, 0, de(a, kb, U) + ra | 0); if ((s | 0) < 2) { m[j + 9794] = m[ya >> 2]; m[j + 9796] = 1; wd(m[g]); var Da = 1 } else { var Vb = (s | 0) > (O | 0); b: do { if (Vb) { for (var fa = Fd(m[(((l[ea] & 255) << 2) + 200 >> 2) + j]) + Cb | 0, sa = s + 1 | 0, ha = 2; ;) { var Ja = (ha << 2) + a + 38076 | 0; m[((ha << 5) + 39176 >> 2) + j] = m[Ja >> 2] + 4 | 0; m[((ha << 5) + 39180 >> 2) + j] = 0; m[((ha << 5) + 39184 >> 2) + j] = fa + ((ha | 0) < 3 & (m[Ja >> 2] | 0) > 127 ? 268435455 : ee(a, m[Ja >> 2], kd(ha)) + Xd(a + 2176 | 0, ha, U) | 0) | 0; var Za = ha + 1 | 0; if ((Za | 0) == (sa | 0)) { var $a = s; break b } ha = Za } } else { if ((O | 0) < 2) { $a = O } else { for (var Db = O + 1 | 0, ia = 2; ;) { m[((ia << 5) + 39184 >> 2) + j] = 268435455; var mb = ia + 1 | 0; if ((mb | 0) == (Db | 0)) { $a = O; break b } ia = mb } } } } while (0); var Ea = a + 7836 | 0, nb = (A | 0) < 2; b: do { if (!nb) { for (var ob = fe(a, 0, l[ea], U) + ra | 0, Qa = 2; ;) { Wd((Qa << 5) + a + 39172 | 0, 0, 0, ob + Xd(Ea, Qa, U) | 0); var Ka = Qa + 1 | 0; if ((Ka | 0) > (A | 0)) { break b } Qa = Ka } } } while (0); var Ra = (C | 0) < 2; b: do { if (!Ra) { for (var pb = fe(a, 1, l[ea], U) + ra | 0, ab = 2; ;) { Wd((ab << 5) + a + 39172 | 0, 1, 0, pb + Xd(Ea, ab, U) | 0); var qb = ab + 1 | 0; if ((qb | 0) > (C | 0)) { break b } ab = qb } } } while (0); var La = (P | 0) < 2; b: do { if (!La) { for (var Sa = fe(a, 2, l[ea], U) + ra | 0, Kb = 2; ;) { Wd((Kb << 5) + a + 39172 | 0, 2, 0, Sa + Xd(Ea, Kb, U) | 0); var Eb = Kb + 1 | 0; if ((Eb | 0) > (P | 0)) { break b } Kb = Eb } } } while (0); var Fb = (D | 0) < 2; b: do { if (!Fb) { for (var Gb = fe(a, 3, l[ea], U) + ra | 0, Ta = 2; ;) { Wd((Ta << 5) + a + 39172 | 0, 3, 0, Gb + Xd(Ea, Ta, U) | 0); var W = Ta + 1 | 0; if ((W | 0) > (D | 0)) { break b } Ta = W } } } while (0); wd(m[g]); var ma = a + 38084 | 0, ja = a + 2176 | 0, ta = $a, ua = 0; b: for (; ;) { for (var bb = ua + 1 | 0, Ma = ua, cb = bb, Lb = 0; ;) { var S = Ma + 1 | 0; if ((S | 0) >= (ta | 0)) { Yd(a, S); Da = S; break a } var na = ae(a); if ((na | 0) >= (m[m[g] + 44 >> 2] | 0)) { m[h] = na; Yd(a, S); Da = S; break a } var Ua = (S << 5) + a + 39172 | 0, ka = m[((S << 5) + 39180 >> 2) + j], va = Ua | 0; l[va] = l[(ka << 5) + a + 39172 | 0]; var la = (S << 5) + a + 39188 | 0; m[la >> 2] = m[((ka << 5) + 39188 >> 2) + j]; m[((S << 5) + 39192 >> 2) + j] = m[((ka << 5) + 39192 >> 2) + j]; m[((S << 5) + 39196 >> 2) + j] = m[((ka << 5) + 39196 >> 2) + j]; m[((S << 5) + 39200 >> 2) + j] = m[((ka << 5) + 39200 >> 2) + j]; var Va = Ua | 0, Hb = (S << 5) + a + 39176 | 0, db = m[Hb >> 2]; (ka | 0) == (Ma | 0) ? (db | 0) == 0 ? hd(Va) : gd(Va) : ((db | 0) < 4 ? id(Va) : nd(Va), Zd(m[Hb >> 2], la)); var eb = p[g], Fa = eb | 0, Ga = m[eb + 28 >> 2], Ha = Vd(m[Fa >> 2], m[Fa + 4 >> 2], Ga)[0] & 3, rb = m[eb + 8 >> 2], fb = l[rb + Ga + -1 | 0], Na = l[rb + Ga + 0 | 0], ca = l[rb + Ga + (m[la >> 2] ^ -1) | 0], Ib = (S << 5) + a + 39184 | 0, za = o[va], sb = Fd(m[(((za & 255) << 4) + (Ha << 2) + 8 >> 2) + j]) + m[Ib >> 2] + ((za & 255) < 7 ? Od(qa + ((fb & 255) >>> 5) * 3072 | 0, Na & 255, 8) : ce(qa + ((fb & 255) >>> 5) * 3072 | 0, Na & 255, ca & 255)) | 0; wd(eb); var Wa = Ma + 2 | 0, tb = (Wa << 5) + a + 39172 | 0; Wd(tb, -1, S, sb); var gb = o[va], ub = gb & 255, Jb = Pd(m[((ub << 4) + (Ha << 2) + 8 >> 2) + j]) + m[Ib >> 2] | 0, vb = Jb + Pd(m[((ub << 2) + 200 >> 2) + j]) | 0; ca << 24 >> 24 == Na << 24 >> 24 && (m[((Wa << 5) + 39176 >> 2) + j] | 0) != 0 && Wd(tb, 0, S, de(a, gb, Ha) + vb | 0); var bc = 4094 - Ma | 0, Mb = m[g]; e = Mb >> 2; var Ia = m[e + 7], ec = m[e + 9] - Ia | 0, Xa = (bc | 0) < (ec | 0) ? bc : ec, fc = m[e + 11], Wb = (Xa | 0) < (fc | 0) ? Xa : fc; if ((Wb | 0) >= 2) { var xb = ta, Pb = 0, Xb = Mb, gc = Ia; break } Ma = S; cb = cb + 1 | 0; Lb = Lb + 1 | 0 } for (; ;) { for (var $c = m[Xb + 8 >> 2] + gc | 0, ad = -2 - m[((S << 5) + (Pb << 2) + 39188 >> 2) + j] | 0, yb = 0; ;) { if ((yb | 0) >= (Wb | 0)) { break } if (l[$c + (yb - 1) | 0] << 24 >> 24 != l[$c + ad + yb | 0] << 24 >> 24) { break } yb = yb + 1 | 0 } var dg = (yb | 0) > 1; c: do { if (dg) { var eg = fe(a, Pb, l[va], Ha), fg = (xb | 0) < (yb + S | 0); d: do { if (fg) { for (var Xe = Lb + bb + yb | 0, Ye = xb; ;) { var Gd = Ye + 1 | 0; m[((Gd << 5) + 39184 >> 2) + j] = 268435455; if ((Gd | 0) == (Xe | 0)) { var Ze = Xe; break d } Ye = Gd } } else { Ze = xb } } while (0); for (var gg = eg + vb | 0, bd = yb; ;) { Wd((bd + S << 5) + a + 39172 | 0, Pb, S, gg + Xd(Ea, bd, Ha) | 0); var $e = bd - 1 | 0; if (($e | 0) <= 1) { var hc = Ze; break c } bd = $e } } else { hc = xb } } while (0); var af = Pb + 1 | 0; if ((af | 0) == 4) { break } var bf = p[g], xb = hc, Pb = af, Xb = bf, gc = m[bf + 28 >> 2] } if ((na | 0) > (Wb | 0)) { ta = hc, ua = S } else { if ((na | 0) <= 2) { if ((na | 0) != 2) { ta = hc; ua = S; continue } if ((m[ma >> 2] | 0) >= 128) { ta = hc; ua = S; continue } } var cf = Fd(m[(((l[va] & 255) << 2) + 200 >> 2) + j]) + Jb | 0, hg = (hc | 0) < (na + S | 0); c: do { if (hg) { for (var df = na + cb | 0, ef = hc; ;) { var Hd = ef + 1 | 0; m[((Hd << 5) + 39184 >> 2) + j] = 268435455; if ((Hd | 0) == (df | 0)) { var Id = df; break c } ef = Hd } } else { Id = hc } } while (0); var cd = p[ma >> 2], ff = kd(2); (cd | 0) < 128 && Wd((Ma + 3 << 5) + a + 39172 | 0, cd + 4 | 0, S, m[((ff << 9) + (cd << 2) + 171172 >> 2) + j] + cf + Xd(ja, 2, Ha) | 0); if ((na | 0) < 3) { ta = Id, ua = S } else { for (var ig = na + 1 | 0, Jd = cd, Kd = ff, gf = 268435455, wc = 3; ;) { var Ld = m[((wc << 2) + 38076 >> 2) + j]; if ((Jd | 0) != (Ld | 0) | (Kd | 0) < 3) { var hf = kd(wc), Md = ee(a, Ld, hf), jf = hf, Nd = Ld } else { Md = gf, jf = Kd, Nd = Jd } Wd((wc + S << 5) + a + 39172 | 0, Nd + 4 | 0, S, Md + cf + Xd(ja, wc, Ha) | 0); var kf = wc + 1 | 0; if ((kf | 0) == (ig | 0)) { ta = Id; ua = S; continue b } Jd = Nd; Kd = jf; gf = Md; wc = kf } } } } } } else { m[j + 9794] = m[((M << 2) + 38076 >> 2) + j] + 4 | 0, m[j + 9796] = s, ge(a, s, 1), Da = s } } else { m[j + 9794] = J, m[j + 9796] = O, ge(a, O, 1), Da = O } } while (0); k = n; return Da } $d.X = 1; function ae(a) { var c; c = a + 2132 | 0; var d = zd(m[c >> 2], a + 38076 | 0); c = m[c >> 2] >> 2; return (d | 0) == (m[c + 11] | 0) ? be(m[c + 2], m[c + 7], m[c + 9], d, m[a + (d << 2) + 38076 >> 2] + 1 | 0, 273 - d | 0) + d | 0 : d } function be(a, c, d, e, f, g) { d = d - c | 0; g = (g + e | 0) > (d | 0) ? d - e | 0 : g; c = c + e | 0; f = c - f | 0; for (e = 0; ;) { if ((e | 0) >= (g | 0)) { break } if (l[a + f + e | 0] << 24 >> 24 != l[a + e + c | 0] << 24 >> 24) { break } e = e + 1 | 0 } return e } function ge(a, c, d) { var e = (c | 0) > 0; a: do { if (e) { for (var f = a + 2132 | 0, g = d & 1, h = c; ;) { if (h = h - 1 | 0, (g & 1) << 24 >> 24 == 0 ? zd(m[f >> 2], 0) : g = 0, wd(m[f >> 2]), (h | 0) <= 0) { break a } } } } while (0) } function Pd(a) { return Fd(2048 - a | 0) } function de(a, c, d) { c &= 255; return Fd(m[a + (c << 4) + (d << 2) + 392 >> 2]) + Fd(m[a + (c << 2) + 248 >> 2]) | 0 } function fe(a, c, d, e) { d &= 255; var f = p[a + (d << 2) + 248 >> 2]; (c | 0) == 0 ? a = Pd(m[a + (d << 4) + (e << 2) + 392 >> 2]) + Fd(f) | 0 : (e = Pd(f), f = m[a + (d << 2) + 296 >> 2], a = (c | 0) == 1 ? Fd(f) + e | 0 : Pd(f) + e + Sd((d << 2) + a + 344 | 0, c - 2 | 0) | 0); return a } function he(a, c, d, e) { var f = (d | 0) < 0 ? -1 : 0, g = (e | 0) < 0 ? -1 : 0, h = (d >>> 0) + (f | 0) * 4294967296 + (a >>> 0) + (c | 0) * 4294967296 >>> 0, c = Math.min(Math.floor(((d >>> 0) + (f | 0) * 4294967296 + (a >>> 0) + (c | 0) * 4294967296) / 4294967296), 4294967295), a = (h >>> 0) + (c | 0) * 4294967296 + (e >>> 0) + (g | 0) * 4294967296 >>> 0, e = Math.min(Math.floor(((h >>> 0) + (c | 0) * 4294967296 + (e >>> 0) + (g | 0) * 4294967296) / 4294967296), 4294967295); return [a, e] } function ie(a) { for (var c = 1, d = 0, e = 1; ;) { var f = (e & a | 0) == 0 ? d : c, c = c + 1 | 0; if ((c | 0) == 32) { break } d = f; e <<= 1 } return f } function je(a) { return (l[a + 56 | 0] & 1) << 24 >> 24 == 0 ? 0 : (m[a + 28 >> 2] | 0) >= (m[a + 36 >> 2] | 0) } function ke(a, c) { var d = p[a >> 2]; m[a >> 2] = m[Ic + ((d & 255 ^ c & 255) << 2) >> 2] ^ d >>> 8 } function ee(a, c, d) { return (c | 0) < 128 ? m[a + (d << 9) + (c << 2) + 171172 >> 2] : m[a + ((c & 15) << 2) + 173220 >> 2] + m[((le(c) << 2) + a + 170244 >> 2) + (d * 58 | 0)] | 0 } function me(a, c) { var d = k; k += 20; var e = a + 2132 | 0, f = m[e >> 2], g = f | 0, g = Vd(m[g >> 2], m[g + 4 >> 2], m[f + 28 >> 2])[0] & 3, f = a + 2136 | 0, h = c | 0; Bd(f, ((l[h] & 255) << 4) + (g << 2) + a + 8 | 0, 1); Bd(f, ((l[h] & 255) << 2) + a + 200 | 0, 0); ne(a, -1, 2, g); Ed(f); Ed(f); Ed(f); Ed(f); Ed(f); g = m[a + 4 >> 2] ^ -1; l[d | 0] = g & 255; l[d + 1 | 0] = g >>> 8 & 255; l[d + 2 | 0] = g >>> 16 & 255; l[d + 3 | 0] = g >>> 24 & 255; e = m[e >> 2]; g = e | 0; g = Vd(m[g >> 2], m[g + 4 >> 2], m[e + 28 >> 2]); e = g[0]; g = g[1]; l[d + 4 | 0] = e & 255; l[d + 5 | 0] = (e >>> 8 | g << 24) & 255; l[d + 6 | 0] = (e >>> 16 | g << 16) & 255; l[d + 7 | 0] = (e >>> 24 | g << 8) & 255; l[d + 8 | 0] = g & 255; l[d + 9 | 0] = (g >>> 8 | 0) & 255; l[d + 10 | 0] = (g >>> 16 | 0) & 255; l[d + 11 | 0] = (g >>> 24 | 0) & 255; e = a + 2144 | 0; g = he(m[e >> 2], m[e + 4 >> 2], m[a + 2156 >> 2], m[a + 2164 >> 2]); e = g[0]; h = g[1]; g = 20 + (e >>> 0) + (h | 0) * 4294967296 >>> 0; e = Math.min(Math.floor((20 + (e >>> 0) + (h | 0) * 4294967296) / 4294967296), 4294967295); Jc(d, g, e); a: do { for (e = 0; ;) { if (oe(f, l[d + e | 0]), e = e + 1 | 0, (e | 0) == 20) { break a } } } while (0); Ud(f); k = d } me.X = 1; function oe(a, c) { var d; d = (a + 20 | 0) >> 2; l[m[a + 16 >> 2] + m[d] | 0] = c; var e = m[d] + 1 | 0; m[d] = e; (e | 0) > 65535 && Ud(a) } function pe(a, c, d, e) { var f; m[a >> 2] = 0; m[a + 4 >> 2] = -1; f = a + 200 | 0; for (var g = a + 8 | 0; ;) { if (H(g), g = g + 4 | 0, (g | 0) == (f | 0)) { break } } H(a + 200 | 0); H(a + 204 | 0); H(a + 208 | 0); H(a + 212 | 0); H(a + 216 | 0); H(a + 220 | 0); H(a + 224 | 0); H(a + 228 | 0); H(a + 232 | 0); H(a + 236 | 0); H(a + 240 | 0); H(a + 244 | 0); H(a + 248 | 0); H(a + 252 | 0); H(a + 256 | 0); H(a + 260 | 0); H(a + 264 | 0); H(a + 268 | 0); H(a + 272 | 0); H(a + 276 | 0); H(a + 280 | 0); H(a + 284 | 0); H(a + 288 | 0); H(a + 292 | 0); H(a + 296 | 0); H(a + 300 | 0); H(a + 304 | 0); H(a + 308 | 0); H(a + 312 | 0); H(a + 316 | 0); H(a + 320 | 0); H(a + 324 | 0); H(a + 328 | 0); H(a + 332 | 0); H(a + 336 | 0); H(a + 340 | 0); H(a + 344 | 0); H(a + 348 | 0); H(a + 352 | 0); H(a + 356 | 0); H(a + 360 | 0); H(a + 364 | 0); H(a + 368 | 0); H(a + 372 | 0); H(a + 376 | 0); H(a + 380 | 0); H(a + 384 | 0); H(a + 388 | 0); f = a + 584 | 0; for (g = a + 392 | 0; ;) { if (H(g), g = g + 4 | 0, (g | 0) == (f | 0)) { break } } f = a + 1608 | 0; for (g = a + 584 | 0; ;) { if (H(g), g = g + 4 | 0, (g | 0) == (f | 0)) { break } } f = a + 2068 | 0; for (g = a + 1608 | 0; ;) { if (H(g), g = g + 4 | 0, (g | 0) == (f | 0)) { break } } H(a + 2068 | 0); H(a + 2072 | 0); H(a + 2076 | 0); H(a + 2080 | 0); H(a + 2084 | 0); H(a + 2088 | 0); H(a + 2092 | 0); H(a + 2096 | 0); H(a + 2100 | 0); H(a + 2104 | 0); H(a + 2108 | 0); H(a + 2112 | 0); H(a + 2116 | 0); H(a + 2120 | 0); H(a + 2124 | 0); H(a + 2128 | 0); f = (a + 2132 | 0) >> 2; m[f] = c; c = a + 2136 | 0; g = c | 0; m[g >> 2] = 0; m[g + 4 >> 2] = 0; g = c + 8 | 0; m[g >> 2] = 0; m[g + 4 >> 2] = 0; var g = c + 16 | 0, h = rd(65536); m[g >> 2] = h; m[c + 20 >> 2] = 0; m[c + 24 >> 2] = -1; m[c + 28 >> 2] = 0; m[c + 32 >> 2] = e; l[c + 36 | 0] = 0; qe(a + 2176 | 0, m[m[f] + 44 >> 2]); qe(a + 7836 | 0, m[m[f] + 44 >> 2]); g = a + 13496 | 0; e = g + 24576 | 0; for (g |= 0; ;) { if (H(g), g = g + 4 | 0, (g | 0) == (e | 0)) { break } } m[(a + 38072 | 0) >> 2] = ie(m[m[f] + 20 >> 2] - 1 | 0) << 1; e = a + 170244 | 0; for (f = a + 39172 | 0; ;) { if (l[f | 0] = 0, f = f + 32 | 0, (f | 0) == (e | 0)) { break } } Qd(a); for (a = 0; ;) { if ((a | 0) >= 6) { break } oe(c, l[d + a | 0]); a = a + 1 | 0 } } pe.X = 1; function re(a, c, d) { var e, f, g, h = k; k += 16; g = h >> 2; var i = k; k += 1; k = k + 3 >> 2 << 2; var j = (c >>> 0) + (d | 0) * 4294967296 + -16 >>> 0, n = Math.min(Math.floor(((c >>> 0) + (d | 0) * 4294967296 + -16) / 4294967296), 4294967295), c = (a + 2132 | 0) >> 2, d = (m[m[c] + 44 >> 2] | 0) > 12; l[i | 0] = 0; m[g] = 0; m[g + 1] = 0; m[g + 2] = 0; m[g + 3] = 0; g = (j >>> 0) + (n | 0) * 4294967296 - 20 >>> 0; j = Math.min(Math.floor(((j >>> 0) + (n | 0) * 4294967296 - 20) / 4294967296), 4294967295); d = d ? 512 : 2048; n = m[c]; f = n | 0; var u = m[n + 28 >> 2]; f = Vd(m[f >> 2], m[f + 4 >> 2], u); var s = f[0] == 0 && f[1] == 0; a: do { if (s) { var r = a + 2136 | 0; f = (a + 2144 | 0) >> 2; var q = a + 2156 | 0, z = a + 2164 | 0, v = he(m[f], m[f + 1], m[q >> 2], m[z >> 2]); if (v[0] == 6 && v[1] == 0) { if (je(n)) { var v = a + 4 | 0, w = a + 13496 | 0, A = i | 0 } else { v = l[m[n + 8 >> 2] + u + 0 | 0]; A = i | 0; Bd(r, ((l[A] & 255) << 4) + a + 8 | 0, 0); w = a + 13496 | 0; Cd(r, w + 0 | 0, v & 255, 8); var t = a + 4 | 0; ke(t, v); ge(a, 1, 0); v = t } var t = h | 0, C = a + 7836 | 0, L = 0; b: for (; ;) { if (je(m[c])) { me(a, i); R = 1; break a } (L | 0) < 1 && (Td(a), L = d); var I = $d(a, t, i); if ((I | 0) < 1) { R = 0; break a } for (var L = L - I | 0, P = 0; ;) { var N = m[c], F = N | 0, F = Vd(m[F >> 2], m[F + 4 >> 2], m[N + 28 >> 2]), N = F[0], F = F[1], D = I, J = (N >>> 0) + (F | 0) * 4294967296 - ((D >>> 0) + 0) >>> 0; Math.min(Math.floor(((N >>> 0) + (F | 0) * 4294967296 - ((D >>> 0) + 0)) / 4294967296), 4294967295); var D = J & 3, J = p[a + (P << 5) + 39176 >> 2], N = p[a + (P << 5) + 39184 >> 2], O = (N | 0) == 1, M = (J | 0) < 0 & O, F = o[A], Q = F & 255; Bd(r, (Q << 4) + (D << 2) + a + 8 | 0, M & 1 ^ 1); e = p[c] >> 2; if (M) { O = I ^ -1; J = m[e + 2]; Q = m[e + 7]; D = l[J + Q + O | 0]; J = l[J + Q + (-I | 0) | 0]; ke(v, J); if ((F & 255) < 7) { Cd(r, w + ((D & 255) >>> 5) * 3072 | 0, J & 255, 8) } else { Q = m[c]; F = r; D = w + ((D & 255) >>> 5) * 3072 | 0; J &= 255; e = l[m[Q + 8 >> 2] + m[Q + 28 >> 2] + (O - m[t >> 2] | 0) | 0] & 255; O = aa; Q = 7; for (M = 1; ;) { if ((Q | 0) <= -1) { O = 7; break } var Y = e >>> (Q >>> 0) & 1, ga = J >>> (Q >>> 0) & 1; Bd(F, ((Y << 8) + M + 256 << 2) + D | 0, ga); var $ = ga | M << 1; if ((Y | 0) != (ga | 0)) { O = 4; break } Q = Q - 1 | 0; M = $ } c: do { if (O == 4 && (Q | 0) > 0) { e = $; for (M = Q; ;) { M = M - 1 | 0; Y = J >>> (M >>> 0) & 1; Bd(F, (e << 2) + D | 0, Y); if ((M | 0) <= 0) { break c } e = Y | e << 1 } } } while (0) } gd(i) } else { Hc(v, (m[e + 2] + m[e + 7] | 0) + -I | 0, N), Zd(J, t), F = (J | 0) < 4, Bd(r, (Q << 2) + a + 200 | 0, F & 1), F ? (F = (J | 0) == 0, Bd(r, (Q << 2) + a + 248 | 0, F & 1 ^ 1), F ? Bd(r, (Q << 4) + (D << 2) + a + 392 | 0, (N | 0) > 1 & 1) : (F = (J | 0) > 1, Bd(r, (Q << 2) + a + 296 | 0, F & 1), F && Bd(r, (Q << 2) + a + 344 | 0, (J | 0) > 2 & 1)), O ? hd(i) : (Ad(C, r, N, D), id(i))) : (ne(a, J - 4 | 0, N, D), nd(i)) } F = I - N | 0; I = he(m[f], m[f + 1], m[q >> 2], m[z >> 2]); D = I[1]; if (!((D | 0) < (j | 0) || (D | 0) == (j | 0) && I[0] >>> 0 < g >>> 0)) { break } if ((F | 0) < 1) { continue b } P = N + P | 0; I = F } $ = m[c]; R = F; c = aa; (R | 0) < 0 ? $ = 0 : (c = $ + 28 | 0, g = m[c >> 2], (g | 0) < (R | 0) ? $ = 0 : (m[c >> 2] = g - R | 0, c = ($ + 32 | 0) >> 2, R = m[c] - R | 0, m[c] = R, (R | 0) < 0 && (m[c] = m[$ + 20 >> 2] + R | 0), $ = 1)); if (!$) { R = 0; break a } me(a, i); R = 1; break a } } else { var R = 0 } } else { R = 0 } } while (0); k = h; return R } re.X = 1; function ne(a, c, d, e) { var f = a + 2136 | 0; Ad(a + 2176 | 0, f, d, e); e = le(c); Cd(f, (kd(d) << 8) + a + 584 | 0, e, 6); if ((e | 0) > 3) { var d = e >> 1, g = d - 1 | 0, h = (e & 1 | 2) << g, c = c - h | 0; if ((e | 0) < 14) { se(f, (h - e << 2) + a + 1608 | 0, c, g) } else { var e = c >>> 4, d = d - 5 | 0, i = (d | 0) > 0; a: do { if (i) { for (var h = (f + 24 | 0) >> 2, g = (f | 0) >> 2, j = d; ;) { var j = j - 1 | 0, n = p[h], u = n >>> 1; m[h] = u; if ((1 << j & e | 0) != 0) { var s = u, r = m[g], q = m[g + 1], u = (r >>> 0) + (q | 0) * 4294967296 + (s >>> 0) + 0 >>> 0, s = Math.min(Math.floor(((r >>> 0) + (q | 0) * 4294967296 + (s >>> 0) + 0) / 4294967296), 4294967295); m[g] = u; m[g + 1] = s } n >>> 0 < 33554432 && (m[h] = n << 7 & -256, Ed(f)); if ((j | 0) <= 0) { break a } } } } while (0); se(f, a + 2068 | 0, c, 4); f = a + 173284 | 0; c = m[f >> 2] - 1 | 0; m[f >> 2] = c; (c | 0) < 1 && Qd(a) } } } function le(a) { return a >>> 0 < 4096 ? o[K + a | 0] & 255 : a >>> 0 < 8388608 ? (o[K + (a >>> 11) | 0] & 255) + 22 | 0 : (o[K + (a >>> 22) | 0] & 255) + 44 | 0 } function Fd(a) { return m[te + (a >> 2 << 2) >> 2] } function qe(a, c) { H(a | 0); H(a + 4 | 0); H(a + 8 | 0); H(a + 12 | 0); H(a + 16 | 0); H(a + 20 | 0); H(a + 24 | 0); H(a + 28 | 0); H(a + 32 | 0); H(a + 36 | 0); H(a + 40 | 0); H(a + 44 | 0); H(a + 48 | 0); H(a + 52 | 0); H(a + 56 | 0); H(a + 60 | 0); H(a + 64 | 0); H(a + 68 | 0); H(a + 72 | 0); H(a + 76 | 0); H(a + 80 | 0); H(a + 84 | 0); H(a + 88 | 0); H(a + 92 | 0); H(a + 96 | 0); H(a + 100 | 0); H(a + 104 | 0); H(a + 108 | 0); H(a + 112 | 0); H(a + 116 | 0); H(a + 120 | 0); H(a + 124 | 0); H(a + 128 | 0); H(a + 132 | 0); H(a + 136 | 0); H(a + 140 | 0); H(a + 144 | 0); H(a + 148 | 0); H(a + 152 | 0); H(a + 156 | 0); H(a + 160 | 0); H(a + 164 | 0); H(a + 168 | 0); H(a + 172 | 0); H(a + 176 | 0); H(a + 180 | 0); H(a + 184 | 0); H(a + 188 | 0); H(a + 192 | 0); H(a + 196 | 0); H(a + 200 | 0); H(a + 204 | 0); H(a + 208 | 0); H(a + 212 | 0); H(a + 216 | 0); H(a + 220 | 0); H(a + 224 | 0); H(a + 228 | 0); H(a + 232 | 0); H(a + 236 | 0); H(a + 240 | 0); H(a + 244 | 0); H(a + 248 | 0); H(a + 252 | 0); H(a + 256 | 0); H(a + 260 | 0); for (var d = a + 1288 | 0, e = a + 264 | 0; ;) { if (H(e), e = e + 4 | 0, (e | 0) == (d | 0)) { break } } m[a + 5640 >> 2] = c - 1 | 0; Dd(a, 0); Dd(a, 1); Dd(a, 2); Dd(a, 3) } qe.X = 1; function Ed(a) { var c, d; d = (a | 0) >> 2; var e = m[d], f = p[d + 1]; if ((f >>> 0 < 0 || f >>> 0 == 0 && e >>> 0 < 4278190080) | (f | 0) == 1) { e = a + 36 | 0; oe(a, (o[e] & 255) + f & 255); c = (a + 28 | 0) >> 2; var g = (m[c] | 0) > 0; a: do { if (g) { for (var h = f + 255 & 255; ;) { oe(a, h); var i = m[c] - 1 | 0; m[c] = i; if ((i | 0) <= 0) { break a } } } } while (0); f = p[d]; a = p[d + 1]; l[e] = (f >>> 24 | a << 8) & 255 } else { a = a + 28 | 0, m[a >> 2] = m[a >> 2] + 1 | 0, a = f, f = e } m[d] = (f << 8 | 0) & -256; m[d + 1] = (a << 8 | f >>> 24) & 0 } Ed.X = 1; function se(a, c, d, e) { var f = (e | 0) > 0; a: do { if (f) { for (var g = d, h = 1, i = e; ;) { var j = g & 1; Bd(a, (h << 2) + c | 0, j); h = h << 1 | j; i = i - 1 | 0; if ((i | 0) <= 0) { break a } g >>= 1 } } } while (0) } function Sd(a, c) { var d = m[a >> 2]; return (c | 0) == 0 ? Fd(d) : Pd(d) } function ce(a, c, d) { for (var e, f = 7, g = 1, h = 0; ;) { if ((f | 0) <= -1) { var i = h; e = 7; break } var j = d >>> (f >>> 0) & 1, n = c >>> (f >>> 0) & 1, u = Sd(((j << 8) + g + 256 << 2) + a | 0, n) + h | 0, s = n | g << 1; if ((j | 0) != (n | 0)) { e = 4; break } f = f - 1 | 0; g = s; h = u } a: do { if (e == 4) { if ((f | 0) > 0) { g = u; d = s; for (h = f; ;) { h = h - 1 | 0; j = c >>> (h >>> 0) & 1; g = Sd((d << 2) + a | 0, j) + g | 0; if ((h | 0) <= 0) { i = g; break a } d = j | d << 1 } } else { i = u } } } while (0); return i } function Wc(a) { (a | 0) != 0 && Qc(m[m[ue >> 2] + 12 >> 2], a, Bc(a)) } function ve(a, c, d) { if ((m[we >> 2] | 0) > -1) { if ((a | 0) != 0 && l[a] << 24 >> 24 != 0) { xe(m[m[ue >> 2] + 12 >> 2], G.sa | 0, (x = k, k += 8, m[x >> 2] = G.i | 0, m[x + 4 >> 2] = a, x)); if ((c | 0) > 0) { var a = m[m[ue >> 2] + 12 >> 2], e; ye || (ye = lc(256)); e = ye; if (c in ze) { if (ze[c].length > 255) { T(Ae) } else { for (var c = ze[c], f = 0; f < c.length; f++) { l[e + f] = c.charCodeAt(f) } l[e + f] = 0 } } else { T(Be) } e = ye; xe(a, G.S | 0, (x = k, k += 4, m[x >> 2] = e, x)) } Ce(10, m[m[ue >> 2] + 12 >> 2]) } a = m[De >> 2]; (a | 0) != 0 & d && l[a] << 24 >> 24 != 0 && xe(m[m[ue >> 2] + 12 >> 2], G.na | 0, (x = k, k += 4, m[x >> 2] = a, x)) } } function xd(a) { (m[we >> 2] | 0) > -1 && xe(m[m[ue >> 2] + 12 >> 2], G.oa | 0, (x = k, k += 8, m[x >> 2] = G.i | 0, m[x + 4 >> 2] = a, x)); Sc(3) } function Ee(a, c) { var d = k; k += 8; m[d >> 2] = 8388608; m[d + 4 >> 2] = 36; m[De >> 2] = m[c >> 2]; var e = 1, f = 0; a: for (; ;) { if ((e | 0) >= (a | 0)) { if (e = (f | 0) == 2) { l[Fe] = 0 } else { if ((f | 0) == 0) { l[K | 0] = 0; l[K + 1 | 0] = 1; l[K + 2 | 0] = 2; l[K + 3 | 0] = 3; y = 1028; l[K + 4 | 0] = y & 255; y >>= 8; l[(K + 4 | 0) + 1] = y & 255; y = 1285; l[K + 6 | 0] = y & 255; y >>= 8; l[(K + 6 | 0) + 1] = y & 255; y = 101058054; l[K + 8 | 0] = y & 255; y >>= 8; l[(K + 8 | 0) + 1] = y & 255; y >>= 8; l[(K + 8 | 0) + 2] = y & 255; y >>= 8; l[(K + 8 | 0) + 3] = y & 255; y = 117901063; l[K + 12 | 0] = y & 255; y >>= 8; l[(K + 12 | 0) + 1] = y & 255; y >>= 8; l[(K + 12 | 0) + 2] = y & 255; y >>= 8; l[(K + 12 | 0) + 3] = y & 255; var g = K + 16 | 0, h = g | 0; y = 134744072; l[h] = y & 255; y >>= 8; l[h + 1] = y & 255; y >>= 8; l[h + 2] = y & 255; y >>= 8; l[h + 3] = y & 255; g = g + 4 | 0; y = 134744072; l[g] = y & 255; y >>= 8; l[g + 1] = y & 255; y >>= 8; l[g + 2] = y & 255; y >>= 8; l[g + 3] = y & 255; g = K + 24 | 0; h = g | 0; y = 151587081; l[h] = y & 255; y >>= 8; l[h + 1] = y & 255; y >>= 8; l[h + 2] = y & 255; y >>= 8; l[h + 3] = y & 255; g = g + 4 | 0; y = 151587081; l[g] = y & 255; y >>= 8; l[g + 1] = y & 255; y >>= 8; l[g + 2] = y & 255; y >>= 8; l[g + 3] = y & 255; g = K + 32 | 0; for (h = g + 16; g < h; g++) { l[g] = 10 } g = K + 48 | 0; for (h = g + 16; g < h; g++) { l[g] = 11 } mc(K + 64 | 0, 12, 32); mc(K + 96 | 0, 13, 32); mc(K + 128 | 0, 14, 64); mc(K + 192 | 0, 15, 64); mc(K + 256 | 0, 16, 128); mc(K + 384 | 0, 17, 128); mc(K + 512 | 0, 18, 256); mc(K + 768 | 0, 19, 256); mc(K + 1024 | 0, 20, 512); mc(K + 1536 | 0, 21, 512); mc(K + 2048 | 0, 22, 1024); mc(K + 3072 | 0, 23, 1024); m[te >> 2] = 704; for (var g = 1, h = 2, i = 8; ;) { var j = (g | 0) < (h | 0); b: do { if (j) { for (var n = i << 6, u = 8 - i | 0, s = g; ;) { if (m[te + (s << 2) >> 2] = (h - s << 6 >> u) + n | 0, s = s + 1 | 0, (s | 0) == (h | 0)) { var r = h; break b } } } else { r = g } } while (0); if ((i | 0) <= 0) { break } g = r; h <<= 1; i = i - 1 | 0 } } } l[Fe] = 1; r = f; g = aa; if ((r | 0) == 0 & o[Fe]) { if ((Ge(2) | 0) == 0) { g = 4 } else { ve(G.ha | 0, 0, 1); var q = 0, g = 7 } } else { g = 4 } g == 4 && ((r - 1 | 0) >>> 0 < 2 ? (Ge(1) | 0) == 0 ? q = 1 : (ve(G.ia | 0, 0, 1), q = 0) : q = 1); if (!q) { g = 1; break } f = (f | 0) == 0 ? He(d) : Ie(e); f = (f | 0) > 0 ? f : 0; if (!o[Fe]) { g = f; break } V[2] ? (V[2].bb && Je(V[2].bb), delete V[2], q = 0) : (T(Ke), q = -1); if ((q | 0) == 0) { g = f; break } ve(G.ua | 0, m[Nc >> 2], 0); if ((f | 0) >= 1) { g = f; break } g = 1; break } h = l[m[c + (e << 2) >> 2] + 1 | 0] << 24 >> 24; do { if ((h | 0) == 99 || (h | 0) == 107) { i = f } else { if ((h | 0) == 100) { i = 1 } else { if ((h | 0) == 104) { f = k; Le(G.qa | 0, (x = k, k += 4, m[x >> 2] = G.p | 0, x)); Me(G.ya | 0); q = m[De >> 2]; Le(G.ra | 0, (x = k, k += 4, m[x >> 2] = q, x)); Me(G.za | 0); Me(G.Ka | 0); Me(G.Ta | 0); Me(G.Ua | 0); Me(G.Va | 0); Me(G.Wa | 0); Me(G.Xa | 0); Me(G.Ya | 0); Me(G.Za | 0); Me(G.Aa | 0); Me(G.Ba | 0); Me(G.Ca | 0); Me(G.Da | 0); Me(G.Ea | 0); Me(G.Fa | 0); Me(G.Ga | 0); Me(G.Ha | 0); Me(G.Ia | 0); Me(G.Ja | 0); Le(G.va | 0, (x = k, k += 4, m[x >> 2] = G.i | 0, x)); Me(G.La | 0); Me(G.Ma | 0); Me(G.Na | 0); Me(G.Oa | 0); Me(G.Pa | 0); k = f; g = 0; break a } else { if ((h | 0) == 113) { m[we >> 2] = -1, i = f } else { if ((h | 0) == 118) { i = m[we >> 2], (i | 0) < 4 && (m[we >> 2] = i + 1 | 0), i = f } else { if ((h | 0) == 86) { f = k; Le(G.ja | 0, (x = k, k += 8, m[x >> 2] = G.p | 0, m[x + 4 >> 2] = G.ka | 0, x)); Le(G.la | 0, (x = k, k += 4, m[x >> 2] = G.pa | 0, x)); Me(G.Qa | 0); Me(G.Ra | 0); Me(G.Sa | 0); k = f; g = 0; break a } else { xd(G.ta | 0), i = f } } } } } } } while (0); e = e + 1 | 0; f = i } k = d; return g } Module._main = Ee; Ee.X = 1; function He(a) { var c = k; k += 173356; var d, e = c + 8, f = c + 68; y = 1346984524; l[c] = y & 255; y >>= 8; l[c + 1] = y & 255; y >>= 8; l[c + 2] = y & 255; y >>= 8; l[c + 3] = y & 255; l[c + 4 | 0] = 1; d = Ne(c, m[a >> 2]); a = a + 4 | 0; if (d) { if (d = p[a >> 2], (d - 5 | 0) >>> 0 > 268) { d = 3 } else { var g = d; d = 4 } } else { d = 3 } d == 3 && (xd(G.ca | 0), g = m[a >> 2]); qd(e, Oe(l[c + 5 | 0]), g, 1); Ne(c, m[e + 20 >> 2]); for (var g = e | 0, a = e + 28 | 0, h = 0, i = 0, j = 0, n = 0, u = 0, s = 0; ;) { pe(f, e, c, o[Fe] ? 2 : -1); d = 4294967295 + 2147483647 * 4294967296 - ((i >>> 0) + (h | 0) * 4294967296) >>> 0; var r = Math.min(Math.floor((4294967295 + 2147483647 * 4294967296 - ((i >>> 0) + (h | 0) * 4294967296)) / 4294967296), 4294967295); if (!re(f, d, r)) { Wc(G.da | 0); var q = j, z = n, v = u, w = s, A = 1; break } d = Vd(m[g >> 2], m[g + 4 >> 2], m[a >> 2]); var r = d[0], t = d[1]; d = (r >>> 0) + (t | 0) * 4294967296 + (s >>> 0) + (u | 0) * 4294967296 >>> 0; u = Math.min(Math.floor(((r >>> 0) + (t | 0) * 4294967296 + (s >>> 0) + (u | 0) * 4294967296) / 4294967296), 4294967295); s = f + 2144 | 0; s = he(m[s >> 2], m[s + 4 >> 2], m[f + 2156 >> 2], m[f + 2164 >> 2]); s = [s[0], s[1]]; r = s[0]; t = s[1]; s = (r >>> 0) + (t | 0) * 4294967296 + (n >>> 0) + (j | 0) * 4294967296 >>> 0; j = Math.min(Math.floor(((r >>> 0) + (t | 0) * 4294967296 + (n >>> 0) + (j | 0) * 4294967296) / 4294967296), 4294967295); if (je(e)) { q = j; z = s; v = u; w = d; A = 0; break } var n = (r >>> 0) + (t | 0) * 4294967296 + (i >>> 0) + (h | 0) * 4294967296 >>> 0, h = Math.min(Math.floor(((r >>> 0) + (t | 0) * 4294967296 + (i >>> 0) + (h | 0) * 4294967296) / 4294967296), 4294967295), i = e, t = r = aa, t = (i + 36 | 0) >> 2, C = m[t], r = (i + 28 | 0) >> 2, L = m[r], I = C - L | 0; (I | 0) > 0 && (C = m[i + 8 >> 2], yd(C, C + L | 0, I), L = m[r], C = m[t]); I = i | 0; m[I >> 2] = 0; m[I + 4 >> 2] = 0; m[t] = C - L | 0; m[r] = 0; m[i + 32 >> 2] = 0; r = i + 12 | 0; for (t = 0; ;) { if (m[((t << 2) + m[r >> 2] | 0) >> 2] = -1, t = t + 1 | 0, (t | 0) == 1376256) { break } } sd(i); n = (i = (h | 0) > 2147483647 || (h | 0) == 2147483647 && n >>> 0 > 4294963198) ? 0 : n; h = i ? 0 : h; i = m[f + 2152 >> 2]; (i | 0) != 0 && Pe(i); i = n; n = s; s = d } f = m[f + 2152 >> 2]; (f | 0) != 0 && Pe(f); (A | 0) == 0 & (m[we >> 2] | 0) > 0 && (f = m[m[ue >> 2] + 12 >> 2], ((v | 0) < 0 || (v | 0) == 0 && w >>> 0 < 1) | ((q | 0) < 0 || (q | 0) == 0 && z >>> 0 < 1) ? Qe(G.fa | 0, 20, 1, f) : (g = w + v * 4294967296, a = z + q * 4294967296, xe(f, G.ga | 0, (x = k, k += 40, ic[0] = g / a, m[x >> 2] = jc[0], m[x + 4 >> 2] = jc[1], ic[0] = a * 8 / g, m[x + 8 >> 2] = jc[0], m[x + 12 >> 2] = jc[1], ic[0] = (1 - a / g) * 100, m[x + 16 >> 2] = jc[0], m[x + 20 >> 2] = jc[1], m[x + 24 >> 2] = w, m[x + 28 >> 2] = v, m[x + 32 >> 2] = z, m[x + 36 >> 2] = q, x)))); q = m[e + 16 >> 2]; (q | 0) != 0 && Pe(q); q = m[e + 12 >> 2]; (q | 0) != 0 && Pe(q); Je(m[e + 8 >> 2]); k = c; return A } He.X = 1; function Oe(a) { a &= 255; var c = 1 << (a & 31); return (c - 4097 | 0) >>> 0 < 536866816 ? c - c / 16 * (a >>> 5) | 0 : c } function Re(a, c, d) { var e = a + 16 | 0, f = m[e >> 2]; (f | 0) == 0 ? (m[e >> 2] = c, m[a + 24 >> 2] = d, m[a + 36 >> 2] = 1) : (f | 0) == (c | 0) ? (a = a + 24 | 0, (m[a >> 2] | 0) == 2 && (m[a >> 2] = d)) : (d = a + 36 | 0, m[d >> 2] = m[d >> 2] + 1 | 0, m[a + 24 >> 2] = 2, l[a + 54 | 0] = 1) } function Se(a, c, d, e) { var f = a >> 2; l[a + 53 | 0] = 1; d = (m[f + 1] | 0) == (d | 0); do { if (d) { l[a + 52 | 0] = 1; var g = a + 16 | 0, h = m[g >> 2]; if ((h | 0) == 0) { if (m[g >> 2] = c, m[f + 6] = e, m[f + 9] = 1, !((m[f + 12] | 0) == 1 & (e | 0) == 1)) { break } } else { if ((h | 0) == (c | 0)) { if (g = a + 24 | 0, h = m[g >> 2], g = (h | 0) == 2 ? m[g >> 2] = e : h, !((m[f + 12] | 0) == 1 & (g | 0) == 1)) { break } } else { g = a + 36 | 0, m[g >> 2] = m[g >> 2] + 1 | 0 } } l[a + 54 | 0] = 1 } } while (0) } Se.X = 1; function Te(a, c, d) { (m[a + 4 >> 2] | 0) == (c | 0) && (a = a + 28 | 0, (m[a >> 2] | 0) != 1 && (m[a >> 2] = d)) } function Ie(a) { var c = k; k += 88; var d, e = c + 36, f = c + 44, g = c >> 2, h = c | 0; m[h >> 2] = 0; m[h + 4 >> 2] = 0; var h = c + 8 | 0, i = rd(16384); m[h >> 2] = i; m[g + 3] = 0; m[g + 4] = 0; m[g + 5] = 0; m[g + 6] = -1; m[g + 7] = 1; l[c + 32 | 0] = 0; for (var h = e + 4 | 0, i = e + 5 | 0, j = c | 0, n = c + 12 | 0, g = f + 16 | 0, u = 0, s = 0, r = 1; ;) { d = -m[c + 12 >> 2] | 0; var q = (d | 0) < 0 ? -1 : 0, z = c | 0; m[z >> 2] = d; m[z + 4 >> 2] = q; for (d = 0; ;) { if ((d | 0) >= 6) { break } if (Uc(c)) { break } q = Vc(c); l[e + d | 0] = q; d = d + 1 | 0 } if (Uc(c)) { if (!r) { d = 41; break } Wc(G.wa | 0); var v = 1; d = 45; break } a: { d = G.z | 0; for (q = 0; q < 4; q++) { var z = l[(e | 0) + q], w = l[d + q]; if (z != w) { d = z > w ? 1 : -1; break a } } d = 0 } if ((d | 0) != 0) { if (!r) { d = 41; break } Wc(G.xa | 0); v = 2; d = 45; break } q = o[h]; if ((q & 255) >= 2) { if ((m[we >> 2] | 0) <= -1) { v = 2; d = 45; break } Wc(0); v = q & 255; xe(m[m[ue >> 2] + 12 >> 2], G.M | 0, (x = k, k += 4, m[x >> 2] = v, x)); v = 2; d = 45; break } w = Oe(l[i]); if ((w - 4096 | 0) >>> 0 > 536866816) { Wc(G.N | 0); v = 2; d = 45; break } d = m[we >> 2]; d = (d | 0) > 1 ? 25 : (d | 0) != 1 | r ^ 1 ? 27 : 25; if (d == 25 && (Wc(0), (m[we >> 2] | 0) > 1)) { for (var r = m[m[ue >> 2] + 12 >> 2], z = (w | 0) < 0 ? -1 : 0, A = Ue | 0, t = 0; ;) { if ((t | 0) >= 8) { break } var C = (z | 0) > -1 || (z | 0) == -1 && w >>> 0 > 4294967295, L = 0 - ((w >>> 0) + (z | 0) * 4294967296) >>> 0, I = Math.min(Math.floor((0 - ((w >>> 0) + (z | 0) * 4294967296)) / 4294967296), 4294967295), L = C ? w : L, C = C ? z : I; if (!((C | 0) > 0 || (C | 0) == 0 && L >>> 0 > 9999)) { if (!(((C | 0) > 0 || (C | 0) == 0 && L >>> 0 > 1023) & ((w & 1023) == 0 && (z & 0) == 0))) { break } } A = (Yb = ((w >>> 0) + (z | 0) * 4294967296) / 1024, Yb >= 0 ? Math.floor(Yb) : Math.ceil(Yb)) >>> 0; z = Math.min(Math.floor((Yb = ((w >>> 0) + (z | 0) * 4294967296) / 1024, Yb >= 0 ? Math.floor(Yb) : Math.ceil(Yb)) / 4294967296), 4294967295); w = A; A = m[Ve + (t << 2) >> 2]; t = t + 1 | 0 } t = We | 0; z = (x = k, k += 12, m[x >> 2] = w, m[x + 4 >> 2] = z, m[x + 8 >> 2] = A, x); z = lf(G.ba | 0, z); w = Math.min(z.length, 15); for (A = 0; A < w; A++) { l[t + A] = z[A] } l[t + A] = 0; q &= 255; xe(r, G.P | 0, (x = k, k += 8, m[x >> 2] = q, m[x + 4 >> 2] = We | 0, x)) } r = f; q = e; z = c; w = o[Fe] ? 2 : -1; A = r >> 2; t = r | 0; m[t >> 2] = 0; m[t + 4 >> 2] = 0; C = Oe(l[q + 5 | 0]); m[(r + 8 | 0) >> 2] = C; t = r + 12 | 0; I = (C | 0) < 65536 ? 65536 : C; m[t >> 2] = I; C = r + 16 | 0; I = rd((I | 0) > -1 ? I : -1); m[C >> 2] = I; m[A + 5] = 0; m[A + 6] = 0; m[A + 7] = -1; m[A + 8] = w; m[(r + 36 | 0) >> 2] = l[q + 4 | 0] & 255; m[A + 10] = z; l[I + (m[t >> 2] - 1) | 0] = 0; q = Xc(f); r = Fc(m[j >> 2], m[j + 4 >> 2], m[n >> 2]); z = r[0]; w = r[1]; r = (z >>> 0) + (w | 0) * 4294967296 + (s >>> 0) + (u | 0) * 4294967296 >>> 0; u = Math.min(Math.floor(((z >>> 0) + (w | 0) * 4294967296 + (s >>> 0) + (u | 0) * 4294967296) / 4294967296), 4294967295); s = p[we >> 2]; if ((q | 0) != 0) { (s | 0) > -1 & (q | 0) < 3 && (Wc(0), v = m[m[ue >> 2] + 12 >> 2], (q | 0) == 2 ? xe(v, G.Q | 0, (x = k, k += 8, m[x >> 2] = r, m[x + 4 >> 2] = u, x)) : xe(v, G.R | 0, (x = k, k += 8, m[x >> 2] = r, m[x + 4 >> 2] = u, x))); v = m[g >> 2]; (v | 0) != 0 && Pe(v); v = 2; d = 45; break } (s | 0) > 1 && (s = m[m[ue >> 2] + 12 >> 2], a ? Qe(G.n | 0, 3, 1, s) : Qe(G.o | 0, 5, 1, s)); s = m[g >> 2]; (s | 0) != 0 && Pe(s); s = r; r = 0 } d == 41 && ((m[we >> 2] | 0) == 1 && (v = m[m[ue >> 2] + 12 >> 2], a ? Qe(G.n | 0, 3, 1, v) : Qe(G.o | 0, 5, 1, v)), v = 0); a = m[c + 8 >> 2]; (a | 0) != 0 && Pe(a); k = c; return v } Ie.X = 1; function Ne(a, c) { var d = (c - 4096 | 0) >>> 0 < 536866817; a: do { if (d) { var e = ie(c - 1 | 0), f = a + 5 | 0; l[f] = e & 255; if ((c | 0) > 4096) { for (var g = 1 << (e & 255), h = g / 16 | 0, i = 7; ;) { if ((i | 0) <= 0) { e = 1; break a } if ((g - i * h | 0) >= (c | 0)) { break } i = i - 1 | 0 } l[f] = (e | i << 5) & 255 } e = 1 } else { e = 0 } } while (0); return e } function mf(a) { nf(a | 0) } function of(a, c) { var d, e = k; k += 56; d = e >> 2; var f = m[a >> 2], g = a + m[f - 8 >> 2] | 0, f = m[f - 4 >> 2]; m[d] = c; m[d + 1] = a; m[d + 2] = pf; m[d + 3] = -1; for (var h = e + 16 | 0, i = e + 20 | 0, j = e + 24 | 0, n = e + 28 | 0, u = e + 32 | 0, s = e + 40 | 0, r = (f | 0) == (c | 0), q = h >> 2, z = q + 9; q < z; q++) { m[q] = 0 } Ob[h + 36 >> 1] = 0; l[h + 38] = 0; do { if (r) { m[d + 12] = 1, nc[m[m[f >> 2] + 12 >> 2]](f, e, g, g, 1), q = (m[j >> 2] | 0) != 1 ? 0 : g } else { if (q = e + 36 | 0, nc[m[m[f >> 2] + 16 >> 2]](f, e, g, 1), q = m[q >> 2], (q | 0) == 0) { q = (m[s >> 2] | 0) != 1 ? 0 : (m[n >> 2] | 0) != 1 ? 0 : (m[u >> 2] | 0) != 1 ? 0 : m[i >> 2] } else { if ((q | 0) == 1) { if ((m[j >> 2] | 0) != 1) { if ((m[s >> 2] | 0) != 0) { q = 0; break } if ((m[n >> 2] | 0) != 1) { q = 0; break } if ((m[u >> 2] | 0) != 1) { q = 0; break } } q = m[h >> 2] } else { q = 0 } } } } while (0); k = e; return q } of.X = 1; function qf(a, c, d, e) { var f = c >> 2, g = a | 0, h = (g | 0) == (m[f + 2] | 0); a: do { if (h) { Te(c, d, e) } else { if ((g | 0) == (m[f] | 0)) { var i = (m[f + 4] | 0) == (d | 0); do { if (!i) { var j = c + 20 | 0; if ((m[j >> 2] | 0) != (d | 0)) { m[f + 8] = e; e = (c + 44 | 0) >> 2; if ((m[e] | 0) == 4) { break a } g = c + 52 | 0; l[g] = 0; h = c + 53 | 0; l[h] = 0; a = m[a + 8 >> 2]; nc[m[m[a >> 2] + 12 >> 2]](a, c, d, d, 1); if ((l[h] & 1) << 24 >> 24 == 0) { var n = 0, a = 11 } else { (l[g] & 1) << 24 >> 24 == 0 ? (n = 1, a = 11) : a = 15 } b: do { if (a == 11) { m[j >> 2] = d; a = c + 40 | 0; m[a >> 2] = m[a >> 2] + 1 | 0; g = (m[f + 9] | 0) == 1; do { if (g) { if ((m[f + 6] | 0) != 2) { a = 14 } else { l[c + 54 | 0] = 1; if (n) { break b } a = 16 } } else { a = 14 } } while (0); if (!(a == 14 && n)) { m[e] = 4; break a } } } while (0); m[e] = 3; break a } } } while (0); (e | 0) == 1 && (m[f + 8] = 1) } else { j = m[a + 8 >> 2], nc[m[m[j >> 2] + 16 >> 2]](j, c, d, e) } } } while (0) } qf.X = 1; function lc(a) { var c, d = a >>> 0 < 245; do { if (d) { var e = a >>> 0 < 11 ? 16 : a + 11 & -8, f = e >>> 3; c = p[X >> 2]; var g = c >>> (f >>> 0); if ((g & 3 | 0) != 0) { var h = (g & 1 ^ 1) + f | 0, e = h << 1, i = (e << 2) + X + 40 | 0, d = (e + 2 << 2) + X + 40 | 0, e = p[d >> 2], a = e + 8 | 0, j = p[a >> 2]; (i | 0) == (j | 0) ? m[X >> 2] = c & (1 << h ^ -1) : j >>> 0 < p[X + 16 >> 2] >>> 0 ? (Z(), b("Reached an unreachable!")) : (m[d >> 2] = j, m[j + 12 >> 2] = i); h <<= 3; m[e + 4 >> 2] = h | 3; m[(e + (h | 4) | 0) >> 2] |= 1; j = a; c = 38; break } if (e >>> 0 <= p[X + 8 >> 2] >>> 0) { var n = e; c = 30; break } if ((g | 0) != 0) { a = 2 << f; a = g << f & (a | -a); d = (a & -a) - 1 | 0; a = d >>> 12 & 16; j = d >>> (a >>> 0); d = j >>> 5 & 8; f = j >>> (d >>> 0); j = f >>> 2 & 4; g = f >>> (j >>> 0); f = g >>> 1 & 2; g >>>= f >>> 0; var u = g >>> 1 & 1, j = (d | a | j | f | u) + (g >>> (u >>> 0)) | 0, a = j << 1, f = (a << 2) + X + 40 | 0, g = (a + 2 << 2) + X + 40 | 0, d = p[g >> 2], a = d + 8 | 0, u = p[a >> 2]; (f | 0) == (u | 0) ? m[X >> 2] = c & (1 << j ^ -1) : u >>> 0 < p[X + 16 >> 2] >>> 0 ? (Z(), b("Reached an unreachable!")) : (m[g >> 2] = u, m[u + 12 >> 2] = f); j <<= 3; c = j - e | 0; m[d + 4 >> 2] = e | 3; f = d; d = f + e | 0; m[f + (e | 4) >> 2] = c | 1; m[f + j >> 2] = c; u = p[X + 8 >> 2]; (u | 0) != 0 && (e = m[X + 20 >> 2], f = u >>> 2 & 1073741822, j = (f << 2) + X + 40 | 0, g = p[X >> 2], u = 1 << (u >>> 3), (g & u | 0) == 0 ? (m[X >> 2] = g | u, h = j, i = (f + 2 << 2) + X + 40 | 0) : (f = (f + 2 << 2) + X + 40 | 0, g = p[f >> 2], g >>> 0 < p[X + 16 >> 2] >>> 0 ? (Z(), b("Reached an unreachable!")) : (h = g, i = f)), m[i >> 2] = e, m[h + 12 >> 2] = e, m[(e + 8 | 0) >> 2] = h, m[(e + 12 | 0) >> 2] = j); m[X + 8 >> 2] = c; m[X + 20 >> 2] = d; j = a; c = 38; break } if ((m[X + 4 >> 2] | 0) == 0) { n = e; c = 30; break } c = rf(e); if ((c | 0) == 0) { n = e; c = 30; break } j = c } else { if (a >>> 0 > 4294967231) { n = -1; c = 30; break } c = a + 11 & -8; if ((m[X + 4 >> 2] | 0) == 0) { n = c; c = 30; break } e = sf(c); if ((e | 0) == 0) { n = c; c = 30; break } j = e } c = 38 } while (0); c == 30 && (h = p[X + 8 >> 2], n >>> 0 > h >>> 0 ? (h = p[X + 12 >> 2], n >>> 0 < h >>> 0 ? (h = h - n | 0, m[X + 12 >> 2] = h, i = p[X + 24 >> 2], m[X + 24 >> 2] = i + n | 0, m[n + (i + 4) >> 2] = h | 1, m[i + 4 >> 2] = n | 3, j = i + 8 | 0) : j = tf(n)) : (i = h - n | 0, c = p[X + 20 >> 2], i >>> 0 > 15 ? (m[X + 20 >> 2] = c + n | 0, m[X + 8 >> 2] = i, m[n + (c + 4) >> 2] = i | 1, m[c + h >> 2] = i, m[c + 4 >> 2] = n | 3) : (m[X + 8 >> 2] = 0, m[X + 20 >> 2] = 0, m[c + 4 >> 2] = h | 3, m[(h + (c + 4) | 0) >> 2] |= 1), j = c + 8 | 0)); return j } Module._malloc = lc; lc.X = 1; function rf(a) { var c, d, e = m[X + 4 >> 2], f = (e & -e) - 1 | 0, e = f >>> 12 & 16, g = f >>> (e >>> 0), f = g >>> 5 & 8; d = g >>> (f >>> 0); var g = d >>> 2 & 4, h = d >>> (g >>> 0); d = h >>> 1 & 2; h >>>= d >>> 0; var i = h >>> 1 & 1, e = f = p[X + ((f | e | g | d | i) + (h >>> (i >>> 0)) << 2) + 304 >> 2]; d = e >> 2; f = (m[f + 4 >> 2] & -8) - a | 0; a: for (; ;) { for (g = e; ;) { h = m[g + 16 >> 2]; if ((h | 0) == 0) { if (g = m[g + 20 >> 2], (g | 0) == 0) { break a } } else { g = h } h = (m[g + 4 >> 2] & -8) - a | 0; if (h >>> 0 < f >>> 0) { e = g; d = e >> 2; f = h; continue a } } } var h = e, j = p[X + 16 >> 2], i = h >>> 0 < j >>> 0; do { if (!i) { var n = h + a | 0, g = n; if (h >>> 0 < n >>> 0) { var i = p[d + 6], n = p[d + 3], u = (n | 0) == (e | 0); do { if (u) { var s = e + 20 | 0, r = m[s >> 2]; if ((r | 0) == 0 && (s = e + 16 | 0, r = m[s >> 2], (r | 0) == 0)) { var q = 0; c = q >> 2; break } for (; ;) { var z = r + 20 | 0, v = m[z >> 2]; if ((v | 0) == 0 && (z = r + 16 | 0, v = p[z >> 2], (v | 0) == 0)) { break } s = z; r = v } s >>> 0 < j >>> 0 ? (Z(), b("Reached an unreachable!")) : (m[s >> 2] = 0, q = r, c = q >> 2) } else { s = p[d + 2], s >>> 0 < j >>> 0 ? (Z(), b("Reached an unreachable!")) : (m[s + 12 >> 2] = n, m[n + 8 >> 2] = s, q = n, c = q >> 2) } } while (0); j = (i | 0) == 0; a: do { if (!j) { n = e + 28 | 0; u = (m[n >> 2] << 2) + X + 304 | 0; s = (e | 0) == (m[u >> 2] | 0); do { if (s) { m[u >> 2] = q; if ((q | 0) != 0) { break } m[X + 4 >> 2] &= 1 << m[n >> 2] ^ -1; break a } if (i >>> 0 < p[X + 16 >> 2] >>> 0) { Z(), b("Reached an unreachable!") } else { if (r = i + 16 | 0, (m[r >> 2] | 0) == (e | 0) ? m[r >> 2] = q : m[i + 20 >> 2] = q, (q | 0) == 0) { break a } } } while (0); q >>> 0 < p[X + 16 >> 2] >>> 0 ? (Z(), b("Reached an unreachable!")) : (m[c + 6] = i, n = p[d + 4], (n | 0) != 0 && (n >>> 0 < p[X + 16 >> 2] >>> 0 ? (Z(), b("Reached an unreachable!")) : (m[c + 4] = n, m[n + 24 >> 2] = q)), n = p[d + 5], (n | 0) != 0 && (n >>> 0 < p[X + 16 >> 2] >>> 0 ? (Z(), b("Reached an unreachable!")) : (m[c + 5] = n, m[n + 24 >> 2] = q))) } } while (0); if (f >>> 0 < 16) { var w = f + a | 0; m[d + 1] = w | 3; m[(w + (h + 4) | 0) >> 2] |= 1 } else { m[d + 1] = a | 3; m[a + (h + 4) >> 2] = f | 1; m[h + f + a >> 2] = f; h = p[X + 8 >> 2]; if ((h | 0) != 0) { a = p[X + 20 >> 2]; q = h >>> 2 & 1073741822; c = (q << 2) + X + 40 | 0; d = p[X >> 2]; h = 1 << (h >>> 3); if ((d & h | 0) == 0) { m[X >> 2] = d | h; var w = c, A = (q + 2 << 2) + X + 40 | 0 } else { q = (q + 2 << 2) + X + 40 | 0, d = p[q >> 2], d >>> 0 < p[X + 16 >> 2] >>> 0 ? (Z(), b("Reached an unreachable!")) : (w = d, A = q) } m[A >> 2] = a; m[w + 12 >> 2] = a; m[a + 8 >> 2] = w; m[a + 12 >> 2] = c } m[X + 8 >> 2] = f; m[X + 20 >> 2] = g } return e + 8 | 0 } } } while (0); Z(); b("Reached an unreachable!") } rf.X = 1; function tf(a) { var c, d; (m[uf >> 2] | 0) == 0 && vf(); var e = (m[X + 440 >> 2] & 4 | 0) == 0; do { if (e) { d = m[X + 24 >> 2]; if ((d | 0) == 0) { d = 6 } else { if (d = wf(d), (d | 0) == 0) { d = 6 } else { var f = m[uf + 8 >> 2], f = a + 47 - m[X + 12 >> 2] + f & -f; if (f >>> 0 < 2147483647) { var g = xf(f); if ((g | 0) == (m[d >> 2] + m[d + 4 >> 2] | 0)) { var h = g, i = f; c = g; d = 13 } else { var j = g, n = f; d = 15 } } else { d = 14 } } } if (d == 6) { if (d = xf(0), (d | 0) == -1) { d = 14 } else { var f = m[uf + 8 >> 2], f = f + (a + 47) & -f, g = d, u = m[uf + 4 >> 2], s = u - 1 | 0, f = (s & g | 0) == 0 ? f : f - g + (s + g & -u) | 0; f >>> 0 < 2147483647 ? (g = xf(f), (g | 0) == (d | 0) ? (h = d, i = f, c = g, d = 13) : (j = g, n = f, d = 15)) : d = 14 } } if (d == 13) { if ((h | 0) != -1) { var r = i, q = h; d = 26; break } j = c; n = i } else { if (d == 14) { m[X + 440 >> 2] |= 4; d = 23; break } } d = -n | 0; if ((j | 0) != -1 & n >>> 0 < 2147483647) { if (n >>> 0 < (a + 48 | 0) >>> 0) { f = m[uf + 8 >> 2], f = a + 47 - n + f & -f, f >>> 0 < 2147483647 ? (xf(f) | 0) == -1 ? (xf(d), d = 22) : (z = f + n | 0, d = 21) : (z = n, d = 21) } else { var z = n; d = 21 } } else { z = n, d = 21 } d == 21 && (j | 0) != -1 ? (r = z, q = j, d = 26) : (m[X + 440 >> 2] |= 4, d = 23) } else { d = 23 } } while (0); d == 23 && (e = m[uf + 8 >> 2], e = e + (a + 47) & -e, e >>> 0 < 2147483647 ? (e = xf(e), h = xf(0), (h | 0) != -1 & (e | 0) != -1 & e >>> 0 < h >>> 0 ? (h = h - e | 0, h >>> 0 <= (a + 40 | 0) >>> 0 | (e | 0) == -1 ? d = 49 : (r = h, q = e, d = 26)) : d = 49) : d = 49); a: do { if (d == 26) { e = m[X + 432 >> 2] + r | 0; m[X + 432 >> 2] = e; e >>> 0 > p[X + 436 >> 2] >>> 0 && (m[X + 436 >> 2] = e); e = p[X + 24 >> 2]; h = (e | 0) == 0; b: do { if (h) { i = p[X + 16 >> 2]; (i | 0) == 0 | q >>> 0 < i >>> 0 && (m[X + 16 >> 2] = q); m[X + 444 >> 2] = q; m[X + 448 >> 2] = r; m[X + 456 >> 2] = 0; m[X + 36 >> 2] = m[uf >> 2]; m[X + 32 >> 2] = -1; for (i = 0; ;) { if (c = i << 1, j = (c << 2) + X + 40 | 0, m[X + (c + 3 << 2) + 40 >> 2] = j, m[X + (c + 2 << 2) + 40 >> 2] = j, i = i + 1 | 0, (i | 0) == 32) { break } } yf(q, r - 40 | 0) } else { j = X + 444 | 0; for (c = j >> 2; ;) { if ((j | 0) == 0) { break } i = p[c]; j = j + 4 | 0; n = p[j >> 2]; z = i + n | 0; if ((q | 0) == (z | 0)) { if ((m[c + 3] & 8 | 0) != 0) { break } c = e; if (!(c >>> 0 >= i >>> 0 & c >>> 0 < z >>> 0)) { break } m[j >> 2] = n + r | 0; yf(m[X + 24 >> 2], m[X + 12 >> 2] + r | 0); break b } j = m[c + 2]; c = j >> 2 } q >>> 0 < p[X + 16 >> 2] >>> 0 && (m[X + 16 >> 2] = q); c = q + r | 0; for (j = X + 444 | 0; ;) { if ((j | 0) == 0) { break } n = j | 0; i = p[n >> 2]; if ((i | 0) == (c | 0)) { if ((m[j + 12 >> 2] & 8 | 0) != 0) { break } m[n >> 2] = q; var v = j + 4 | 0; m[v >> 2] = m[v >> 2] + r | 0; v = zf(q, i, a); d = 50; break a } j = m[j + 8 >> 2] } Af(q, r) } } while (0); e = p[X + 12 >> 2]; e >>> 0 > a >>> 0 ? (v = e - a | 0, m[X + 12 >> 2] = v, h = e = p[X + 24 >> 2], m[X + 24 >> 2] = h + a | 0, m[a + (h + 4) >> 2] = v | 1, m[e + 4 >> 2] = a | 3, v = e + 8 | 0, d = 50) : d = 49 } } while (0); d == 49 && (m[Nc >> 2] = 12, v = 0); return v } tf.X = 1; function sf(a) { var c, d, e, f, g, h = a >> 2, i = -a | 0, j = a >>> 8; if ((j | 0) == 0) { var n = 0 } else { if (a >>> 0 > 16777215) { n = 31 } else { var u = (j + 1048320 | 0) >>> 16 & 8, s = j << u, r = (s + 520192 | 0) >>> 16 & 4, q = s << r, z = (q + 245760 | 0) >>> 16 & 2, v = 14 - (r | u | z) + (q << z >>> 15) | 0, n = a >>> ((v + 7 | 0) >>> 0) & 1 | v << 1 } } var w = p[X + (n << 2) + 304 >> 2], A = (w | 0) == 0; a: do { if (A) { var t = 0, C = i, L = 0 } else { var I = (n | 0) == 31 ? 0 : 25 - (n >>> 1) | 0, P = 0, N = i, F = w; g = F >> 2; for (var D = a << I, J = 0; ;) { var O = m[g + 1] & -8, M = O - a | 0; if (M >>> 0 < N >>> 0) { if ((O | 0) == (a | 0)) { t = F; C = M; L = F; break a } var Q = F, Y = M } else { Q = P, Y = N } var ga = p[g + 5], $ = p[((D >>> 31 << 2) + 16 >> 2) + g], R = (ga | 0) == 0 | (ga | 0) == ($ | 0) ? J : ga; if (($ | 0) == 0) { t = Q; C = Y; L = R; break a } P = Q; N = Y; F = $; g = F >> 2; D <<= 1; J = R } } } while (0); if ((L | 0) == 0 & (t | 0) == 0) { var Pa = 2 << n, ea = m[X + 4 >> 2] & (Pa | -Pa); if ((ea | 0) == 0) { var U = L } else { var pa = (ea & -ea) - 1 | 0, ya = pa >>> 12 & 16, ba = pa >>> (ya >>> 0), Ca = ba >>> 5 & 8, qa = ba >>> (Ca >>> 0), kb = qa >>> 2 & 4, Ya = qa >>> (kb >>> 0), Cb = Ya >>> 1 & 2, ra = Ya >>> (Cb >>> 0), Da = ra >>> 1 & 1, U = m[X + ((Ca | ya | kb | Cb | Da) + (ra >>> (Da >>> 0)) << 2) + 304 >> 2] } } else { U = L } var Vb = (U | 0) == 0; a: do { if (Vb) { var fa = C, sa = t; f = sa >> 2 } else { var ha = U; e = ha >> 2; for (var Ja = C, Za = t; ;) { var $a = (m[e + 1] & -8) - a | 0, Db = $a >>> 0 < Ja >>> 0, ia = Db ? $a : Ja, mb = Db ? ha : Za, Ea = p[e + 4]; if ((Ea | 0) != 0) { ha = Ea } else { var nb = p[e + 5]; if ((nb | 0) == 0) { fa = ia; sa = mb; f = sa >> 2; break a } ha = nb } e = ha >> 2; Ja = ia; Za = mb } } } while (0); var ob = (sa | 0) == 0; a: do { if (ob) { var Qa = 0 } else { if (fa >>> 0 < (m[X + 8 >> 2] - a | 0) >>> 0) { var Ka = sa; d = Ka >> 2; var Ra = p[X + 16 >> 2], pb = Ka >>> 0 < Ra >>> 0; do { if (!pb) { var ab = Ka + a | 0, qb = ab; if (Ka >>> 0 < ab >>> 0) { var La = p[f + 6], Sa = p[f + 3], Kb = (Sa | 0) == (sa | 0); do { if (Kb) { var Eb = sa + 20 | 0, Fb = m[Eb >> 2]; if ((Fb | 0) == 0) { var Gb = sa + 16 | 0, Ta = m[Gb >> 2]; if ((Ta | 0) == 0) { var W = 0; c = W >> 2; break } var ma = Gb, ja = Ta } else { ma = Eb, ja = Fb } for (; ;) { var ta = ja + 20 | 0, ua = m[ta >> 2]; if ((ua | 0) != 0) { ma = ta, ja = ua } else { var bb = ja + 16 | 0, Ma = p[bb >> 2]; if ((Ma | 0) == 0) { break } ma = bb; ja = Ma } } ma >>> 0 < Ra >>> 0 ? (Z(), b("Reached an unreachable!")) : (m[ma >> 2] = 0, W = ja, c = W >> 2) } else { var cb = p[f + 2]; cb >>> 0 < Ra >>> 0 ? (Z(), b("Reached an unreachable!")) : (m[cb + 12 >> 2] = Sa, m[Sa + 8 >> 2] = cb, W = Sa, c = W >> 2) } } while (0); var Lb = (La | 0) == 0; b: do { if (!Lb) { var S = sa + 28 | 0, na = (m[S >> 2] << 2) + X + 304 | 0, Ua = (sa | 0) == (m[na >> 2] | 0); do { if (Ua) { m[na >> 2] = W; if ((W | 0) != 0) { break } m[X + 4 >> 2] &= 1 << m[S >> 2] ^ -1; break b } if (La >>> 0 < p[X + 16 >> 2] >>> 0) { Z(), b("Reached an unreachable!") } else { var ka = La + 16 | 0; (m[ka >> 2] | 0) == (sa | 0) ? m[ka >> 2] = W : m[La + 20 >> 2] = W; if ((W | 0) == 0) { break b } } } while (0); if (W >>> 0 < p[X + 16 >> 2] >>> 0) { Z(), b("Reached an unreachable!") } else { m[c + 6] = La; var va = p[f + 4]; (va | 0) != 0 && (va >>> 0 < p[X + 16 >> 2] >>> 0 ? (Z(), b("Reached an unreachable!")) : (m[c + 4] = va, m[va + 24 >> 2] = W)); var la = p[f + 5]; (la | 0) != 0 && (la >>> 0 < p[X + 16 >> 2] >>> 0 ? (Z(), b("Reached an unreachable!")) : (m[c + 5] = la, m[la + 24 >> 2] = W)) } } } while (0); var Va = fa >>> 0 < 16; b: do { if (Va) { var Hb = fa + a | 0; m[f + 1] = Hb | 3; m[(Hb + (Ka + 4) | 0) >> 2] |= 1 } else { if (m[f + 1] = a | 3, m[h + (d + 1)] = fa | 1, m[(fa >> 2) + d + h] = fa, fa >>> 0 < 256) { var db = fa >>> 2 & 1073741822, eb = (db << 2) + X + 40 | 0, Fa = p[X >> 2], Ga = 1 << (fa >>> 3); if ((Fa & Ga | 0) == 0) { m[X >> 2] = Fa | Ga; var Ha = eb, rb = (db + 2 << 2) + X + 40 | 0 } else { var fb = (db + 2 << 2) + X + 40 | 0, Na = p[fb >> 2]; Na >>> 0 < p[X + 16 >> 2] >>> 0 ? (Z(), b("Reached an unreachable!")) : (Ha = Na, rb = fb) } m[rb >> 2] = qb; m[Ha + 12 >> 2] = qb; m[h + (d + 2)] = Ha; m[h + (d + 3)] = eb } else { var ca = ab, Ib = fa >>> 8; if ((Ib | 0) == 0) { var za = 0 } else { if (fa >>> 0 > 16777215) { za = 31 } else { var sb = (Ib + 1048320 | 0) >>> 16 & 8, Wa = Ib << sb, tb = (Wa + 520192 | 0) >>> 16 & 4, gb = Wa << tb, ub = (gb + 245760 | 0) >>> 16 & 2, Jb = 14 - (tb | sb | ub) + (gb << ub >>> 15) | 0, za = fa >>> ((Jb + 7 | 0) >>> 0) & 1 | Jb << 1 } } var vb = (za << 2) + X + 304 | 0; m[h + (d + 7)] = za; var bc = a + (Ka + 16) | 0; m[h + (d + 5)] = 0; m[bc >> 2] = 0; var Mb = m[X + 4 >> 2], Ia = 1 << za; if ((Mb & Ia | 0) == 0) { m[X + 4 >> 2] = Mb | Ia, m[vb >> 2] = ca, m[h + (d + 6)] = vb, m[h + (d + 3)] = ca, m[h + (d + 2)] = ca } else { for (var ec = fa << ((za | 0) == 31 ? 0 : 25 - (za >>> 1) | 0), Xa = m[vb >> 2]; ;) { if ((m[Xa + 4 >> 2] & -8 | 0) == (fa | 0)) { var fc = Xa + 8 | 0, Wb = p[fc >> 2], xb = p[X + 16 >> 2], Pb = Xa >>> 0 < xb >>> 0; do { if (!Pb && Wb >>> 0 >= xb >>> 0) { m[Wb + 12 >> 2] = ca; m[fc >> 2] = ca; m[h + (d + 2)] = Wb; m[h + (d + 3)] = Xa; m[h + (d + 6)] = 0; break b } } while (0); Z(); b("Reached an unreachable!") } else { var Xb = (ec >>> 31 << 2) + Xa + 16 | 0, gc = p[Xb >> 2]; if ((gc | 0) == 0) { if (Xb >>> 0 >= p[X + 16 >> 2] >>> 0) { m[Xb >> 2] = ca; m[h + (d + 6)] = Xa; m[h + (d + 3)] = ca; m[h + (d + 2)] = ca; break b } Z(); b("Reached an unreachable!") } else { ec <<= 1, Xa = gc } } } } } } } while (0); Qa = sa + 8 | 0; break a } } } while (0); Z(); b("Reached an unreachable!") } else { Qa = 0 } } } while (0); return Qa } sf.X = 1; function Bf() { var a; (m[uf >> 2] | 0) == 0 && vf(); var c = p[X + 24 >> 2], d = (c | 0) == 0; a: do { if (!d) { var e = p[X + 12 >> 2], f = e >>> 0 > 40; do { if (f) { var g = p[uf + 8 >> 2], h = (Math.floor(((e - 41 + g | 0) >>> 0) / (g >>> 0)) - 1) * g | 0, i = wf(c); if ((m[i + 12 >> 2] & 8 | 0) == 0) { var j = xf(0); a = (i + 4 | 0) >> 2; if ((j | 0) == (m[i >> 2] + m[a] | 0) && (h = xf(-(h >>> 0 > 2147483646 ? -2147483648 - g | 0 : h) | 0), g = xf(0), (h | 0) != -1 & g >>> 0 < j >>> 0 && (h = j - g | 0, (j | 0) != (g | 0)))) { m[a] = m[a] - h | 0; m[X + 432 >> 2] = m[X + 432 >> 2] - h | 0; yf(m[X + 24 >> 2], m[X + 12 >> 2] - h | 0); break a } } } } while (0); p[X + 12 >> 2] >>> 0 > p[X + 28 >> 2] >>> 0 && (m[X + 28 >> 2] = -1) } } while (0) } Bf.X = 1; function Je(a) { var c, d, e, f, g, h, i = a >> 2, j, n = (a | 0) == 0; a: do { if (!n) { var u = a - 8 | 0, s = u, r = p[X + 16 >> 2], q = u >>> 0 < r >>> 0; b: do { if (!q) { var z = p[a - 4 >> 2], v = z & 3; if ((v | 0) != 1) { var w = z & -8; h = w >> 2; var A = a + (w - 8) | 0, t = A, C = (z & 1 | 0) == 0; c: do { if (C) { var L = p[u >> 2]; if ((v | 0) == 0) { break a } var I = -8 - L | 0; g = I >> 2; var P = a + I | 0, N = P, F = L + w | 0; if (P >>> 0 < r >>> 0) { break b } if ((N | 0) == (m[X + 20 >> 2] | 0)) { f = (a + (w - 4) | 0) >> 2; if ((m[f] & 3 | 0) != 3) { var D = N; e = D >> 2; var J = F; break } m[X + 8 >> 2] = F; m[f] &= -2; m[g + (i + 1)] = F | 1; m[A >> 2] = F; break a } if (L >>> 0 < 256) { var O = p[g + (i + 2)], M = p[g + (i + 3)]; if ((O | 0) == (M | 0)) { m[X >> 2] &= 1 << (L >>> 3) ^ -1, D = N, e = D >> 2, J = F } else { var Q = ((L >>> 2 & 1073741822) << 2) + X + 40 | 0, Y = (O | 0) != (Q | 0) & O >>> 0 < r >>> 0; do { if (!Y && (M | 0) == (Q | 0) | M >>> 0 >= r >>> 0) { m[O + 12 >> 2] = M; m[M + 8 >> 2] = O; D = N; e = D >> 2; J = F; break c } } while (0); Z(); b("Reached an unreachable!") } } else { var ga = P, $ = p[g + (i + 6)], R = p[g + (i + 3)], Pa = (R | 0) == (ga | 0); do { if (Pa) { var ea = I + (a + 20) | 0, U = m[ea >> 2]; if ((U | 0) == 0) { var pa = I + (a + 16) | 0, ya = m[pa >> 2]; if ((ya | 0) == 0) { var ba = 0; d = ba >> 2; break } var Ca = pa, qa = ya } else { Ca = ea, qa = U, j = 21 } for (; ;) { var kb = qa + 20 | 0, Ya = m[kb >> 2]; if ((Ya | 0) != 0) { Ca = kb, qa = Ya } else { var Cb = qa + 16 | 0, ra = p[Cb >> 2]; if ((ra | 0) == 0) { break } Ca = Cb; qa = ra } } Ca >>> 0 < r >>> 0 ? (Z(), b("Reached an unreachable!")) : (m[Ca >> 2] = 0, ba = qa, d = ba >> 2) } else { var Da = p[g + (i + 2)]; Da >>> 0 < r >>> 0 ? (Z(), b("Reached an unreachable!")) : (m[Da + 12 >> 2] = R, m[R + 8 >> 2] = Da, ba = R, d = ba >> 2) } } while (0); if (($ | 0) == 0) { D = N, e = D >> 2, J = F } else { var Vb = I + (a + 28) | 0, fa = (m[Vb >> 2] << 2) + X + 304 | 0, sa = (ga | 0) == (m[fa >> 2] | 0); do { if (sa) { m[fa >> 2] = ba; if ((ba | 0) != 0) { break } m[X + 4 >> 2] &= 1 << m[Vb >> 2] ^ -1; D = N; e = D >> 2; J = F; break c } if ($ >>> 0 < p[X + 16 >> 2] >>> 0) { Z(), b("Reached an unreachable!") } else { var ha = $ + 16 | 0; (m[ha >> 2] | 0) == (ga | 0) ? m[ha >> 2] = ba : m[$ + 20 >> 2] = ba; if ((ba | 0) == 0) { D = N; e = D >> 2; J = F; break c } } } while (0); if (ba >>> 0 < p[X + 16 >> 2] >>> 0) { Z(), b("Reached an unreachable!") } else { m[d + 6] = $; var Ja = p[g + (i + 4)]; (Ja | 0) != 0 && (Ja >>> 0 < p[X + 16 >> 2] >>> 0 ? (Z(), b("Reached an unreachable!")) : (m[d + 4] = Ja, m[Ja + 24 >> 2] = ba)); var Za = p[g + (i + 5)]; (Za | 0) == 0 ? (D = N, e = D >> 2, J = F) : Za >>> 0 < p[X + 16 >> 2] >>> 0 ? (Z(), b("Reached an unreachable!")) : (m[d + 5] = Za, m[Za + 24 >> 2] = ba, D = N, e = D >> 2, J = F) } } } } else { D = s, e = D >> 2, J = w } } while (0); var $a = D; if ($a >>> 0 < A >>> 0) { var Db = a + (w - 4) | 0, ia = p[Db >> 2]; if ((ia & 1 | 0) != 0) { var mb = (ia & 2 | 0) == 0; do { if (mb) { if ((t | 0) == (m[X + 24 >> 2] | 0)) { var Ea = m[X + 12 >> 2] + J | 0; m[X + 12 >> 2] = Ea; m[X + 24 >> 2] = D; m[e + 1] = Ea | 1; (D | 0) == (m[X + 20 >> 2] | 0) && (m[X + 20 >> 2] = 0, m[X + 8 >> 2] = 0); if (Ea >>> 0 <= p[X + 28 >> 2] >>> 0) { break a } Bf(); break a } if ((t | 0) == (m[X + 20 >> 2] | 0)) { var nb = m[X + 8 >> 2] + J | 0; m[X + 8 >> 2] = nb; m[X + 20 >> 2] = D; m[e + 1] = nb | 1; m[($a + nb | 0) >> 2] = nb; break a } var ob = (ia & -8) + J | 0, Qa = ia >>> 3, Ka = ia >>> 0 < 256; c: do { if (Ka) { var Ra = p[i + h], pb = p[((w | 4) >> 2) + i]; if ((Ra | 0) == (pb | 0)) { m[X >> 2] &= 1 << Qa ^ -1 } else { var ab = ((ia >>> 2 & 1073741822) << 2) + X + 40 | 0; j = (Ra | 0) == (ab | 0) ? 63 : Ra >>> 0 < p[X + 16 >> 2] >>> 0 ? 66 : 63; do { if (j == 63 && !((pb | 0) != (ab | 0) && pb >>> 0 < p[X + 16 >> 2] >>> 0)) { m[Ra + 12 >> 2] = pb; m[pb + 8 >> 2] = Ra; break c } } while (0); Z(); b("Reached an unreachable!") } } else { var qb = A, La = p[h + (i + 4)], Sa = p[((w | 4) >> 2) + i], Kb = (Sa | 0) == (qb | 0); do { if (Kb) { var Eb = w + (a + 12) | 0, Fb = m[Eb >> 2]; if ((Fb | 0) == 0) { var Gb = w + (a + 8) | 0, Ta = m[Gb >> 2]; if ((Ta | 0) == 0) { var W = 0; c = W >> 2; break } var ma = Gb, ja = Ta } else { ma = Eb, ja = Fb, j = 73 } for (; ;) { var ta = ja + 20 | 0, ua = m[ta >> 2]; if ((ua | 0) != 0) { ma = ta, ja = ua } else { var bb = ja + 16 | 0, Ma = p[bb >> 2]; if ((Ma | 0) == 0) { break } ma = bb; ja = Ma } } ma >>> 0 < p[X + 16 >> 2] >>> 0 ? (Z(), b("Reached an unreachable!")) : (m[ma >> 2] = 0, W = ja, c = W >> 2) } else { var cb = p[i + h]; cb >>> 0 < p[X + 16 >> 2] >>> 0 ? (Z(), b("Reached an unreachable!")) : (m[cb + 12 >> 2] = Sa, m[Sa + 8 >> 2] = cb, W = Sa, c = W >> 2) } } while (0); if ((La | 0) != 0) { var Lb = w + (a + 20) | 0, S = (m[Lb >> 2] << 2) + X + 304 | 0, na = (qb | 0) == (m[S >> 2] | 0); do { if (na) { m[S >> 2] = W; if ((W | 0) != 0) { break } m[X + 4 >> 2] &= 1 << m[Lb >> 2] ^ -1; break c } if (La >>> 0 < p[X + 16 >> 2] >>> 0) { Z(), b("Reached an unreachable!") } else { var Ua = La + 16 | 0; (m[Ua >> 2] | 0) == (qb | 0) ? m[Ua >> 2] = W : m[La + 20 >> 2] = W; if ((W | 0) == 0) { break c } } } while (0); if (W >>> 0 < p[X + 16 >> 2] >>> 0) { Z(), b("Reached an unreachable!") } else { m[c + 6] = La; var ka = p[h + (i + 2)]; (ka | 0) != 0 && (ka >>> 0 < p[X + 16 >> 2] >>> 0 ? (Z(), b("Reached an unreachable!")) : (m[c + 4] = ka, m[ka + 24 >> 2] = W)); var va = p[h + (i + 3)]; (va | 0) != 0 && (va >>> 0 < p[X + 16 >> 2] >>> 0 ? (Z(), b("Reached an unreachable!")) : (m[c + 5] = va, m[va + 24 >> 2] = W)) } } } } while (0); m[e + 1] = ob | 1; m[$a + ob >> 2] = ob; if ((D | 0) != (m[X + 20 >> 2] | 0)) { var la = ob } else { m[X + 8 >> 2] = ob; break a } } else { m[Db >> 2] = ia & -2, m[e + 1] = J | 1, la = m[$a + J >> 2] = J } } while (0); if (la >>> 0 < 256) { var Va = la >>> 2 & 1073741822, Hb = (Va << 2) + X + 40 | 0, db = p[X >> 2], eb = 1 << (la >>> 3); if ((db & eb | 0) == 0) { m[X >> 2] = db | eb; var Fa = Hb, Ga = (Va + 2 << 2) + X + 40 | 0 } else { var Ha = (Va + 2 << 2) + X + 40 | 0, rb = p[Ha >> 2]; rb >>> 0 < p[X + 16 >> 2] >>> 0 ? (Z(), b("Reached an unreachable!")) : (Fa = rb, Ga = Ha) } m[Ga >> 2] = D; m[Fa + 12 >> 2] = D; m[e + 2] = Fa; m[e + 3] = Hb; break a } var fb = D, Na = la >>> 8; if ((Na | 0) == 0) { var ca = 0 } else { if (la >>> 0 > 16777215) { ca = 31 } else { var Ib = (Na + 1048320 | 0) >>> 16 & 8, za = Na << Ib, sb = (za + 520192 | 0) >>> 16 & 4, Wa = za << sb, tb = (Wa + 245760 | 0) >>> 16 & 2, gb = 14 - (sb | Ib | tb) + (Wa << tb >>> 15) | 0, ca = la >>> ((gb + 7 | 0) >>> 0) & 1 | gb << 1 } } var ub = (ca << 2) + X + 304 | 0; m[e + 7] = ca; m[e + 5] = 0; m[e + 4] = 0; var Jb = m[X + 4 >> 2], vb = 1 << ca, bc = (Jb & vb | 0) == 0; c: do { if (bc) { m[X + 4 >> 2] = Jb | vb, m[ub >> 2] = fb, m[e + 6] = ub, m[e + 3] = D, m[e + 2] = D } else { for (var Mb = la << ((ca | 0) == 31 ? 0 : 25 - (ca >>> 1) | 0), Ia = m[ub >> 2]; ;) { if ((m[Ia + 4 >> 2] & -8 | 0) == (la | 0)) { var ec = Ia + 8 | 0, Xa = p[ec >> 2], fc = p[X + 16 >> 2], Wb = Ia >>> 0 < fc >>> 0; do { if (!Wb && Xa >>> 0 >= fc >>> 0) { m[Xa + 12 >> 2] = fb; m[ec >> 2] = fb; m[e + 2] = Xa; m[e + 3] = Ia; m[e + 6] = 0; break c } } while (0); Z(); b("Reached an unreachable!") } else { var xb = (Mb >>> 31 << 2) + Ia + 16 | 0, Pb = p[xb >> 2]; if ((Pb | 0) == 0) { if (xb >>> 0 >= p[X + 16 >> 2] >>> 0) { m[xb >> 2] = fb; m[e + 6] = Ia; m[e + 3] = D; m[e + 2] = D; break c } Z(); b("Reached an unreachable!") } else { Mb <<= 1, Ia = Pb } } } } } while (0); var Xb = m[X + 32 >> 2] - 1 | 0; m[X + 32 >> 2] = Xb; if ((Xb | 0) != 0) { break a } var gc = m[X + 452 >> 2], $c = (gc | 0) == 0; c: do { if (!$c) { for (var ad = gc; ;) { var yb = m[ad + 8 >> 2]; if ((yb | 0) == 0) { break c } ad = yb } } } while (0); m[X + 32 >> 2] = -1; break a } } } } } while (0); Z(); b("Reached an unreachable!") } } while (0) } Module._free = Je; Je.X = 1; function wf(a) { var c, d = X + 444 | 0; for (c = d >> 2; ;) { var e = p[c]; if (e >>> 0 <= a >>> 0 && (e + m[c + 1] | 0) >>> 0 > a >>> 0) { var f = d; break } c = p[c + 2]; if ((c | 0) == 0) { f = 0; break } d = c; c = d >> 2 } return f } function yf(a, c) { var d = a + 8 | 0, d = (d & 7 | 0) == 0 ? 0 : -d & 7, e = c - d | 0; m[X + 24 >> 2] = a + d | 0; m[X + 12 >> 2] = e; m[d + (a + 4) >> 2] = e | 1; m[c + (a + 4) >> 2] = 40; m[X + 28 >> 2] = m[uf + 16 >> 2] } function td(a, c) { var d, e, f, g = c >>> 0 > 4294967231; a: do { if (g) { m[Nc >> 2] = 12; var h = 0 } else { f = d = a - 8 | 0; e = (a - 4 | 0) >> 2; var i = p[e], j = i & -8, n = j - 8 | 0, u = a + n | 0, s = d >>> 0 < p[X + 16 >> 2] >>> 0; do { if (!s) { var r = i & 3; if ((r | 0) != 1 & (n | 0) > -8 && (d = (a + (j - 4) | 0) >> 2, (m[d] & 1 | 0) != 0)) { g = c >>> 0 < 11 ? 16 : c + 11 & -8; if ((r | 0) == 0) { var q = 0, z, i = m[f + 4 >> 2] & -8; z = g >>> 0 < 256 ? 0 : i >>> 0 >= (g + 4 | 0) >>> 0 && (i - g | 0) >>> 0 <= m[uf + 8 >> 2] << 1 >>> 0 ? f : 0; f = 17 } else { j >>> 0 < g >>> 0 ? (u | 0) != (m[X + 24 >> 2] | 0) ? f = 21 : (d = m[X + 12 >> 2] + j | 0, d >>> 0 > g >>> 0 ? (q = d - g | 0, z = a + (g - 8) | 0, m[e] = g | i & 1 | 2, m[a + (g - 4) >> 2] = q | 1, m[X + 24 >> 2] = z, m[X + 12 >> 2] = q, q = 0, z = f, f = 17) : f = 21) : (q = j - g | 0, q >>> 0 > 15 ? (m[e] = g | i & 1 | 2, m[a + (g - 4) >> 2] = q | 3, m[d] |= 1, q = a + g | 0) : q = 0, z = f, f = 17) } do { if (f == 17 && (z | 0) != 0) { (q | 0) != 0 && Je(q); h = z + 8 | 0; break a } } while (0); f = lc(c); if ((f | 0) == 0) { h = 0; break a } e = j - ((m[e] & 3 | 0) == 0 ? 8 : 4) | 0; pd(f, a, e >>> 0 < c >>> 0 ? e : c); Je(a); h = f; break a } } } while (0); Z(); b("Reached an unreachable!") } } while (0); return h } td.X = 1; function vf() { if ((m[uf >> 2] | 0) == 0) { var a = Cf(); (a - 1 & a | 0) == 0 ? (m[uf + 8 >> 2] = a, m[uf + 4 >> 2] = a, m[uf + 12 >> 2] = -1, m[uf + 16 >> 2] = 2097152, m[uf + 20 >> 2] = 0, m[X + 440 >> 2] = 0, m[uf >> 2] = Math.floor(Date.now() / 1e3) & -16 ^ 1431655768) : (Z(), b("Reached an unreachable!")) } } function zf(a, c, d) { var e, f, g, h = c >> 2, i = a >> 2, j, n = a + 8 | 0, n = (n & 7 | 0) == 0 ? 0 : -n & 7; f = c + 8 | 0; var u = (f & 7 | 0) == 0 ? 0 : -f & 7; g = u >> 2; var s = c + u | 0, r = n + d | 0; f = r >> 2; var q = a + r | 0, z = s - (a + n) - d | 0; m[(n + 4 >> 2) + i] = d | 3; d = (s | 0) == (m[X + 24 >> 2] | 0); a: do { if (d) { var v = m[X + 12 >> 2] + z | 0; m[X + 12 >> 2] = v; m[X + 24 >> 2] = q; m[f + (i + 1)] = v | 1 } else { if ((s | 0) == (m[X + 20 >> 2] | 0)) { v = m[X + 8 >> 2] + z | 0, m[X + 8 >> 2] = v, m[X + 20 >> 2] = q, m[f + (i + 1)] = v | 1, m[(a + v + r | 0) >> 2] = v } else { var w = p[g + (h + 1)]; if ((w & 3 | 0) == 1) { var v = w & -8, A = w >>> 3, t = w >>> 0 < 256; b: do { if (t) { var C = p[((u | 8) >> 2) + h], L = p[g + (h + 3)]; if ((C | 0) == (L | 0)) { m[X >> 2] &= 1 << A ^ -1 } else { var I = ((w >>> 2 & 1073741822) << 2) + X + 40 | 0; j = (C | 0) == (I | 0) ? 15 : C >>> 0 < p[X + 16 >> 2] >>> 0 ? 18 : 15; do { if (j == 15 && !((L | 0) != (I | 0) && L >>> 0 < p[X + 16 >> 2] >>> 0)) { m[C + 12 >> 2] = L; m[L + 8 >> 2] = C; break b } } while (0); Z(); b("Reached an unreachable!") } } else { j = s; C = p[((u | 24) >> 2) + h]; L = p[g + (h + 3)]; I = (L | 0) == (j | 0); do { if (I) { var P = u | 16, N = P + (c + 4) | 0, F = m[N >> 2]; if ((F | 0) == 0) { if (P = c + P | 0, F = m[P >> 2], (F | 0) == 0) { var D = 0; e = D >> 2; break } } else { P = N } for (; ;) { var N = F + 20 | 0, J = m[N >> 2]; if ((J | 0) == 0 && (N = F + 16 | 0, J = p[N >> 2], (J | 0) == 0)) { break } P = N; F = J } P >>> 0 < p[X + 16 >> 2] >>> 0 ? (Z(), b("Reached an unreachable!")) : (m[P >> 2] = 0, D = F, e = D >> 2) } else { P = p[((u | 8) >> 2) + h], P >>> 0 < p[X + 16 >> 2] >>> 0 ? (Z(), b("Reached an unreachable!")) : (m[P + 12 >> 2] = L, m[L + 8 >> 2] = P, D = L, e = D >> 2) } } while (0); if ((C | 0) != 0) { L = u + (c + 28) | 0; I = (m[L >> 2] << 2) + X + 304 | 0; P = (j | 0) == (m[I >> 2] | 0); do { if (P) { m[I >> 2] = D; if ((D | 0) != 0) { break } m[X + 4 >> 2] &= 1 << m[L >> 2] ^ -1; break b } if (C >>> 0 < p[X + 16 >> 2] >>> 0) { Z(), b("Reached an unreachable!") } else { if (F = C + 16 | 0, (m[F >> 2] | 0) == (j | 0) ? m[F >> 2] = D : m[C + 20 >> 2] = D, (D | 0) == 0) { break b } } } while (0); D >>> 0 < p[X + 16 >> 2] >>> 0 ? (Z(), b("Reached an unreachable!")) : (m[e + 6] = C, j = u | 16, C = p[(j >> 2) + h], (C | 0) != 0 && (C >>> 0 < p[X + 16 >> 2] >>> 0 ? (Z(), b("Reached an unreachable!")) : (m[e + 4] = C, m[C + 24 >> 2] = D)), j = p[(j + 4 >> 2) + h], (j | 0) != 0 && (j >>> 0 < p[X + 16 >> 2] >>> 0 ? (Z(), b("Reached an unreachable!")) : (m[e + 5] = j, m[j + 24 >> 2] = D))) } } } while (0); w = c + (v | u) | 0; v = v + z | 0 } else { w = s, v = z } m[(w + 4 | 0) >> 2] &= -2; m[f + (i + 1)] = v | 1; m[(v >> 2) + i + f] = v; if (v >>> 0 < 256) { A = v >>> 2 & 1073741822; w = (A << 2) + X + 40 | 0; t = p[X >> 2]; v = 1 << (v >>> 3); if ((t & v | 0) == 0) { m[X >> 2] = t | v; var O = w, M = (A + 2 << 2) + X + 40 | 0 } else { v = (A + 2 << 2) + X + 40 | 0, A = p[v >> 2], A >>> 0 < p[X + 16 >> 2] >>> 0 ? (Z(), b("Reached an unreachable!")) : (O = A, M = v) } m[M >> 2] = q; m[O + 12 >> 2] = q; m[f + (i + 2)] = O; m[f + (i + 3)] = w } else { if (w = q, t = v >>> 8, (t | 0) == 0 ? A = 0 : v >>> 0 > 16777215 ? A = 31 : (A = (t + 1048320 | 0) >>> 16 & 8, j = t << A, t = (j + 520192 | 0) >>> 16 & 4, j <<= t, C = (j + 245760 | 0) >>> 16 & 2, A = 14 - (t | A | C) + (j << C >>> 15) | 0, A = v >>> ((A + 7 | 0) >>> 0) & 1 | A << 1), t = (A << 2) + X + 304 | 0, m[f + (i + 7)] = A, j = r + (a + 16) | 0, m[f + (i + 5)] = 0, m[j >> 2] = 0, j = m[X + 4 >> 2], C = 1 << A, (j & C | 0) == 0) { m[X + 4 >> 2] = j | C, m[t >> 2] = w, m[f + (i + 6)] = t, m[f + (i + 3)] = w, m[f + (i + 2)] = w } else { A = v << ((A | 0) == 31 ? 0 : 25 - (A >>> 1) | 0); for (t = m[t >> 2]; ;) { if ((m[t + 4 >> 2] & -8 | 0) == (v | 0)) { j = t + 8 | 0; C = p[j >> 2]; L = p[X + 16 >> 2]; I = t >>> 0 < L >>> 0; do { if (!I && C >>> 0 >= L >>> 0) { m[C + 12 >> 2] = w; m[j >> 2] = w; m[f + (i + 2)] = C; m[f + (i + 3)] = t; m[f + (i + 6)] = 0; break a } } while (0); Z(); b("Reached an unreachable!") } else { if (j = (A >>> 31 << 2) + t + 16 | 0, C = p[j >> 2], (C | 0) == 0) { if (j >>> 0 >= p[X + 16 >> 2] >>> 0) { m[j >> 2] = w; m[f + (i + 6)] = t; m[f + (i + 3)] = w; m[f + (i + 2)] = w; break a } Z(); b("Reached an unreachable!") } else { A <<= 1, t = C } } } } } } } } while (0); return a + (n | 8) | 0 } zf.X = 1; function Pe(a) { (a | 0) != 0 && Je(a) } function Df(a) { Ef(a | 0) } function Af(a, c) { var d, e, f = p[X + 24 >> 2]; e = f >> 2; var g = wf(f), h = m[g >> 2]; d = m[g + 4 >> 2]; var g = h + d | 0, i = h + (d - 39) | 0, h = h + (d - 47) + ((i & 7 | 0) == 0 ? 0 : -i & 7) | 0, h = h >>> 0 < (f + 16 | 0) >>> 0 ? f : h, i = h + 8 | 0; d = i >> 2; yf(a, c - 40 | 0); m[(h + 4 | 0) >> 2] = 27; m[d] = m[X + 444 >> 2]; m[d + 1] = m[X + 448 >> 2]; m[d + 2] = m[X + 452 >> 2]; m[d + 3] = m[X + 456 >> 2]; m[X + 444 >> 2] = a; m[X + 448 >> 2] = c; m[X + 456 >> 2] = 0; m[X + 452 >> 2] = i; d = h + 28 | 0; m[d >> 2] = 7; i = (h + 32 | 0) >>> 0 < g >>> 0; a: do { if (i) { for (var j = d; ;) { var n = j + 4 | 0; m[n >> 2] = 7; if ((j + 8 | 0) >>> 0 >= g >>> 0) { break a } j = n } } } while (0); g = (h | 0) == (f | 0); a: do { if (!g) { if (d = h - f | 0, i = f + d | 0, m[(d + (f + 4) | 0) >> 2] &= -2, m[e + 1] = d | 1, m[i >> 2] = d, d >>> 0 < 256) { j = d >>> 2 & 1073741822; i = (j << 2) + X + 40 | 0; n = p[X >> 2]; d = 1 << (d >>> 3); if ((n & d | 0) == 0) { m[X >> 2] = n | d; var u = i, s = (j + 2 << 2) + X + 40 | 0 } else { d = (j + 2 << 2) + X + 40 | 0, j = p[d >> 2], j >>> 0 < p[X + 16 >> 2] >>> 0 ? (Z(), b("Reached an unreachable!")) : (u = j, s = d) } m[s >> 2] = f; m[u + 12 >> 2] = f; m[e + 2] = u; m[e + 3] = i } else { i = f; n = d >>> 8; if ((n | 0) == 0) { j = 0 } else { if (d >>> 0 > 16777215) { j = 31 } else { var j = (n + 1048320 | 0) >>> 16 & 8, r = n << j, n = (r + 520192 | 0) >>> 16 & 4; r <<= n; var q = (r + 245760 | 0) >>> 16 & 2, j = 14 - (n | j | q) + (r << q >>> 15) | 0, j = d >>> ((j + 7 | 0) >>> 0) & 1 | j << 1 } } n = (j << 2) + X + 304 | 0; m[e + 7] = j; m[e + 5] = 0; m[e + 4] = 0; r = m[X + 4 >> 2]; q = 1 << j; if ((r & q | 0) == 0) { m[X + 4 >> 2] = r | q, m[n >> 2] = i, m[e + 6] = n, m[e + 3] = f, m[e + 2] = f } else { j = d << ((j | 0) == 31 ? 0 : 25 - (j >>> 1) | 0); for (n = m[n >> 2]; ;) { if ((m[n + 4 >> 2] & -8 | 0) == (d | 0)) { var r = n + 8 | 0, q = p[r >> 2], z = p[X + 16 >> 2], v = n >>> 0 < z >>> 0; do { if (!v && q >>> 0 >= z >>> 0) { m[q + 12 >> 2] = i; m[r >> 2] = i; m[e + 2] = q; m[e + 3] = n; m[e + 6] = 0; break a } } while (0); Z(); b("Reached an unreachable!") } else { if (r = (j >>> 31 << 2) + n + 16 | 0, q = p[r >> 2], (q | 0) == 0) { if (r >>> 0 >= p[X + 16 >> 2] >>> 0) { m[r >> 2] = i; m[e + 6] = n; m[e + 3] = f; m[e + 2] = f; break a } Z(); b("Reached an unreachable!") } else { j <<= 1, n = q } } } } } } } while (0) } Af.X = 1; function rd(a) { for (a = (a | 0) == 0 ? 1 : a; ;) { var c = lc(a); if ((c | 0) == 0) { if (c = (Ub = m[Ff >> 2], m[Ff >> 2] = Ub, Ub), (c | 0) == 0) { c = lc(4), m[c >> 2] = Gf + 8 | 0, ud(c, Hf, 2), b("Reached an unreachable!") } else { nc[c]() } } else { return c } } } function T(a) { Nc || (Nc = E([0], "i32", B)); m[Nc >> 2] = a } var Nc, If = 13, Ke = 9, Be = 22, Jf = 5, Kf = 21, Lf = 25, Mf = 6, Ae = 34, Nf = 0, Of = 0, Pf = 0, ue = 0, Qf = 2, V = [da], Rf = !0; function Sf(a, c) { if (typeof a !== "string") { return da } c === aa && (c = "/"); a && a[0] == "/" && (c = ""); for (var d = (c + "/" + a).split("/").reverse(), e = [""]; d.length;) { var f = d.pop(); f == "" || f == "." || (f == ".." ? e.length > 1 && e.pop() : e.push(f)) } return e.length == 1 ? "/" : e.join("/") } function Tf(a, c, d) { var e = { eb: !1, k: !1, error: 0, name: da, path: da, object: da, s: !1, u: da, t: da }, a = Sf(a); if (a == "/") { e.eb = !0, e.k = e.s = !0, e.name = "/", e.path = e.u = "/", e.object = e.t = Uf } else { if (a !== da) { for (var d = d || 0, a = a.slice(1).split("/"), f = Uf, g = [""]; a.length;) { if (a.length == 1 && f.c) { e.s = !0, e.u = g.length == 1 ? "/" : g.join("/"), e.t = f, e.name = a[0] } var h = a.shift(); if (f.c) { if (f.v) { if (!f.a.hasOwnProperty(h)) { e.error = 2; break } } else { e.error = If; break } } else { e.error = 20; break } f = f.a[h]; if (f.link && !(c && a.length == 0)) { if (d > 40) { e.error = 40; break } e = Sf(f.link, g.join("/")); return Tf([e].concat(a).join("/"), c, d + 1) } g.push(h); if (a.length == 0) { e.k = !0, e.path = g.join("/"), e.object = f } } } } return e } function Vf(a) { Wf(); a = Tf(a, aa); return a.k ? a.object : (T(a.error), da) } function Xf(a, c, d, e, f) { a || (a = "/"); typeof a === "string" && (a = Vf(a)); a || (T(If), b(Error("Parent path must exist."))); a.c || (T(20), b(Error("Parent must be a folder."))); !a.write && !Rf && (T(If), b(Error("Parent folder must be writeable."))); if (!c || c == "." || c == "..") { T(2), b(Error("Name must not be empty.")) } a.a.hasOwnProperty(c) && (T(17), b(Error("Can't overwrite object."))); a.a[c] = { v: e === aa ? !0 : e, write: f === aa ? !1 : f, timestamp: Date.now(), cb: Qf++ }; for (var g in d) { d.hasOwnProperty(g) && (a.a[c][g] = d[g]) } return a.a[c] } function Yf(a, c) { return Xf(a, c, { c: !0, d: !1, a: {} }, !0, !0) } function Zf() { var a = "dev/shm/tmp", c = Vf("/"); c === da && b(Error("Invalid parent.")); for (a = a.split("/").reverse(); a.length;) { var d = a.pop(); d && (c.a.hasOwnProperty(d) || Yf(c, d), c = c.a[d]) } } function $f(a, c, d, e) { !d && !e && b(Error("A device must have at least one callback defined.")); var f = { d: !0, input: d, e: e, c: !1 }; return Xf(a, c, f, Boolean(d), Boolean(e)) } function Wf() { Uf || (Uf = { v: !0, write: !0, c: !0, d: !1, timestamp: Date.now(), cb: 1, a: {} }) } function ag() { var a, c, d; function e(a) { a === da || a === "\n".charCodeAt(0) ? (c.h(c.buffer.join("")), c.buffer = []) : c.buffer.push(String.fromCharCode(a)) } wb(!bg, "FS.init was previously called. If you want to initialize later with custom parameters, remove any earlier calls (note that one is automatically added to the generated code)"); bg = !0; Wf(); a = a || Module.stdin; c = c || Module.stdout; d = d || Module.stderr; var f = !0, g = !0, h = !0; a || (f = !1, a = (function () { if (!a.j || !a.j.length) { var c; typeof window != "undefined" && typeof window.prompt == "function" ? c = window.prompt("Input: ") : typeof readline == "function" && (c = readline()); c || (c = ""); a.j = sc(c + "\n", !0) } return a.j.shift() })); c || (g = !1, c = e); if (!c.h) { c.h = print } if (!c.buffer) { c.buffer = [] } d || (h = !1, d = e); if (!d.h) { d.h = print } if (!d.buffer) { d.buffer = [] } Yf("/", "tmp"); var i = Yf("/", "dev"), j = $f(i, "stdin", a), n = $f(i, "stdout", da, c); d = $f(i, "stderr", da, d); $f(i, "tty", a, c); V[1] = { path: "/dev/stdin", object: j, position: 0, f: !0, g: !1, r: !1, m: !f, error: !1, q: !1, b: [] }; V[2] = { path: "/dev/stdout", object: n, position: 0, f: !1, g: !0, r: !1, m: !g, error: !1, q: !1, b: [] }; V[3] = { path: "/dev/stderr", object: d, position: 0, f: !1, g: !0, r: !1, m: !h, error: !1, q: !1, b: [] }; Nf = E([1], "void*", B); Of = E([2], "void*", B); Pf = E([3], "void*", B); Zf(); V[Nf] = V[1]; V[Of] = V[2]; V[Pf] = V[3]; ue = E([E([0, 0, 0, 0, Nf, 0, 0, 0, Of, 0, 0, 0, Pf, 0, 0, 0], "void*", B)], "void*", B) } var bg, Uf; function cg(a, c, d, e) { var f = V[a]; if (!f || f.object.d) { return T(Ke), -1 } else { if (f.f) { if (f.object.c) { return T(Kf), -1 } else { if (d < 0 || e < 0) { return T(Be), -1 } else { for (a = 0; f.b.length && d > 0;) { l[c++] = f.b.pop(), d--, a++ } for (var f = f.object.a, d = Math.min(f.length - e, d), g = 0; g < d; g++) { l[c + g] = f[e + g], a++ } return a } } } else { return T(If), -1 } } } function Oc(a, c, d) { var e = V[a]; if (e) { if (e.f) { if (d < 0) { return T(Be), -1 } else { if (e.object.d) { if (e.object.input) { for (a = 0; e.b.length && d > 0;) { l[c++] = e.b.pop(), d--, a++ } for (var f = 0; f < d; f++) { try { var g = e.object.input() } catch (h) { return T(Jf), -1 } if (g === da || g === aa) { break } a++; l[c + f] = g } return a } else { return T(Mf), -1 } } else { return g = e.b.length, a = cg(a, c, d, e.position), a != -1 && (e.position += e.b.length - g + a), a } } } else { return T(If), -1 } } else { return T(Ke), -1 } } function Qc(a, c, d) { var e = V[a]; if (e) { if (e.g) { if (d < 0) { return T(Be), -1 } else { if (e.object.d) { if (e.object.e) { for (var f = 0; f < d; f++) { try { e.object.e(l[c + f]) } catch (g) { return T(Jf), -1 } } e.object.timestamp = Date.now(); return f } else { return T(Mf), -1 } } else { f = e.position; a = V[a]; if (!a || a.object.d) { T(Ke), c = -1 } else { if (a.g) { if (a.object.c) { T(Kf), c = -1 } else { if (d < 0 || f < 0) { T(Be), c = -1 } else { for (var h = a.object.a; h.length < f;) { h.push(0) } for (var i = 0; i < d; i++) { h[f + i] = o[c + i] } a.object.timestamp = Date.now(); c = i } } } else { T(If), c = -1 } } c != -1 && (e.position += c); return c } } } else { return T(If), -1 } } else { return T(Ke), -1 } } function Sc(a) { xc(zc); b("exit(" + a + ") called, at " + Error().stack) } function pd(a, c, d) { if (d >= 20 && c % 2 == a % 2) { if (c % 4 == a % 4) { for (d = c + d; c % 4;) { l[a++] = l[c++] } c >>= 2; a >>= 2; for (var e = d >> 2; c < e;) { m[a++] = m[c++] } c <<= 2; for (a <<= 2; c < d;) { l[a++] = l[c++] } } else { d = c + d; c % 2 && (l[a++] = l[c++]); c >>= 1; a >>= 1; for (e = d >> 1; c < e;) { Ob[a++] = Ob[c++] } c <<= 1; a <<= 1; c < d && (l[a++] = l[c++]) } } else { for (; d--;) { l[a++] = l[c++] } } } function jg() { return !!jg.w } function ud(a, c, d) { if (!kg) { try { m[__ZTVN10__cxxabiv119__pointer_type_infoE >> 2] = 0 } catch (e) { } try { m[lg >> 2] = 1 } catch (f) { } try { m[mg >> 2] = 2 } catch (g) { } kg = !0 } print("Compiled code throwing an exception, " + [a, c, d] + ", at " + Error().stack); m[ng >> 2] = a; m[ng + 4 >> 2] = c; m[ng + 8 >> 2] = d; "uncaught_exception" in jg ? jg.w++ : jg.w = 1; b(a) } var kg; function yd(a, c, d) { if (c < a && a < c + d) { c += d; for (a += d; d--;) { a--, c--, l[a] = l[c] } } else { pd(a, c, d) } } function Qe(a, c, d, e) { c *= d; if (c != 0 && Qc(e, a, c) == -1 && V[e]) { V[e].error = !0 } } function lf(a, c) { function d(a) { var d; a === "double" ? d = (jc[0] = m[c + f >> 2], jc[1] = m[c + f + 4 >> 2], ic[0]) : a == "i64" ? d = [m[c + f >> 2], m[c + f + 4 >> 2]] : (a = "i32", d = m[c + f >> 2]); f += Math.max(jb(a), lb); return d } for (var e = a, f = 0, g = [], h, i; ;) { var j = e; h = l[e]; if (h === 0) { break } i = l[e + 1]; if (h == "%".charCodeAt(0)) { var n = !1, u = !1, s = !1, r = !1; a: for (; ;) { switch (i) { case "+".charCodeAt(0): n = !0; break; case "-".charCodeAt(0): u = !0; break; case "#".charCodeAt(0): s = !0; break; case "0".charCodeAt(0): if (r) { break a } else { r = !0; break }; default: break a }e++; i = l[e + 1] } var q = 0; if (i == "*".charCodeAt(0)) { q = d("i32"), e++, i = l[e + 1] } else { for (; i >= "0".charCodeAt(0) && i <= "9".charCodeAt(0);) { q = q * 10 + (i - "0".charCodeAt(0)), e++, i = l[e + 1] } } var z = !1; if (i == ".".charCodeAt(0)) { var v = 0, z = !0; e++; i = l[e + 1]; if (i == "*".charCodeAt(0)) { v = d("i32"), e++ } else { for (; ;) { i = l[e + 1]; if (i < "0".charCodeAt(0) || i > "9".charCodeAt(0)) { break } v = v * 10 + (i - "0".charCodeAt(0)); e++ } } i = l[e + 1] } else { v = 6 } var w; switch (String.fromCharCode(i)) { case "h": i = l[e + 2]; i == "h".charCodeAt(0) ? (e++, w = 1) : w = 2; break; case "l": i = l[e + 2]; i == "l".charCodeAt(0) ? (e++, w = 8) : w = 4; break; case "L": case "q": case "j": w = 8; break; case "z": case "t": case "I": w = 4; break; default: w = da }w && e++; i = l[e + 1]; if ("d,i,u,o,x,X,p".split(",").indexOf(String.fromCharCode(i)) != -1) { j = i == "d".charCodeAt(0) || i == "i".charCodeAt(0); w = w || 4; h = d("i" + w * 8); w == 8 && (h = i == "u".charCodeAt(0) ? (h[0] >>> 0) + (h[1] >>> 0) * 4294967296 : (h[0] >>> 0) + (h[1] | 0) * 4294967296); w <= 4 && (h = (j ? Ec : Dc)(h & Math.pow(256, w) - 1, w * 8)); var A = Math.abs(h), t, j = ""; if (i == "d".charCodeAt(0) || i == "i".charCodeAt(0)) { t = Ec(h, 8 * w).toString(10) } else { if (i == "u".charCodeAt(0)) { t = Dc(h, 8 * w).toString(10), h = Math.abs(h) } else { if (i == "o".charCodeAt(0)) { t = (s ? "0" : "") + A.toString(8) } else { if (i == "x".charCodeAt(0) || i == "X".charCodeAt(0)) { j = s ? "0x" : ""; if (h < 0) { h = -h; t = (A - 1).toString(16); s = []; for (A = 0; A < t.length; A++) { s.push((15 - parseInt(t[A], 16)).toString(16)) } for (t = s.join(""); t.length < w * 2;) { t = "f" + t } } else { t = A.toString(16) } i == "X".charCodeAt(0) && (j = j.toUpperCase(), t = t.toUpperCase()) } else { i == "p".charCodeAt(0) && (A === 0 ? t = "(nil)" : (j = "0x", t = A.toString(16))) } } } } if (z) { for (; t.length < v;) { t = "0" + t } } for (n && (j = h < 0 ? "-" + j : "+" + j); j.length + t.length < q;) { u ? t += " " : r ? t = "0" + t : j = " " + j } t = j + t; t.split("").forEach((function (a) { g.push(a.charCodeAt(0)) })) } else { if ("f,F,e,E,g,G".split(",").indexOf(String.fromCharCode(i)) != -1) { h = d("double"); if (isNaN(h)) { t = "nan", r = !1 } else { if (isFinite(h)) { z = !1; w = Math.min(v, 20); if (i == "g".charCodeAt(0) || i == "G".charCodeAt(0)) { z = !0, v = v || 1, w = parseInt(h.toExponential(w).split("e")[1], 10), v > w && w >= -4 ? (i = (i == "g".charCodeAt(0) ? "f" : "F").charCodeAt(0), v -= w + 1) : (i = (i == "g".charCodeAt(0) ? "e" : "E").charCodeAt(0), v--), w = Math.min(v, 20) } if (i == "e".charCodeAt(0) || i == "E".charCodeAt(0)) { t = h.toExponential(w), /[eE][-+]\d$/.test(t) && (t = t.slice(0, -1) + "0" + t.slice(-1)) } else { if (i == "f".charCodeAt(0) || i == "F".charCodeAt(0)) { t = h.toFixed(w) } } j = t.split("e"); if (z && !s) { for (; j[0].length > 1 && j[0].indexOf(".") != -1 && (j[0].slice(-1) == "0" || j[0].slice(-1) == ".");) { j[0] = j[0].slice(0, -1) } } else { for (s && t.indexOf(".") == -1 && (j[0] += "."); v > w++;) { j[0] += "0" } } t = j[0] + (j.length > 1 ? "e" + j[1] : ""); i == "E".charCodeAt(0) && (t = t.toUpperCase()); n && h >= 0 && (t = "+" + t) } else { t = (h < 0 ? "-" : "") + "inf", r = !1 } } for (; t.length < q;) { u ? t += " " : t = r && (t[0] == "-" || t[0] == "+") ? t[0] + "0" + t.slice(1) : (r ? "0" : " ") + t } i < "a".charCodeAt(0) && (t = t.toUpperCase()); t.split("").forEach((function (a) { g.push(a.charCodeAt(0)) })) } else { if (i == "s".charCodeAt(0)) { (n = d("i8*")) ? (n = Cc(n), z && n.length > v && (n = n.slice(0, v))) : n = sc("(null)", !0); if (!u) { for (; n.length < q--;) { g.push(" ".charCodeAt(0)) } } g = g.concat(n); if (u) { for (; n.length < q--;) { g.push(" ".charCodeAt(0)) } } } else { if (i == "c".charCodeAt(0)) { for (u && g.push(d("i8")); --q > 0;) { g.push(" ".charCodeAt(0)) } u || g.push(d("i8")) } else { if (i == "n".charCodeAt(0)) { u = d("i32*"), m[u >> 2] = g.length } else { if (i == "%".charCodeAt(0)) { g.push(h) } else { for (A = j; A < e + 2; A++) { g.push(l[A]) } } } } } } } e += 2 } else { g.push(h), e += 1 } } return g } function xe(a, c, d) { c = lf(c, d); d = k; Qe(E(c, "i8", kc), 1, c.length, a); k = d } var ze = { 1: "Operation not permitted", 2: "No such file or directory", 3: "No such process", 4: "Interrupted system call", 5: "Input/output error", 6: "No such device or address", 8: "Exec format error", 9: "Bad file descriptor", 10: "No child processes", 11: "Resource temporarily unavailable", 12: "Cannot allocate memory", 13: "Permission denied", 14: "Bad address", 16: "Device or resource busy", 17: "File exists", 18: "Invalid cross-device link", 19: "No such device", 20: "Not a directory", 21: "Is a directory", 22: "Invalid argument", 23: "Too many open files in system", 24: "Too many open files", 25: "Inappropriate ioctl for device", 26: "Text file busy", 27: "File too large", 28: "No space left on device", 29: "Illegal seek", 30: "Read-only file system", 31: "Too many links", 32: "Broken pipe", 33: "Numerical argument out of domain", 34: "Numerical result out of range", 35: "Resource deadlock avoided", 36: "File name too long", 37: "No locks available", 38: "Function not implemented", 39: "Directory not empty", 40: "Too many levels of symbolic links", 42: "No message of desired type", 43: "Identifier removed", 60: "Device not a stream", 61: "No data available", 62: "Timer expired", 63: "Out of streams resources", 67: "Link has been severed", 71: "Protocol error", 72: "Multihop attempted", 74: "Bad message", 75: "Value too large for defined data type", 84: "Invalid or incomplete multibyte or wide character", 88: "Socket operation on non-socket", 89: "Destination address required", 90: "Message too long", 91: "Protocol wrong type for socket", 92: "Protocol not available", 93: "Protocol not supported", 95: "Operation not supported", 97: "Address family not supported by protocol", 98: "Address already in use", 99: "Cannot assign requested address", 100: "Network is down", 101: "Network is unreachable", 102: "Network dropped connection on reset", 103: "Software caused connection abort", 104: "Connection reset by peer", 105: "No buffer space available", 106: "Transport endpoint is already connected", 107: "Transport endpoint is not connected", 110: "Connection timed out", 111: "Connection refused", 113: "No route to host", 114: "Operation already in progress", 115: "Operation now in progress", 116: "Stale NFS file handle", 122: "Disk quota exceeded", 125: "Operation canceled", 130: "Owner died", 131: "State not recoverable" }, ye; function Ge(a) { if (!V[a]) { return T(Ke), 0 } if (V[a].m) { return 1 } T(Lf); return 0 } function mc(a, c, d) { if (d >= 20) { for (d = a + d; a % 4;) { l[a++] = c } c < 0 && (c += 256); a >>= 2; for (var e = d >> 2, f = c | c << 8 | c << 16 | c << 24; a < e;) { m[a++] = f } for (a <<= 2; a < d;) { l[a++] = c } } else { for (; d--;) { l[a++] = c } } } function Le(a, c) { xe(m[Of >> 2], a, c) } var nf; function Z() { b("ABORT: undefined, at " + Error().stack) } function Cf() { switch (8) { case 8: return oc; case 54: case 56: case 21: case 61: case 63: case 22: case 67: case 23: case 24: case 25: case 26: case 27: case 69: case 28: case 101: case 70: case 71: case 29: case 30: case 199: case 75: case 76: case 32: case 43: case 44: case 80: case 46: case 47: case 45: case 48: case 49: case 42: case 82: case 33: case 7: case 108: case 109: case 107: case 112: case 119: case 121: return 200809; case 13: case 104: case 94: case 95: case 34: case 35: case 77: case 81: case 83: case 84: case 85: case 86: case 87: case 88: case 89: case 90: case 91: case 94: case 95: case 110: case 111: case 113: case 114: case 115: case 116: case 117: case 118: case 120: case 40: case 16: case 79: case 19: return -1; case 92: case 93: case 5: case 72: case 6: case 74: case 92: case 93: case 96: case 97: case 98: case 99: case 102: case 103: case 105: return 1; case 38: case 66: case 50: case 51: case 4: return 1024; case 15: case 64: case 41: return 32; case 55: case 37: case 17: return 2147483647; case 18: case 1: return 47839; case 59: case 57: return 99; case 68: case 58: return 2048; case 0: return 2097152; case 3: return 65536; case 14: return 32768; case 73: return 32767; case 39: return 16384; case 60: return 1e3; case 106: return 700; case 52: return 256; case 62: return 255; case 2: return 100; case 65: return 64; case 36: return 20; case 100: return 16; case 20: return 6; case 53: return 4 } } function xf(a) { og || (Bb = Bb + 4095 >> 12 << 12, og = !0); var c = Bb; a != 0 && Ab(a); return c } var og, Ef; function Ce(a, c) { l[pg] = Dc(a & 255); if (Qc(c, pg, 1) == -1 && c in V) { V[c].error = !0 } } function Me(a) { var c = m[Of >> 2]; Qc(c, a, Bc(a)) < 0 || Ce("\n".charCodeAt(0), c) } T(0); yc.unshift({ l: (function () { Rf = !1; bg || ag() }) }); zc.push({ l: (function () { bg && (V[2] && V[2].object.e.buffer.length > 0 && V[2].object.e("\n".charCodeAt(0)), V[3] && V[3].object.e.buffer.length > 0 && V[3].object.e("\n".charCodeAt(0))) }) }); var ng = E(12, "void*", B), pg = E([0], "i8", B); Module.ab = (function (a) { function c() { for (var a = 0; a < 3; a++) { e.push(0) } } var d = a.length + 1, e = [E(sc("/bin/this.program"), "i8", B)]; c(); for (var f = 0; f < d - 1; f += 1) { e.push(E(sc(a[f]), "i8", B)), c() } e.push(0); e = E(e, "i32", B); return Ee(d, e) }); var Ic, yc = yc.concat([{ l: (function () { for (var a = 0; ;) { var c = a >>> 1, c = (a & 1 | 0) == 0 ? c : c ^ -306674912, d = c >>> 1, c = (c & 1 | 0) == 0 ? d : d ^ -306674912, d = c >>> 1, c = (c & 1 | 0) == 0 ? d : d ^ -306674912, d = c >>> 1, c = (c & 1 | 0) == 0 ? d : d ^ -306674912, d = c >>> 1, c = (c & 1 | 0) == 0 ? d : d ^ -306674912, d = c >>> 1, c = (c & 1 | 0) == 0 ? d : d ^ -306674912, d = c >>> 1, c = (c & 1 | 0) == 0 ? d : d ^ -306674912, d = c >>> 1; m[Ic + (a << 2) >> 2] = (c & 1 | 0) == 0 ? d : d ^ -306674912; a = a + 1 | 0; if ((a | 0) == 256) { break } } }) }]), K, te, vd, we, De, Fe, Ve, We, Ue, pf, qg, lg, mg, rg, X, uf, Ff, Gf, Hf; Ic = E(1024, "i32", B); G.L = E([82, 97, 110, 103, 101, 32, 100, 101, 99, 111, 100, 101, 114, 32, 102, 105, 110, 97, 108, 32, 99, 111, 100, 101, 32, 105, 115, 32, 110, 111, 116, 32, 122, 101, 114, 111, 0], "i8", B); G.K = E([7, 7, 7, 7, 7, 7, 7, 10, 10, 10, 10, 10], "i8", B); G.I = E([8, 8, 8, 8, 8, 8, 8, 11, 11, 11, 11, 11], "i8", B); G.H = E([9, 9, 9, 9, 9, 9, 9, 11, 11, 11, 11, 11], "i8", B); G.J = E([0, 0, 0, 0, 1, 2, 3, 4, 5, 6, 4, 5], "i8", B); K = E(4096, "i8", B); te = E(2048, "i32", B); G.A = E([53, 69, 114, 114, 111, 114, 0], "i8", B); vd = E(8, "*", B); G.O = E([112, 111, 115, 32, 62, 32, 115, 116, 114, 101, 97, 109, 95, 112, 111, 115, 32, 105, 110, 32, 77, 97, 116, 99, 104, 102, 105, 110, 100, 101, 114, 58, 58, 109, 111, 118, 101, 95, 112, 111, 115, 0], "i8", B); G.W = E([87, 114, 105, 116, 101, 32, 101, 114, 114, 111, 114, 0], "i8", B); G.ea = E([82, 101, 97, 100, 32, 101, 114, 114, 111, 114, 0], "i8", B); we = E(1, "i32", B); G.sa = E([37, 115, 58, 32, 37, 115, 0], "i8", B); G.S = E([58, 32, 37, 115, 0], "i8", B); De = E(1, "i8*", B); G.na = E([84, 114, 121, 32, 96, 37, 115, 32, 45, 45, 104, 101, 108, 112, 39, 32, 102, 111, 114, 32, 109, 111, 114, 101, 32, 105, 110, 102, 111, 114, 109, 97, 116, 105, 111, 110, 46, 10, 0], "i8", B); G.oa = E([37, 115, 58, 32, 105, 110, 116, 101, 114, 110, 97, 108, 32, 101, 114, 114, 111, 114, 58, 32, 37, 115, 46, 10, 0], "i8", B); G.ta = E([117, 110, 99, 97, 117, 103, 104, 116, 32, 111, 112, 116, 105, 111, 110, 0], "i8", B); Fe = E(1, "i1", B); G.ua = E([67, 97, 110, 39, 116, 32, 99, 108, 111, 115, 101, 32, 115, 116, 100, 111, 117, 116, 0], "i8", B); G.wa = E([69, 114, 114, 111, 114, 32, 114, 101, 97, 100, 105, 110, 103, 32, 109, 101, 109, 98, 101, 114, 32, 104, 101, 97, 100, 101, 114, 0], "i8", B); G.xa = E([66, 97, 100, 32, 109, 97, 103, 105, 99, 32, 110, 117, 109, 98, 101, 114, 32, 40, 102, 105, 108, 101, 32, 110, 111, 116, 32, 105, 110, 32, 108, 122, 105, 112, 32, 102, 111, 114, 109, 97, 116, 41, 0], "i8", B); G.M = E([86, 101, 114, 115, 105, 111, 110, 32, 37, 100, 32, 109, 101, 109, 98, 101, 114, 32, 102, 111, 114, 109, 97, 116, 32, 110, 111, 116, 32, 115, 117, 112, 112, 111, 114, 116, 101, 100, 46, 10, 0], "i8", B); G.N = E([73, 110, 118, 97, 108, 105, 100, 32, 100, 105, 99, 116, 105, 111, 110, 97, 114, 121, 32, 115, 105, 122, 101, 32, 105, 110, 32, 109, 101, 109, 98, 101, 114, 32, 104, 101, 97, 100, 101, 114, 0], "i8", B); G.P = E([118, 101, 114, 115, 105, 111, 110, 32, 37, 100, 44, 32, 100, 105, 99, 116, 105, 111, 110, 97, 114, 121, 32, 115, 105, 122, 101, 32, 37, 55, 115, 66, 46, 32, 32, 0], "i8", B); G.Q = E([70, 105, 108, 101, 32, 101, 110, 100, 115, 32, 117, 110, 101, 120, 112, 101, 99, 116, 101, 100, 108, 121, 32, 97, 116, 32, 112, 111, 115, 32, 37, 108, 108, 100, 10, 0], "i8", B); G.R = E([68, 101, 99, 111, 100, 101, 114, 32, 101, 114, 114, 111, 114, 32, 97, 116, 32, 112, 111, 115, 32, 37, 108, 108, 100, 10, 0], "i8", B); G.n = E([111, 107, 10, 0], "i8", B); G.o = E([100, 111, 110, 101, 10, 0], "i8", B); Ve = E(32, "*", B); G.T = E([75, 105, 0], "i8", B); G.U = E([77, 105, 0], "i8", B); G.V = E([71, 105, 0], "i8", B); G.Y = E([84, 105, 0], "i8", B); G.Z = E([69, 105, 0], "i8", B); G.$ = E([90, 105, 0], "i8", B); G.aa = E([89, 105, 0], "i8", B); We = E(16, "i8", B); Ue = E(1, "i8", B); G.ba = E([37, 108, 108, 100, 32, 37, 115, 0], "i8", B); G.z = E([76, 90, 73, 80], "i8", B); G.ca = E([105, 110, 118, 97, 108, 105, 100, 32, 97, 114, 103, 117, 109, 101, 110, 116, 32, 116, 111, 32, 101, 110, 99, 111, 100, 101, 114, 0], "i8", B); G.da = E([69, 110, 99, 111, 100, 101, 114, 32, 101, 114, 114, 111, 114, 0], "i8", B); G.fa = E([78, 111, 32, 100, 97, 116, 97, 32, 99, 111, 109, 112, 114, 101, 115, 115, 101, 100, 46, 10, 0], "i8", B); G.ga = E([37, 54, 46, 51, 102, 58, 49, 44, 32, 37, 54, 46, 51, 102, 32, 98, 105, 116, 115, 47, 98, 121, 116, 101, 44, 32, 37, 53, 46, 50, 102, 37, 37, 32, 115, 97, 118, 101, 100, 44, 32, 37, 108, 108, 100, 32, 105, 110, 44, 32, 37, 108, 108, 100, 32, 111, 117, 116, 46, 10, 0], "i8", B); G.ha = E([73, 32, 119, 111, 110, 39, 116, 32, 119, 114, 105, 116, 101, 32, 99, 111, 109, 112, 114, 101, 115, 115, 101, 100, 32, 100, 97, 116, 97, 32, 116, 111, 32, 97, 32, 116, 101, 114, 109, 105, 110, 97, 108, 46, 0], "i8", B); G.ia = E([73, 32, 119, 111, 110, 39, 116, 32, 114, 101, 97, 100, 32, 99, 111, 109, 112, 114, 101, 115, 115, 101, 100, 32, 100, 97, 116, 97, 32, 102, 114, 111, 109, 32, 97, 32, 116, 101, 114, 109, 105, 110, 97, 108, 46, 0], "i8", B); G.ja = E([37, 115, 32, 37, 115, 10, 0], "i8", B); G.ka = E([49, 46, 49, 50, 0], "i8", B); G.la = E([67, 111, 112, 121, 114, 105, 103, 104, 116, 32, 40, 67, 41, 32, 37, 115, 32, 65, 110, 116, 111, 110, 105, 111, 32, 68, 105, 97, 122, 32, 68, 105, 97, 122, 46, 10, 0], "i8", B); G.pa = E([50, 48, 49, 49, 0], "i8", B); G.p = E([76, 122, 105, 112, 0], "i8", B); G.qa = E([37, 115, 32, 45, 32, 68, 97, 116, 97, 32, 99, 111, 109, 112, 114, 101, 115, 115, 111, 114, 32, 98, 97, 115, 101, 100, 32, 111, 110, 32, 116, 104, 101, 32, 76, 90, 77, 65, 32, 97, 108, 103, 111, 114, 105, 116, 104, 109, 46, 10, 0], "i8", B); G.ra = E([10, 85, 115, 97, 103, 101, 58, 32, 37, 115, 32, 91, 111, 112, 116, 105, 111, 110, 115, 93, 32, 91, 102, 105, 108, 101, 115, 93, 10, 0], "i8", B); G.va = E([73, 102, 32, 110, 111, 32, 102, 105, 108, 101, 32, 110, 97, 109, 101, 115, 32, 97, 114, 101, 32, 103, 105, 118, 101, 110, 44, 32, 37, 115, 32, 99, 111, 109, 112, 114, 101, 115, 115, 101, 115, 32, 111, 114, 32, 100, 101, 99, 111, 109, 112, 114, 101, 115, 115, 101, 115, 10, 0], "i8", B); G.i = E([108, 122, 105, 112, 0], "i8", B); G.B = E([78, 49, 48, 95, 95, 99, 120, 120, 97, 98, 105, 118, 49, 49, 54, 95, 95, 115, 104, 105, 109, 95, 116, 121, 112, 101, 95, 105, 110, 102, 111, 69, 0], "i8", B); pf = E(12, "*", B); G.C = E([78, 49, 48, 95, 95, 99, 120, 120, 97, 98, 105, 118, 49, 49, 55, 95, 95, 99, 108, 97, 115, 115, 95, 116, 121, 112, 101, 95, 105, 110, 102, 111, 69, 0], "i8", B); qg = E(12, "*", B); lg = E([0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 6, 0, 0, 0, 8, 0, 0, 0, 10, 0, 0, 0, 12, 0, 0, 0, 14, 0, 0, 0], ["*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0], B); E(1, "void*", B); G.F = E([80, 105, 0], "i8", B); mg = E([0, 0, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 16, 0, 0, 0, 8, 0, 0, 0, 18, 0, 0, 0, 20, 0, 0, 0, 22, 0, 0, 0], ["*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0], B); E(1, "void*", B); G.D = E([78, 49, 48, 95, 95, 99, 120, 120, 97, 98, 105, 118, 49, 50, 48, 95, 95, 115, 105, 95, 99, 108, 97, 115, 115, 95, 116, 121, 112, 101, 95, 105, 110, 102, 111, 69, 0], "i8", B); rg = E(12, "*", B); X = E(468, ["i32", 0, 0, 0, "i32", 0, 0, 0, "i32", 0, 0, 0, "i32", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "i32", 0, 0, 0, "i32", 0, 0, 0, "i32", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "i32", 0, 0, 0, "i32", 0, 0, 0, "i32", 0, 0, 0, "*", 0, 0, 0, "i32", 0, 0, 0, "*", 0, 0, 0, "i32", 0, 0, 0, "*", 0, 0, 0, "i32", 0, 0, 0], B); uf = E(24, "i32", B); Ff = E(1, "void ()*", B); Gf = E([0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 24, 0, 0, 0, 26, 0, 0, 0], ["*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0, "*", 0, 0, 0], B); E(1, "void*", B); G.ma = E([115, 116, 100, 58, 58, 98, 97, 100, 95, 97, 108, 108, 111, 99, 0], "i8", B); G.G = E([83, 116, 57, 98, 97, 100, 95, 97, 108, 108, 111, 99, 0], "i8", B); Hf = E(12, "*", B); G.ya = E([60, 60, 32, 77, 111, 115, 116, 32, 111, 102, 32, 116, 104, 101, 115, 101, 32, 97, 114, 101, 32, 117, 110, 115, 117, 112, 112, 111, 114, 116, 101, 100, 46, 32, 67, 111, 109, 112, 114, 101, 115, 115, 105, 110, 103, 47, 100, 101, 99, 111, 109, 112, 114, 101, 115, 115, 105, 110, 103, 32, 102, 114, 111, 109, 32, 115, 116, 100, 105, 110, 32, 116, 111, 32, 115, 116, 100, 111, 117, 116, 32, 105, 115, 32, 116, 104, 101, 32, 114, 105, 103, 104, 116, 32, 119, 97, 121, 33, 32, 62, 62, 0], "i8", B); G.za = E([10, 79, 112, 116, 105, 111, 110, 115, 58, 0], "i8", B); G.Ka = E([32, 32, 45, 104, 44, 32, 45, 45, 104, 101, 108, 112, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 100, 105, 115, 112, 108, 97, 121, 32, 116, 104, 105, 115, 32, 104, 101, 108, 112, 32, 97, 110, 100, 32, 101, 120, 105, 116, 0], "i8", B); G.Ta = E([32, 32, 45, 86, 44, 32, 45, 45, 118, 101, 114, 115, 105, 111, 110, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 111, 117, 116, 112, 117, 116, 32, 118, 101, 114, 115, 105, 111, 110, 32, 105, 110, 102, 111, 114, 109, 97, 116, 105, 111, 110, 32, 97, 110, 100, 32, 101, 120, 105, 116, 0], "i8", B); G.Ua = E([32, 32, 45, 98, 44, 32, 45, 45, 109, 101, 109, 98, 101, 114, 45, 115, 105, 122, 101, 61, 60, 110, 62, 32, 32, 32, 32, 32, 32, 115, 101, 116, 32, 109, 101, 109, 98, 101, 114, 32, 115, 105, 122, 101, 32, 108, 105, 109, 105, 116, 32, 105, 110, 32, 98, 121, 116, 101, 115, 0], "i8", B); G.Va = E([32, 32, 45, 99, 44, 32, 45, 45, 115, 116, 100, 111, 117, 116, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 115, 101, 110, 100, 32, 111, 117, 116, 112, 117, 116, 32, 116, 111, 32, 115, 116, 97, 110, 100, 97, 114, 100, 32, 111, 117, 116, 112, 117, 116, 0], "i8", B); G.Wa = E([32, 32, 45, 100, 44, 32, 45, 45, 100, 101, 99, 111, 109, 112, 114, 101, 115, 115, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 100, 101, 99, 111, 109, 112, 114, 101, 115, 115, 0], "i8", B); G.Xa = E([32, 32, 45, 102, 44, 32, 45, 45, 102, 111, 114, 99, 101, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 111, 118, 101, 114, 119, 114, 105, 116, 101, 32, 101, 120, 105, 115, 116, 105, 110, 103, 32, 111, 117, 116, 112, 117, 116, 32, 102, 105, 108, 101, 115, 0], "i8", B); G.Ya = E([32, 32, 45, 70, 44, 32, 45, 45, 114, 101, 99, 111, 109, 112, 114, 101, 115, 115, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 102, 111, 114, 99, 101, 32, 114, 101, 99, 111, 109, 112, 114, 101, 115, 115, 105, 111, 110, 32, 111, 102, 32, 99, 111, 109, 112, 114, 101, 115, 115, 101, 100, 32, 102, 105, 108, 101, 115, 0], "i8", B); G.Za = E([32, 32, 45, 107, 44, 32, 45, 45, 107, 101, 101, 112, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 107, 101, 101, 112, 32, 40, 100, 111, 110, 39, 116, 32, 100, 101, 108, 101, 116, 101, 41, 32, 105, 110, 112, 117, 116, 32, 102, 105, 108, 101, 115, 0], "i8", B); G.Aa = E([32, 32, 45, 109, 44, 32, 45, 45, 109, 97, 116, 99, 104, 45, 108, 101, 110, 103, 116, 104, 61, 60, 110, 62, 32, 32, 32, 32, 32, 115, 101, 116, 32, 109, 97, 116, 99, 104, 32, 108, 101, 110, 103, 116, 104, 32, 108, 105, 109, 105, 116, 32, 105, 110, 32, 98, 121, 116, 101, 115, 32, 91, 51, 54, 93, 0], "i8", B); G.Ba = E([32, 32, 45, 111, 44, 32, 45, 45, 111, 117, 116, 112, 117, 116, 61, 60, 102, 105, 108, 101, 62, 32, 32, 32, 32, 32, 32, 32, 32, 105, 102, 32, 114, 101, 97, 100, 105, 110, 103, 32, 115, 116, 100, 105, 110, 44, 32, 112, 108, 97, 99, 101, 32, 116, 104, 101, 32, 111, 117, 116, 112, 117, 116, 32, 105, 110, 116, 111, 32, 60, 102, 105, 108, 101, 62, 0], "i8", B); G.Ca = E([32, 32, 45, 113, 44, 32, 45, 45, 113, 117, 105, 101, 116, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 115, 117, 112, 112, 114, 101, 115, 115, 32, 97, 108, 108, 32, 109, 101, 115, 115, 97, 103, 101, 115, 0], "i8", B); G.Da = E([32, 32, 45, 115, 44, 32, 45, 45, 100, 105, 99, 116, 105, 111, 110, 97, 114, 121, 45, 115, 105, 122, 101, 61, 60, 110, 62, 32, 32, 115, 101, 116, 32, 100, 105, 99, 116, 105, 111, 110, 97, 114, 121, 32, 115, 105, 122, 101, 32, 108, 105, 109, 105, 116, 32, 105, 110, 32, 98, 121, 116, 101, 115, 32, 91, 56, 77, 105, 66, 93, 0], "i8", B); G.Ea = E([32, 32, 45, 83, 44, 32, 45, 45, 118, 111, 108, 117, 109, 101, 45, 115, 105, 122, 101, 61, 60, 110, 62, 32, 32, 32, 32, 32, 32, 115, 101, 116, 32, 118, 111, 108, 117, 109, 101, 32, 115, 105, 122, 101, 32, 108, 105, 109, 105, 116, 32, 105, 110, 32, 98, 121, 116, 101, 115, 0], "i8", B); G.Fa = E([32, 32, 45, 116, 44, 32, 45, 45, 116, 101, 115, 116, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 116, 101, 115, 116, 32, 99, 111, 109, 112, 114, 101, 115, 115, 101, 100, 32, 102, 105, 108, 101, 32, 105, 110, 116, 101, 103, 114, 105, 116, 121, 0], "i8", B); G.Ga = E([32, 32, 45, 118, 44, 32, 45, 45, 118, 101, 114, 98, 111, 115, 101, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 98, 101, 32, 118, 101, 114, 98, 111, 115, 101, 32, 40, 97, 32, 50, 110, 100, 32, 45, 118, 32, 103, 105, 118, 101, 115, 32, 109, 111, 114, 101, 41, 0], "i8", B); G.Ha = E([32, 32, 45, 48, 32, 46, 46, 32, 45, 57, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 115, 101, 116, 32, 99, 111, 109, 112, 114, 101, 115, 115, 105, 111, 110, 32, 108, 101, 118, 101, 108, 32, 91, 100, 101, 102, 97, 117, 108, 116, 32, 54, 93, 0], "i8", B); G.Ia = E([32, 32, 32, 32, 32, 32, 45, 45, 102, 97, 115, 116, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 97, 108, 105, 97, 115, 32, 102, 111, 114, 32, 45, 48, 0], "i8", B); G.Ja = E([32, 32, 32, 32, 32, 32, 45, 45, 98, 101, 115, 116, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 97, 108, 105, 97, 115, 32, 102, 111, 114, 32, 45, 57, 0], "i8", B); G.La = E([102, 114, 111, 109, 32, 115, 116, 97, 110, 100, 97, 114, 100, 32, 105, 110, 112, 117, 116, 32, 116, 111, 32, 115, 116, 97, 110, 100, 97, 114, 100, 32, 111, 117, 116, 112, 117, 116, 46, 0], "i8", B); G.Ma = E([78, 117, 109, 98, 101, 114, 115, 32, 109, 97, 121, 32, 98, 101, 32, 102, 111, 108, 108, 111, 119, 101, 100, 32, 98, 121, 32, 97, 32, 109, 117, 108, 116, 105, 112, 108, 105, 101, 114, 58, 32, 107, 32, 61, 32, 107, 66, 32, 61, 32, 49, 48, 94, 51, 32, 61, 32, 49, 48, 48, 48, 44, 0], "i8", B); G.Na = E([75, 105, 32, 61, 32, 75, 105, 66, 32, 61, 32, 50, 94, 49, 48, 32, 61, 32, 49, 48, 50, 52, 44, 32, 77, 32, 61, 32, 49, 48, 94, 54, 44, 32, 77, 105, 32, 61, 32, 50, 94, 50, 48, 44, 32, 71, 32, 61, 32, 49, 48, 94, 57, 44, 32, 71, 105, 32, 61, 32, 50, 94, 51, 48, 44, 32, 101, 116, 99, 46, 46, 46, 0], "i8", B); G.Oa = E([10, 82, 101, 112, 111, 114, 116, 32, 98, 117, 103, 115, 32, 116, 111, 32, 108, 122, 105, 112, 45, 98, 117, 103, 64, 110, 111, 110, 103, 110, 117, 46, 111, 114, 103, 0], "i8", B); G.Pa = E([76, 122, 105, 112, 32, 104, 111, 109, 101, 32, 112, 97, 103, 101, 58, 32, 104, 116, 116, 112, 58, 47, 47, 119, 119, 119, 46, 110, 111, 110, 103, 110, 117, 46, 111, 114, 103, 47, 108, 122, 105, 112, 47, 108, 122, 105, 112, 46, 104, 116, 109, 108, 0], "i8", B); G.Qa = E([76, 105, 99, 101, 110, 115, 101, 32, 71, 80, 76, 118, 51, 43, 58, 32, 71, 78, 85, 32, 71, 80, 76, 32, 118, 101, 114, 115, 105, 111, 110, 32, 51, 32, 111, 114, 32, 108, 97, 116, 101, 114, 32, 60, 104, 116, 116, 112, 58, 47, 47, 103, 110, 117, 46, 111, 114, 103, 47, 108, 105, 99, 101, 110, 115, 101, 115, 47, 103, 112, 108, 46, 104, 116, 109, 108, 62, 0], "i8", B); G.Ra = E([84, 104, 105, 115, 32, 105, 115, 32, 102, 114, 101, 101, 32, 115, 111, 102, 116, 119, 97, 114, 101, 58, 32, 121, 111, 117, 32, 97, 114, 101, 32, 102, 114, 101, 101, 32, 116, 111, 32, 99, 104, 97, 110, 103, 101, 32, 97, 110, 100, 32, 114, 101, 100, 105, 115, 116, 114, 105, 98, 117, 116, 101, 32, 105, 116, 46, 0], "i8", B); G.Sa = E([84, 104, 101, 114, 101, 32, 105, 115, 32, 78, 79, 32, 87, 65, 82, 82, 65, 78, 84, 89, 44, 32, 116, 111, 32, 116, 104, 101, 32, 101, 120, 116, 101, 110, 116, 32, 112, 101, 114, 109, 105, 116, 116, 101, 100, 32, 98, 121, 32, 108, 97, 119, 46, 0], "i8", B); m[vd >> 2] = lg + 8 | 0; m[vd + 4 >> 2] = G.A | 0; m[Ve >> 2] = G.T | 0; m[Ve + 4 >> 2] = G.U | 0; m[Ve + 8 >> 2] = G.V | 0; m[Ve + 12 >> 2] = G.Y | 0; m[Ve + 16 >> 2] = G.F | 0; m[Ve + 20 >> 2] = G.Z | 0; m[Ve + 24 >> 2] = G.$ | 0; m[Ve + 28 >> 2] = G.aa | 0; m[pf >> 2] = mg + 8 | 0; m[pf + 4 >> 2] = G.B | 0; m[pf + 8 >> 2] = aa; m[qg >> 2] = mg + 8 | 0; m[qg + 4 >> 2] = G.C | 0; m[qg + 8 >> 2] = pf; m[lg + 4 >> 2] = qg; m[mg + 4 >> 2] = rg; m[rg >> 2] = mg + 8 | 0; m[rg + 4 >> 2] = G.D | 0; m[rg + 8 >> 2] = qg; m[Gf + 4 >> 2] = Hf; m[Hf >> 2] = mg + 8 | 0; m[Hf + 4 >> 2] = G.G | 0; m[Hf + 8 >> 2] = aa; nc = [0, 0, Df, 0, mf, 0, (function (a) { mf(a | 0); Pe(a) }), 0, (function (a, c, d) { var e, f = k; k += 56; e = f >> 2; if ((a | 0) == (c | 0)) { a = 1 } else { if ((c | 0) == 0) { a = 0 } else { if (c = of(c, qg), (c | 0) == 0) { a = 0 } else { for (var g = f >> 2, h = g + 14; g < h; g++) { m[g] = 0 } m[e] = c; m[e + 2] = a; m[e + 3] = -1; m[e + 12] = 1; nc[m[m[c >> 2] + 20 >> 2]](c, f, m[d >> 2], 1); (m[e + 6] | 0) != 1 ? a = 0 : (m[d >> 2] = m[e + 4], a = 1) } } } k = f; return a }), 0, (function (a, c, d, e, f) { (m[c + 8 >> 2] | 0) == (a | 0) && Se(c, d, e, f) }), 0, (function (a, c, d, e) { var f = c >> 2, g = (m[f + 2] | 0) == (a | 0); a: do { if (g) { Te(c, d, e) } else { if ((m[f] | 0) == (a | 0)) { var h = (m[f + 4] | 0) == (d | 0); do { if (!h) { var i = c + 20 | 0; if ((m[i >> 2] | 0) != (d | 0)) { m[f + 8] = e; m[i >> 2] = d; a = c + 40 | 0; m[a >> 2] = m[a >> 2] + 1 | 0; (m[f + 9] | 0) == 1 && (m[f + 6] | 0) == 2 && (l[c + 54 | 0] = 1); m[f + 11] = 4; break a } } } while (0); (e | 0) == 1 && (m[f + 8] = 1) } } } while (0) }), 0, (function (a, c, d, e) { (m[c + 8 >> 2] | 0) == (a | 0) && Re(c, d, e) }), 0, (function (a) { mf(a | 0); Pe(a) }), 0, (function (a, c, d, e, f) { (a | 0) == (m[c + 8 >> 2] | 0) ? Se(c, d, e, f) : (a = m[a + 8 >> 2], nc[m[m[a >> 2] + 12 >> 2]](a, c, d, e, f)) }), 0, qf, 0, (function (a, c, d, e) { (a | 0) == (m[c + 8 >> 2] | 0) ? Re(c, d, e) : (a = m[a + 8 >> 2], nc[m[m[a >> 2] + 20 >> 2]](a, c, d, e)) }), 0, (function (a) { Df(a); Pe(a) }), 0, (function () { return G.ma | 0 }), 0]; Module.FUNCTION_TABLE = nc; function sg(a) { a = a || Module.arguments; xc(yc); var c = da; Module._main && (c = Module.ab(a), Module.noExitRuntime || xc(zc)); return c } Module.run = sg; Module.preRun && Module.preRun(); sg(); Module.postRun && Module.postRun()

    return new Uint8Array(returnValue)
  },

  compress: function (data) {
    return this.run(data)
  },

  decompress: function (data) {
    return this.run(data, true)
  }
};

(function (l) {
  function m(b) { b = void 0 === b ? "utf-8" : b; if ("utf-8" !== b) throw new RangeError("Failed to construct 'TextEncoder': The encoding label provided ('" + b + "') is invalid.") } function k(b, a) { b = void 0 === b ? "utf-8" : b; a = void 0 === a ? { fatal: !1 } : a; if ("utf-8" !== b) throw new RangeError("Failed to construct 'TextDecoder': The encoding label provided ('" + b + "') is invalid."); if (a.fatal) throw Error("Failed to construct 'TextDecoder': the 'fatal' option is unsupported.") } if (l.TextEncoder && l.TextDecoder) return !1
  Object.defineProperty(m.prototype, "encoding", { value: "utf-8" }); m.prototype.encode = function (b, a) {
    a = void 0 === a ? { stream: !1 } : a; if (a.stream) throw Error("Failed to encode: the 'stream' option is unsupported."); a = 0; for (var h = b.length, f = 0, c = Math.max(32, h + (h >> 1) + 7), e = new Uint8Array(c >> 3 << 3); a < h;) {
      var d = b.charCodeAt(a++); if (55296 <= d && 56319 >= d) { if (a < h) { var g = b.charCodeAt(a); 56320 === (g & 64512) && (++a, d = ((d & 1023) << 10) + (g & 1023) + 65536) } if (55296 <= d && 56319 >= d) continue } f + 4 > e.length && (c += 8, c *= 1 + a / b.length * 2, c = c >> 3 << 3,
      g = new Uint8Array(c), g.set(e), e = g); if (0 === (d & 4294967168)) e[f++] = d; else { if (0 === (d & 4294965248)) e[f++] = d >> 6 & 31 | 192; else if (0 === (d & 4294901760)) e[f++] = d >> 12 & 15 | 224, e[f++] = d >> 6 & 63 | 128; else if (0 === (d & 4292870144)) e[f++] = d >> 18 & 7 | 240, e[f++] = d >> 12 & 63 | 128, e[f++] = d >> 6 & 63 | 128; else continue; e[f++] = d & 63 | 128 }
    } return e.slice(0, f)
  }; Object.defineProperty(k.prototype, "encoding", { value: "utf-8" }); Object.defineProperty(k.prototype, "fatal", { value: !1 }); Object.defineProperty(k.prototype, "ignoreBOM", { value: !1 }); k.prototype.decode =
        function (b, a) {
          a = void 0 === a ? { stream: !1 } : a; if (a.stream) throw Error("Failed to decode: the 'stream' option is unsupported."); b = new Uint8Array(b); a = 0; for (var h = b.length, f = []; a < h;) {
            var c = b[a++]; if (0 === c) break; if (0 === (c & 128)) f.push(c); else if (192 === (c & 224)) { var e = b[a++] & 63; f.push((c & 31) << 6 | e) } else if (224 === (c & 240)) { e = b[a++] & 63; var d = b[a++] & 63; f.push((c & 31) << 12 | e << 6 | d) } else if (240 === (c & 248)) {
              e = b[a++] & 63; d = b[a++] & 63; var g = b[a++] & 63; c = (c & 7) << 18 | e << 12 | d << 6 | g; 65535 < c && (c -= 65536, f.push(c >>> 10 & 1023 | 55296), c = 56320 |
                        c & 1023); f.push(c)
            }
          } return String.fromCharCode.apply(null, f)
        }; l.TextEncoder = m; l.TextDecoder = k
})("undefined" !== typeof window ? window : "undefined" !== typeof global ? global : this)

const utf8TextDecoder = new TextDecoder('utf-8')

const eRM = 6378137

function tTLa(y_, z_) {
  return 90 - Math.atan(Math.exp((y_ / Math.pow(2, z_) - 0.5) * 2 * Math.PI)) * 360 / Math.PI
}

function tTLo(x_, z_) {
  return x_ * 360 / Math.pow(2, z_) - 180
}

function laTM(latitude_) {
  return Math.log(Math.tan((90 + latitude_) * Math.PI / 360)) * eRM
}

function loTM(longitude_) {
  return longitude_ * eRM * Math.PI / 180
}

function dTO(layerId, tileLayerDatas) {
  let decodedData = { lId: layerId, tDs: [] }

  for (let tileLayerData of tileLayerDatas) {
    let tileObjects = []

    if (tileLayerData.cD.byteLength == 0) {
      decodedData.tDs.push({ x: tileLayerData.x, y: tileLayerData.y, z: tileLayerData.z, dZ: tileLayerData.dZ, tileObjects: null })

      continue
    }

    let layerIdData = layerId.split('|')
    let objectType = layerIdData[2]

    let bounds = {
      left: loTM(tTLo(tileLayerData.x, tileLayerData.z)),
      top: laTM(tTLa(tileLayerData.y, tileLayerData.z)),
      right: loTM(tTLo(tileLayerData.x + 1, tileLayerData.z)),
      bottom: laTM(tTLa(tileLayerData.y + 1, tileLayerData.z))
    }

    tileObjects.push({ info: bounds })

    let objectsDataView = new DataView(LZMA.decompress(new Uint8Array(tileLayerData.cD)).buffer)
    let objectsDataViewOffset = 0

    let numberOfObjects = objectsDataView.getUint32(objectsDataViewOffset, true)
    objectsDataViewOffset += 4

    for (let objectIndex = 0; objectIndex < numberOfObjects; objectIndex++) {
      let center = {}

      center.x = objectsDataView.getFloat32(objectsDataViewOffset, true)
      objectsDataViewOffset += 4

      center.y = objectsDataView.getFloat32(objectsDataViewOffset, true)
      objectsDataViewOffset += 4

      let envelope = { left: center.x, bottom: center.y, right: center.x, top: center.y }

      if (objectType != "Points") {
        envelope.left = objectsDataView.getFloat32(objectsDataViewOffset, true)
        objectsDataViewOffset += 4

        envelope.bottom = objectsDataView.getFloat32(objectsDataViewOffset, true)
        objectsDataViewOffset += 4

        envelope.right = objectsDataView.getFloat32(objectsDataViewOffset, true)
        objectsDataViewOffset += 4

        envelope.top = objectsDataView.getFloat32(objectsDataViewOffset, true)
        objectsDataViewOffset += 4
      }

      let objectsInfoBufferSize = objectsDataView.getUint32(objectsDataViewOffset, true)
      objectsDataViewOffset += 4

      let objectsInfoDataView = new DataView(objectsDataView.buffer.slice(objectsDataViewOffset, objectsDataViewOffset + objectsInfoBufferSize))
      objectsDataViewOffset += objectsInfoBufferSize

      let info = {}

      if (objectsInfoBufferSize > 0) {
        let infoJson = utf8TextDecoder.decode(objectsInfoDataView.buffer)

        info = JSON.parse(infoJson)
        info.Hash = infoJson.hashCode()
      }

      info.Center = center
      info.Envelope = envelope

      let geometry = null

      if (objectType != "Points") {
        let geometryBufferSize = objectsDataView.getUint32(objectsDataViewOffset, true)
        objectsDataViewOffset += 4

        geometry = new DataView(objectsDataView.buffer.slice(objectsDataViewOffset, objectsDataViewOffset + geometryBufferSize))

        objectsDataViewOffset += geometryBufferSize
      }

      tileObjects.push({ info: info, geometry: geometry })
    }

    decodedData.tDs.push({ x: tileLayerData.x, y: tileLayerData.y, z: tileLayerData.z, dZ: tileLayerData.dZ, tOs: tileObjects })
  }

  return decodedData
}

onmessage = e => {
  self.postMessage(dTO(e.data.lId, e.data.datas))
}
